unit QRepFrm1Unit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  quickrpt, Qrctrls, ExtCtrls,BPDef,ConstUnt;

type
  TQRepForm = class(TForm)
    QuickRep1: TQuickRep;
    PageHeaderBand1: TQRBand;
    UsedAtPole: TQRLabel;
    ModelPole: TQRLabel;
    AuthorPole: TQRLabel;
    GroupHeaderBand1: TQRBand;
    QRLabel5: TQRLabel;
    QRLabel6: TQRLabel;
    QRLabel7: TQRLabel;
    QRLabel8: TQRLabel;
    DetailBand1: TQRBand;
    PageData: TQRLabel;
    IDData: TQRLabel;
    CaptionData: TQRLabel;
    CommentData: TQRLabel;
    procedure QuickRep1BeforePrint(Sender: TQuickRep;
      var PrintReport: Boolean);
    procedure QuickRep1NeedData(Sender: TObject; var MoreData: Boolean);
  private
    { Private declarations }
    CurLevelCount:Integer;
  public
    { Public declarations }
    FRepData:TBPInfoBlock;
  end;

var
  QRepForm: TQRepForm;

implementation

{$R *.DFM}

procedure TQRepForm.QuickRep1BeforePrint(Sender: TQuickRep;
  var PrintReport: Boolean);
begin
  CurLevelCount:=0;
  UsedAtPole.Caption:=QREPUsedAt+FRepData.UsedAt;
  ModelPole.Caption:=QREPModelName+FRepData.ModelName;
  AuthorPole.Caption:=QREPAuthor+FRepData.Author;
  PrintReport:=(FRepData.levelsCount>0);
end;

procedure TQRepForm.QuickRep1NeedData(Sender: TObject;
  var MoreData: Boolean);
begin
   PageData.Caption:=QREPPage+IntToStr(FRepData.Pages[CurLevelCount]);
   IDData.Caption:=FRepData.LevelsID[CurLevelCount];
   CommentData.Caption:=FRepData.Comments[CurLevelCount];
   CaptionData.Caption:=FRepData.Captions[CurLevelCount];
   inc(CurLevelCount);
   MoreData:=(CurLevelCount<=FRepData.levelsCount);
end;

end.
