unit MasterFileSetting;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  RichEdit;

type

  TFontSetting = record
    Format:TCharFormat2W; { Text Setting }
    Paragraph:TParaFormat2;  { Paragraph Setting }
  end;


  TMasterFileSetting = class(TComponent)
  private
    { Private declarations }
    { Font Setting For pages }
    FLUFontSetting:TFontSetting;
    FLPFontSetting:TFontSetting;
    FHeaderFontSetting:TFontSetting;
    FPreabulaFontSetting:TFontSetting;
    FPostScriptumFontSetting:TFontSetting;
    FModelName:String; { autocalc }
    FReportName:String; { autocalc }
    FReportFileName:ShortString; { Report File Name }
    FReportFormatFileName:ShortString; { autoformat table }
    FReportModified:Boolean;     { Report changed }
    FReportDataModified:Boolean; { Data changed }
    {}
    FAuthor:String[64];
    FAuthorRange:ShortString;
    FOtherRange:ShortString;

  protected
    { Protected declarations }
  public
    { Public declarations }
  published
    { Published declarations }
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Mastero', [TMasterFileSetting]);
end;

end.
