unit MFUnit;

interface

Uses Windows,SysUtils,RichEdit,RichEdit2,Forms;


function  GetStyleLevel(editor:TRichEdit98):Integer; { -1 }
function GetLineStyleIndex(s:String):Integer;
function IsNextLevel(var s1:string):Boolean;


implementation


function IsNextLevel(var s1:string):Boolean;
begin
 Result:=False;
 if length(s1)=0 then Exit;
 s1:=TrimLeft(s1);
 if length(s1)=0 then Exit;
 if (s1[1] >= '0') and (s1[1] <= '9') then
   begin
     Result:=True;
     while ((s1[1] >='0') and (s1[1] <='9')) do
      begin
       s1:=copy(s1,2,length(s1)-1);
       if length(s1)=0 then Exit;
      end;
      if length(s1)=0 then Exit;
      if (s1[1]='.') then s1:=copy(s1,2,length(s1)-1);
   end;
end;

function GetLineStyleIndex(s:String):Integer;
Var s1:String;
begin
 { Set Level 0}
 Result:=0;
 s1:=TrimLeft(s);
 {   -   }
 if length(s1)=0 then Exit;
 {   -     }
 if (s1[1] < '0') or (s1[1] > '9') then Exit;
 {     }
 while IsNextLevel(s1) do
  begin
   Result:=Result+1;
   if (Result > 15) then Result:=15;
   if length(s1)=0 then Exit;
  end;
end;


function  GetStyleLevel(editor:TRichEdit98):Integer; { -1 }
Var s:String;
 begin
   Result:=-1;
   s:=editor.SelText;
   Result:=GetLineStyleIndex(s);
 end;

end.
