unit SymbolDlgUnit;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, 
  Buttons, ExtCtrls, CharMap, RXCtrls, ComCtrls, RichEdit2;

type
  TSymbolDlg = class(TForm)
    OKBtn: TButton;
    CancelBtn: TButton;
    Label1: TLabel;
    FontComboBox: TFontComboBox;
    CharMap: TCharMap;
    TmpEdit: TRichEdit98;
    Label2: TLabel;
    procedure FontComboBoxChange(Sender: TObject);
    procedure CharMapCharChange(Sender: TObject);
    procedure CharMapDblClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SymbolDlg: TSymbolDlg;

implementation

{$R *.DFM}

procedure TSymbolDlg.FontComboBoxChange(Sender: TObject);
begin
 CharMap.Font.Name:=FontComboBox.FontName;
 TmpEdit.SelectAll;
 TmpEdit.SelAttributes.Name:=FontComboBox.FontName;
 TmpEdit.SelLength:=0;
end;

procedure TSymbolDlg.CharMapCharChange(Sender: TObject);
begin
 TmpEdit.SelectAll;
 TmpEdit.SelText:=Chr(CharMap.SelectedChar);
 TmpEdit.SelLength:=0;
end;

procedure TSymbolDlg.CharMapDblClick(Sender: TObject);
begin
 ModalResult:=mrOK;
end;

end.
