unit FormatReportFormUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls,RichEdit,RichEdit2;

type
  TFormatReportForm = class(TForm)
    ProgressBar1: TProgressBar;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    FStringList:TStringList;
    FLevelsList:TList;
  public
    { Public declarations }
    procedure FormatReport(Editor:TRichEdit98;LevelMinus:Integer);
  end;

var
  FormatReportForm: TFormatReportForm;

implementation

uses MainFormUnit;

{$R *.DFM}

procedure TFormatReportForm.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  Action:=caFree;
end;

procedure TFormatReportForm.FormCreate(Sender: TObject);
begin
  FormatReport(MainForm.Editor,MainForm.TruncateLevelEdit.Value);
  close;
end;

procedure TFormatReportForm.FormatReport(Editor:TRichEdit98;LevelMinus:Integer);
Var i,count:Integer;
    s:String;
    toAdd:Boolean;
    curLevel:Integer;
    curIndex:Integer;
    sindex:Integer;
 begin
  { Stages of format }
  { Renumber and Truncate Tree }
   FStringList:=TStringList.Create;
   FLevelsList:=TList.Create;
   FLevelsList.Clear;
   count:=Editor.Lines.Count;
   FStringList.Clear;
   FStringList.Append(' ');
     for i:=0 to (count-1) do
      begin
        toAdd:=False;
        s:=editor.Lines.Strings[i];
        s:=TrimLeft(s);
        sindex:=GetLineSIndex(s); { Also truncate s from level }
        curLevel:=GetLineLevel(s);
        if level
        if toAdd then FStringList.Append(s);
      end;
   FStringList.Free;
   FLevelsList.Free;
 end;

end.
