unit SelAFTableDlgUnit;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, fcLabel, Dialogs, DBTables, Db;

type
  TSelAFTableDlg = class(TForm)
    OKBtn: TButton;
    CancelBtn: TButton;
    Bevel1: TBevel;
    ListBox: TListBox;
    fcLabel1: TfcLabel;
    Button1: TButton;
    SaveDialog: TSaveDialog;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure EnumAFTables(curTable:String);
  end;

var
  SelAFTableDlg: TSelAFTableDlg;

Const NOTDEFINED_SHABLON=' ';

implementation

uses MainFormUnit, FileNameUnit;

{$R *.DFM}

procedure TSelAFTableDlg.EnumAFTables(curTable:String);
Var sr:TSearchRec;
    err,attr:Integer;
    path,s:String;
    i:Integer;
 begin
    path:=ExtractFilePath(Application.ExeName)+'DOTS\'+'*.LSA';
    attr:=faReadOnly;
    ListBox.Items.Clear;
    ListBox.Items.Append(NOTDEFINED_SHABLON);
    err:=FindFirst(path,attr,sr);
    while (err=0) do
     begin
       s:=sr.Name;
       s:=copy(s,1,length(s)-4);
       ListBox.Items.Append(s);
       err:=FindNext(sr);
     end;
    FindClose(sr);
    s:=curTable;
    s:=copy(s,1,length(s)-4);
    i:=ListBox.Items.IndexOf(s); { Get Index Of }
    if i=-1 then ListBox.ItemIndex:=0
    else ListBox.ItemIndex:=i;
 end;

procedure TSelAFTableDlg.Button1Click(Sender: TObject);
Var s,s1:String;
   source:String;
   dest:String;
   path:String;
   path1:String;
   s2:String;
begin
 { Create new tempalate }
 s:=ListBox.Items[ListBox.ItemIndex];
 path:=ExtractFilePath(Application.ExeName)+'DOTS\';
 SaveDialog.InitialDir:=path;
 path1:=path;
 s2:=s;
 if ListBox.ItemIndex=0 then
  begin
   if (not(FileExists(GetOChartFName(MainForm.FFileName,'lsa')))) then
     begin
       s:=' ';
       s2:=s;
     end
    else
     begin
      MainForm.CustomOrgChart1.Nodes.SaveLevels(GetOChartFName(MainForm.FFileName,'lsa'));
      path1:=ExtractFilePath(MainForm.FFileName);
      s2:=ExtractFileName(GetOChartFName(MainForm.FFileName,'lsa'));
      s2:=copy(s2,1,length(s2)-4);
     end;
  end
 else
  begin
   if (not(FileExists(path+s+'.LSA'))) then
      begin
       s:=' ';
       s2:=s;
      end;
  end;
 SaveDialog.Title:='   : '+s;
 if SaveDialog.Execute then
   begin
     s1:=ExtractFileName(SaveDialog.FileName);
     s1:=copy(s1,1,length(s1)-4);
     source:=path1+s2+'.LSA';
     dest:=path+s1+'.LSA';
     CopyFile(PChar(source),PChar(Dest),LongBool(0));
     source:=path1+s2+'.RTF';
     dest:=path+s1+'.RTF';
     CopyFile(PChar(source),PChar(Dest),LongBool(0));
     EnumAFTables(ExtractFileName(SaveDialog.FileName));
   end;
end;

end.
