unit rptprop;
{
(c) . .  1997,2006
}
{$INCLUDE Compmode.inc}
interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Mask, ToolEdit, checklst, Buttons, ComCtrls;

type
  TRepProp = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    MTypesSel: TCheckListBox;
    Panel2: TPanel;
    Label4: TLabel;
    RepCom: TMemo;
    GroupBox1: TGroupBox;
    Label2: TLabel;
    Label3: TLabel;
    RepDate: TDateEdit;
    GroupBox2: TGroupBox;
    Label1: TLabel;
    RepName: TEdit;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Button1: TButton;
    Button2: TButton;
    Label5: TLabel;
    ONum: TEdit;
    RepAvtor: TComboEdit;
    procedure FormActivate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure ONumKeyPress(Sender: TObject; var Key: Char);
    procedure RepAvtorButtonClick(Sender: TObject);
  private
    { Private declarations }
    repID:integer;
  public
    { Public declarations }
  end;

var
  RepProp: TRepProp;

implementation

uses StrTab, MAIN, utils, appConst, prnprv;

{$R *.DFM}

procedure TRepProp.FormActivate(Sender: TObject);
var i:word;
begin
{$IFDEF VIEW}
Button1.Visible:=false;
{$ENDIF}
RepID:=STRTables.modeltN.asInteger;
RepName.Text:=cutnumbers(STRTables.modelt.FieldByName('Name').AsString);
ONum.text:=getnumbers(STRTables.modelt.FieldByName('Name').AsString);
RepAvtor.text:=STRTables.modelt.FieldByName('Avtor').AsString;
if   STRTables.modelt.FieldByName('MDate').AsDateTime<>0 then
RepDate.Date:=STRTables.modelt.FieldByName('MDate').AsDateTime
else
RepDate.Date:=now;
RepCom.text:=STRTables.MODELTComm.asString;
MtypesSel.items.clear;
end;

procedure TRepProp.Button1Click(Sender: TObject);
var mask:word;
begin
{$IFNDEF VIEW}
{$IFNDEF LIGHTVERSION}
STRTables.modelt.edit;
STRTables.modelt.FieldByName('Name').AsString:=ClearSpaces(onum.text+' '+RepName.Text);
STRTables.modelt.FieldByName('Avtor').AsString:=RepAvtor.text;
STRTables.modelt.FieldByName('MDate').AsDateTime:=RepDate.Date;
STRTables.MODELTComm.asString:=RepCom.text;
mask:=0;
STRTables.modelt.post;
{$ENDIF}
{$ENDIF}
end;

procedure TRepProp.BitBtn1Click(Sender: TObject);
var i:integer;
begin
for i:=0 to MTypesSel.Items.Count-1 do MTypesSel.Checked[i]:=true;
end;

procedure TRepProp.BitBtn2Click(Sender: TObject);
var i:integer;
begin
for i:=0 to MTypesSel.Items.Count-1 do MTypesSel.Checked[i]:=false;
end;

procedure TRepProp.ONumKeyPress(Sender: TObject; var Key: Char);
begin
if not (key in [#8,'0'..'9','.']) then key:=#0;
end;

procedure TRepProp.RepAvtorButtonClick(Sender: TObject);
var Hist:TStringList;
    i:integer;
begin
Hist:=TStringList.Create;
try
STRTables.LoadHistory(RepID,Hist);
PrintPreview.slines.clear;
PrintPreview.slines.add('');
for i:=Hist.Count-1 downto 0 do
PrintPreview.slines.add(' '+Hist[i]);
finally
Hist.Free;
end;
PrintPreview.Showmodal('   '+RepName.Text);
end;
end.
