unit DDlgUnit;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, ComCtrls, fcTreeView, fcLabel;

type
  TOpenDetailDlg = class(TForm)
    OKBtn: TButton;
    CancelBtn: TButton;
    Bevel1: TBevel;
    ImageList1: TImageList;
    TreeView: TfcTreeView;
    fcLabel1: TfcLabel;
    procedure TreeViewDblClick(TreeView: TfcCustomTreeView;
      Node: TfcTreeNode; Button: TMouseButton; Shift: TShiftState; X,
      Y: Integer);
    procedure TreeViewCompare(TreeView: TfcCustomTreeView; Node1,
      Node2: TfcTreeNode; Data: Integer; var Compare: Integer);
    procedure TreeViewKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  OpenDetailDlg: TOpenDetailDlg;

implementation

{$R *.DFM}



procedure TOpenDetailDlg.TreeViewDblClick(TreeView: TfcCustomTreeView;
  Node: TfcTreeNode; Button: TMouseButton; Shift: TShiftState; X,
  Y: Integer);
begin
 if (TreeView.Selected<>nil) then
  begin
   self.ModalResult:=mrOK;
  end;
end;

procedure TOpenDetailDlg.TreeViewCompare(TreeView: TfcCustomTreeView;
  Node1, Node2: TfcTreeNode; Data: Integer; var Compare: Integer);
begin
 Compare:=0;
 if Node1.Text<Node2.Text then Compare:=-1
  else Compare:=1;
end;

procedure TOpenDetailDlg.TreeViewKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
 if key=VK_RETURN then TreeViewDblClick(TreeView,TreeView.Selected,mbLeft,[],0,0);
end;

end.
