unit MainFormUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  OrgChart, StdCtrls, ComCtrls, TB97, Spin, Buttons, RXCtrls, ExtCtrls,
  Placemnt, Spellers,printers, Db, DBTables, TB97Ctls, TB97Tlbr, RichEdit2,
  Menus, Jpeg, StrHlder,GIFImage, TFlatTabControlUnit, TFlatSplitterUnit,
  fcTreeView, fcButton, fcImgBtn, fcShapeBtn, fcClearPanel, fcButtonGroup,
  fcOutlookBar, TFlatAnimWndUnit, TFlatHintUnit, AnimatedMenus98,CommDlg,
  fcOutlookList, HistoryList,Langs, BPNav, XPMan,QRPrntr, dxPgsDlg,
  dxPSCore,WinSpool;

type

  TOCTokenType = (octt_Unknown,octt_OrgChartName,octt_PrilNumber,octt_OrgChartPicture);

  PPrjInfo=^TPrjInfo;
  TPrjInfo=packed record
   FileName:String;
  end;

  TMainForm = class(TForm)
    OpenDialog: TOpenDialog;
    FormStorage: TFormStorage;
    SaveDialog: TSaveDialog;
    SaveDialog1: TSaveDialog;
    MainMenu: TMainMenu;
    N1: TMenuItem;
    OpenItem: TMenuItem;
    CreateNewItem: TMenuItem;
    N4: TMenuItem;
    SaveItem: TMenuItem;
    N6: TMenuItem;
    PageParamItem: TMenuItem;
    PreviewItem: TMenuItem;
    PrintItem: TMenuItem;
    N11: TMenuItem;
    ExitItem: TMenuItem;
    ExportItem: TMenuItem;
    N14: TMenuItem;
    TranslateItem: TMenuItem;
    N16: TMenuItem;
    TruncateItem: TMenuItem;
    N19: TMenuItem;
    OrfoItem: TMenuItem;
    N21: TMenuItem;
    HelpItem: TMenuItem;
    N23: TMenuItem;
    AboutItem: TMenuItem;
    LevelsSetupItem: TMenuItem;
    SpellChecker: TSpellChecker;
    MasterTable: TTable;
    SaveAsWEBItem: TMenuItem;
    HTMLTemplate: TStrHolder;
    StatusBar1: TStatusBar;
    FlatHint1: TFlatHint;
    FlatAnimWnd1: TFlatAnimWnd;
    Dock971: TDock97;
    MainToolbar: TToolbar97;
    ExitButton: TToolbarButton97;
    ToolbarSep971: TToolbarSep97;
    LoadButton: TToolbarButton97;
    LSetupButton: TToolbarButton97;
    PrintButton: TToolbarButton97;
    ToolbarSep976: TToolbarSep97;
    PageSetupButton: TToolbarButton97;
    SaveButton: TToolbarButton97;
    PreviewButton: TToolbarButton97;
    ToolbarSep9713: TToolbarSep97;
    HelpButton: TToolbarButton97;
    OrfoButton: TToolbarButton97;
    ToolbarSep9714: TToolbarSep97;
    ExportButton: TToolbarButton97;
    SaveAsWEBButton: TToolbarButton97;
    PreviewToolbar: TToolbar97;
    LastButton: TToolbarButton97;
    NextButton: TToolbarButton97;
    PrevButton: TToolbarButton97;
    FirstButton: TToolbarButton97;
    ToolbarSep977: TToolbarSep97;
    ToolbarSep978: TToolbarSep97;
    ToolbarSep979: TToolbarSep97;
    EndPreviewButton: TToolbarButton97;
    ToolbarSep9710: TToolbarSep97;
    ToolbarSep9711: TToolbarSep97;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    PreviewZoom: TComboBox;
    PageEdit: TEdit;
    MaxPage: TEdit;
    ReportToolbar: TToolbar97;
    TruncateButton: TToolbarButton97;
    ToolbarSep974: TToolbarSep97;
    ConvertButton: TToolbarButton97;
    ToolbarSep975: TToolbarSep97;
    Label3: TLabel;
    ToolbarSep973: TToolbarSep97;
    Label5: TLabel;
    TruncateLevelEdit: TSpinEdit;
    LevelsEdit: TSpinEdit;
    Zagolovok: TEdit97;
    Header: TEdit97;
    Panel10: TToolbar97;
    TZImage: TImage;
    TZAnimate: TAnimate;
    MainMenu981: TMainMenu98;
    ClosePreviewTimer: TTimer;
    SaveReportToNewFile: TMenuItem;
    N2: TMenuItem;
    N3: TMenuItem;
    N5: TMenuItem;
    MenuItemBitmaps1: TMenuItemBitmaps;
    MenuItemBitmaps2: TMenuItemBitmaps;
    MenuItemBitmaps3: TMenuItemBitmaps;
    MenuItemBitmaps4: TMenuItemBitmaps;
    MenuItemBitmaps5: TMenuItemBitmaps;
    MenuItemBitmaps6: TMenuItemBitmaps;
    MenuItemBitmaps7: TMenuItemBitmaps;
    MenuItemBitmaps8: TMenuItemBitmaps;
    MenuItemBitmaps9: TMenuItemBitmaps;
    MenuItemBitmaps10: TMenuItemBitmaps;
    ZoomBtn: TToolbarButton97;
    ToolbarButton: TToolbarButton97;
    ImageList1: TImageList;
    ImageList2: TImageList;
    N7: TMenuItem;
    ReportStyle: TMenuItem;
    DiagramStyle: TMenuItem;
    OCPanel: TPanel;
    Notebook1: TNotebook;
    Editor: TRichEdit98;
    CustomOrgChart1: TCustomOrgChart;
    FlatSplitter1: TFlatSplitter;
    N8: TMenuItem;
    HistoryItem: TMenuItem;
    HistoryList: THistoryList;
    ImageList3: TImageList;
    PopupMenu981: TPopupMenu98;
    N9: TMenuItem;
    N10: TMenuItem;
    MenuItemBitmaps11: TMenuItemBitmaps;
    AppPropItem: TMenuItem;
    N12: TMenuItem;
    N13: TMenuItem;
    SendFileToDiskA: TMenuItem;
    ResContolTimer: TTimer;
    N15: TMenuItem;
    ShowTitleItem: TMenuItem;
    CloseTimerLSF: TTimer;
    MenuItemBitmaps12: TMenuItemBitmaps;
    Panel1: TPanel;
    fcOutlookBar1: TfcOutlookBar;
    fcOutlookBar1fcShapeBtn1: TfcShapeBtn;
    fcOutlookBar1fcShapeBtn2: TfcShapeBtn;
    ProjectListView: TfcTreeView;
    OutlookList: TfcOutlookList;
    Panel2: TPanel;
    BPNavigator: TBPNavigator;
    BPGetBitmapTimer: TTimer;
    XPManifest1: TXPManifest;
    N17: TMenuItem;
    ShowGrid: TMenuItem;
    N18: TMenuItem;
    N20: TMenuItem;
    N22: TMenuItem;
    N24: TMenuItem;
    N25: TMenuItem;
    ShowProjectionItem: TMenuItem;
    dxPrintStyleManager1: TdxPrintStyleManager;
    dxPrintStyleManager1Style1: TdxPSPrintStyle;
    PrintDialog: TPrintDialog;
    procedure ExitButtonClick(Sender: TObject);
    procedure LoadButtonClick(Sender: TObject);
    procedure LSetupButtonClick(Sender: TObject);
    procedure ConvertButtonClick(Sender: TObject);
    procedure PrintButtonClick(Sender: TObject);
    procedure HeaderChange(Sender: TObject);
    procedure PageSetupButtonClick(Sender: TObject);
    procedure FormStorageRestorePlacement(Sender: TObject);
    procedure FormStorageSavePlacement(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure SaveButtonClick(Sender: TObject);
    procedure EditorChange(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure PreviewButtonClick(Sender: TObject);
    procedure PreviewZoomChange(Sender: TObject);
    procedure EndPreviewButtonClick(Sender: TObject);
    procedure FirstButtonClick(Sender: TObject);
    procedure LastButtonClick(Sender: TObject);
    procedure PrevButtonClick(Sender: TObject);
    procedure NextButtonClick(Sender: TObject);
    procedure TruncateButtonClick(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure HelpButtonClick(Sender: TObject);
    procedure SetAnimation(Value:Boolean);
    procedure OrfoButtonClick(Sender: TObject);
    procedure MarkUnFormated;
    procedure SetZagolovok(Sender: TObject);
    procedure ExportButtonClick(Sender: TObject);
    function  FormatText:Boolean;
    procedure CreateNewItemClick(Sender: TObject);
    procedure AboutItemClick(Sender: TObject);
    procedure SaveAsWEBButtonClick(Sender: TObject);
    procedure DisplayHint(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure CreateProjectList(Sender: TObject);
    procedure CreateOutlookList(Sender:TObject);
    procedure ProjectListViewEditing(TreeView: TfcCustomTreeView;
      Node: TfcTreeNode; var AllowEdit: Boolean);
    procedure ProjectListViewDblClick(TreeView: TfcCustomTreeView;
      Node: TfcTreeNode; Button: TMouseButton; Shift: TShiftState; X,
      Y: Integer);
    procedure Notebook1PageChanged(Sender: TObject);
    procedure OutlookListItemClick(OutlookList: TfcCustomOutlookList;
      Item: TfcOutlookListItem);
    procedure ToolbarButtonClick(Sender: TObject);
    procedure DiagramStyleClick(Sender: TObject);
    procedure ZoomBtnClick(Sender: TObject);
    procedure SaveToNewFile(Sender: TObject);
    procedure ZoomItemClick(Sender: TObject);
    procedure ExceptionHandler(Sender: TObject; E: Exception);
    procedure HistoryListClick(Sender: TObject; Filename: String);
    procedure AppPropItemClick(Sender: TObject);
    procedure SendFileToDiskAClick(Sender: TObject);
    procedure ResContolTimerTimer(Sender: TObject);
    procedure PageEditKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure ZagolovokChange(Sender: TObject);
    procedure ShowTitleItemClick(Sender: TObject);
    procedure CloseTimerLSFTimer(Sender: TObject);
    procedure Panel2MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Panel2MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure BPGetBitmapTimerTimer(Sender: TObject);
    procedure ProjectListViewCollapsed(TreeView: TfcCustomTreeView;
      Node: TfcTreeNode);
    procedure ProjectListViewExpanded(TreeView: TfcCustomTreeView;
      Node: TfcTreeNode);
    procedure ShowGridClick(Sender: TObject);
    procedure N20Click(Sender: TObject);
    procedure N22Click(Sender: TObject);
    procedure N24Click(Sender: TObject);
    procedure ShowProjectionItemClick(Sender: TObject);
  protected
    Device, Driver, Port: array[0..79] of char;
  private
    { Private declarations }
    FModified:Boolean;
    NormalExit:Boolean;
    FIndexList:TStringList;
    FMemoryCheckValue:Integer;
    FLastFolder:String;
    CurrentLanguage:TLanguage;
    FPreviewOpen:Boolean;
    FTranslateHeaders:Integer;
    DefPrinter:Array[0..250] of Char;
    procedure OpenFile(FileName:String);
    function  QuitQuery:Boolean;
    procedure TransformLine(Var s:String;Var success:Boolean;Var doNotAdd:Integer;level:Integer);
    function  GetLineIndex(var S:String):String;
    function  GetNewLevel(s:String):String;
    function  FoundStartLevel:Integer;
    function  CalcLevel(s:String):Integer;
    function  TrimPageBreak(s:String):String;
    procedure CheckForOne(Var s:String);
    function  ScanKnownToken(Const s:String; Var startTok,endTok:Integer):TOCTokenType;
    function  QuerySaveImageDlg(Var translateType,iWidth,iHeight,ImageType:Integer):Boolean;
    { Outlook function}
    procedure ClearRecData;
    function  AddLevelToProjectList(path:String;root:TfcTreeNode):Boolean;
    procedure  AddNewFileName(Const S:String);
    procedure SetupScaleMode(Const Value:Boolean);
  public
    { Public declarations }
     {      ! }
    FPageTop:Integer;
    FPageBottom:Integer;
    FPageLeft:Integer;
    FPageRight:Integer;
    FFileName:String;
    FVerticalCenter:Boolean;
    FHorizontalCenter:Boolean;
    {}
    repModified:Boolean;
    FHasHTMLExport:Boolean;
    FPreviewCAction:TCloseAction;
    DevHandle: THandle;
    procedure SetupLanguage;
    property PreviewOpen:Boolean read FPreviewOpen write FPreviewOpen default False;
  end;

var
  MainForm: TMainForm;
  BeforeStart:DWORD;
  HasPrn:Boolean;

Const myRegistryKey='SOFTWARE\BIG\ORGCHART\TOOLBARS';
      orgchartVersion='3.00';

implementation

uses SetupLevelsFormUnit, CheckDateUnit, FileNameUnit,
  PreviewFormUnit, DebugUnit, AboutBoxUnit, SelWEBImageDlgUnit,
  ScaledFormUnit, BPPropDlgUnit, PBarDlgUnit;

{$R *.DFM}
{$R STR_MOV.RES }

procedure TMainForm.ExceptionHandler(Sender: TObject; E: Exception);
Var hr:Integer;
 begin
  try
   WriteLog(Sender.ClassName,E);
   hr:=Application.MessageBox('      .   ?','   Windows !',MB_YESNO or MB_ICONERROR);
   if (hr=IDNO) then Application.Terminate;
  except
  end;
 end;

procedure  TMainForm.AddNewFileName(Const S:String);
 begin
  try
   HistoryList.addFilename(s,'');
  except
   on E:Exception do WriteLog('AddNewFileName',E);
  end;
 end;

procedure TMainForm.ClearRecData;
Var i:Integer;
    p:PPrjInfo;
 begin
  try
  for i:=0 to (ProjectListView.Items.Count-1) do
   begin
    p:=PPrjInfo(ProjectListView.Items.Item[i].data);
    if (p<>nil) then FreeMem(p);
   end;
  except
   on E:Exception do WriteLog('ClearRecData',E);
  end;
 end;

procedure TMainForm.CreateProjectList(Sender: TObject);
Var s:String;
    root:TfcTreeNode;
 begin
  try
  s:=ExtractFilePath(Application.ExeName)+'Diagrams\';
  ClearRecData;
  ProjectListView.Items.Clear;
  root:=ProjectListView.Items.GetFirstNode;
  AddLevelToProjectList(s,root);
  ProjectListView.AlphaSort;
  except
   on E:Exception do WriteLog('CreateProjectList',E);
  end;
 end;

function TMainForm.AddLevelToProjectList(path:String;root:TfcTreeNode):Boolean;
Var s,stmp:String;
    sr:TSearchRec;
    err:Integer;
    tmp:TfcTreeNode;
    attr:Integer;
    recdata:PPrjInfo;
 begin
   try
   Result:=False;
   s:=path+'*.*';
   attr:= faDirectory+faArchive;
   err:=FindFirst(s,attr,sr);
   while (err=0) do
    begin
     if ((sr.attr and faDirectory)<>0) and
      (sr.Name<>'.') and (sr.Name<>'..') then
        begin
         { Directory found }
         stmp:=ExtractFileName(sr.Name);
         tmp:=ProjectListView.Items.AddChild(root,stmp);
         tmp.ImageIndex:=1;
         tmp.SelectedIndex:=0;
         tmp.Data:=nil;
         AddLevelToProjectList(path+sr.Name+'\',tmp);
        end;
     stmp:=ExtractFileExt(sr.Name);
     if ((sr.attr and faDirectory)=0) and
      ((stmp='.rtf') or (stmp='.RTF')) then
       begin
        { File Found }
         Result:=True;
         stmp:=ExtractFileName(sr.Name);
         stmp:=Copy(stmp,1,length(stmp)-4);
         tmp:=ProjectListView.Items.AddChild(root,stmp);
         tmp.ImageIndex:=3;
         tmp.SelectedIndex:=2;
         recdata:=PPrjInfo(AllocMem(sizeof(TPrjInfo)));
         recdata^.FileName:=path+sr.Name;
         tmp.Data:=Pointer(recdata);
       end;
     err:=FindNext(sr);
    end;
   FindClose(sr);
   if (not(Result)) and (root<>nil) then
     begin
       FreeMem(root.Data,sizeof(TPrjInfo));
       ProjectListView.Items.Delete(root);
     end;
  except
   on E:Exception do
    begin
     Result:=False;
     WriteLog('AddLevelToProjectList',E);
    end;
  end;
 end;


procedure TMainForm.DisplayHint(Sender: TObject);
begin
 try
  if (length(Application.Hint)>0) then
   begin
    StatusBar1.SimpleText := GetLongHint(Application.Hint);
    StatusBar1.SimplePanel:=True;
   end
  else
   begin
    StatusBar1.SimpleText := '';
    StatusBar1.SimplePanel:=False;
   end;
  except
   on E:Exception do WriteLog('DisplayHint',E);
  end;
end;

function  TMainForm.ScanKnownToken(Const s:String; Var startTok,endTok:Integer):TOCTokenType;
var len,i:Integer;
    tmps:String;
 begin
   try
   Result:=octt_Unknown;
   len:=length(s);
   if (len<13) then Exit;
   startTok:=pos('<#PRILNUMBER>',s);
   if (startTok>0) then
          begin
            endTok:=startTok+12;
            Result:=octt_PrilNumber;
            Exit;
          end;
   if (len<15) then Exit;
   startTok:=pos('<#ORGCHARTNAME>',s);
   if (startTok>0) then
          begin
            endTok:=startTok+14;
            Result:=octt_OrgChartName;
            Exit;
          end;
   if (len<18) then Exit;
   startTok:=pos('<#ORGCHARTPICTURE>',s);
   if (startTok>0) then
          begin
            endTok:=startTok+17;
            Result:=octt_OrgChartPicture;
            Exit;
          end;
  except
   on E:Exception do
    begin
     Result:=octt_Unknown;
     WriteLog('ScanKnownToken',E);
    end;
  end;
 end;

function  TMainForm.TrimPageBreak(s:String):String;
Var i:Integer;
    len:Integer;
    ch:Char;
 begin
  try
   Result:='';
   if length(s)=0 then Exit;
   i:=1;
   len:=length(s);
   ch:=Chr($0c);
   while ((i<=len) and (s[i]<>ch)) do
    begin
     Result:=Result+s[i];
     inc(i);
    end;
  except
   on E:Exception do
    begin
     Result:='';
     WriteLog('TrimPageBreak',E);
    end;
  end;
 end;

function  TMainForm.CalcLevel(s:String):Integer;
Var t:String;
    i:Integer;
 begin
  try
   Result:=0;
   if length(s)=0 then Exit;
   t:=s;
   i:=1;
   while (i<length(t)) do
    begin
      if t[i]='.' then inc(Result);
      inc(i);
    end;
   inc(Result);
  except
   on E:Exception do
    begin
     Result:=0;
     WriteLog('CalcLevel',E);
    end;
  end;
 end;

function TMainForm.FoundStartLevel:Integer;
Var i,count,j:Integer;
    s:String;
 begin
  { Return Minimal non-zero level if exist
   or zero if none }
  try
   Result:=0;
   count:=Editor.Lines.Count;
   i:=0;
   j:=0;
   while (i<count) and (j=0) do
       begin
         s:=Editor.Lines.Strings[i];
         s:=GetLineIndex(s);
         if length(s)<>0 then j:=CalcLevel(s);
         inc(i);
       end;
  Result:=j;
  except
   on E:Exception do
    begin
     Result:=0;
     WriteLog('FoundStartLevel',E);
    end;
  end;
 end;

function TMainForm.FormatText:Boolean;
Var MinLevel:Integer;
    hm:Integer;
 begin
   try
    Result:=False;
    MinLevel:=FoundStartLevel-1;
    if (MinLevel>0) then
     begin
       hm:=Application.MessageBox('        ?','   ',MB_YESNO);
       if (hm=mrYes) then
        begin
         TruncateLevelEdit.Value:=MinLevel+1;
         TruncateButtonClick(self);
         Result:=True;
        end;
     end;
   except
   on E:Exception do
    begin
     Result:=False;
     WriteLog('FormatText',E);
    end;
  end;
 end;

function TMainForm.QuitQuery:Boolean;
Var i:Integer;
begin
 try
  Result:=True;
  if Editor.Modified then
  i:=Application.MessageBox('  ?','  ',MB_YESNOCANCEL);
  case i of
   ID_YES:    SaveButtonClick(self);
   ID_CANCEL: Result:=False;
  end;
  except
   on E:Exception do
    begin
    WriteLog('QuitQuery',E);
    Result:=True;
    end;
  end;
end;

procedure TMainForm.ExitButtonClick(Sender: TObject);
begin
  try
  if QuitQuery then
   begin
    NormalExit:=True;
    if (PreviewForm<>nil) then
      begin
       PreviewForm.Close;
       PreviewForm:=nil;
      end;
    if (ScaledForm<>nil) then
      begin
       ScaledForm.Close;
       ScaledForm:=nil;
      end;
    close;
   end;
  except
   on E:Exception do WriteLog('ExitButtonClick',E);
  end;
end;

procedure TMainForm.SetZagolovok(Sender: TObject);
var i:LongInt;
begin
 try
 i:=0;
 while (length(trim(editor.Lines[i]))=0) and (i<editor.Lines.Count) do
  begin
   inc(i);
  end;
  Zagolovok.Text:=editor.Lines[i];
  except
   on E:Exception do WriteLog('SetZagolovok',E);
  end;
end;

procedure TMainForm.OpenFile(FileName:String);
 begin
    Editor.Clear;
   try
    Editor.Lines.LoadFromFile(FFileName);
   except
    Editor.InputFormat:=ifTEXT;
    Editor.Lines.LoadFromFile(FFileName);
    Editor.InputFormat:=ifRTF;
   end;
    Editor.SelectAll;
    Editor.SelAttributes.Hidden:=False;
    Editor.SelLength:=0;
    Editor.Modified:=False;
    repModified:=FormatText;
    CustomOrgChart1.Nodes.Clear;
    CustomOrgChart1.Nodes.LoadLevels(GetLoadFileName(FFileName,'lsa'));
    SetZagolovok(self);
    CurrentLanguage:=CustomOrgChart1.Nodes.levels[0].language;
    FModified:=repModified;
    Editor.Modified:=repModified;
    SaveButton.Enabled:=repModified;
    ExportButton.Enabled:=False;
    PrintButton.Enabled:=False;
    PageSetupButton.Enabled:=HasPrn;
    PageParamItem.Enabled:=HasPrn;
    PreviewButton.Enabled:=False;
    OrfoButton.Enabled:=True;
    SendFileToDiskA.Enabled:=True;
    SaveItem.Enabled:=repModified;
    ExportItem.Enabled:=False;
    PrintItem.Enabled:=False;
    PreviewItem.Enabled:=False;
    SaveReportToNewFile.Enabled:=True;
    OrfoItem.Enabled:=True;
    Notebook1.ActivePage:='Page1';
    CreateOutlookList(Self);
    try
     setupLanguage;
    except
    end;
    fcOutLookBar1.ActivePage:=fcOutlookBar1fcShapeBtn2;
 end;

procedure TMainForm.LoadButtonClick(Sender: TObject);
begin
 try
 if QuitQuery then
 begin
 OpenDialog.InitialDir:=ExtractFilePath(Application.ExeName)+'Diagrams';
 if OpenDialog.Execute then
   begin
    FFileName:=OpenDialog.FileName;
    AddNewFileName(FFileName);
    OpenFile(FFileName);
   end;
  end;
  except
   on E:Exception do WriteLog('LoadButtonClick',E);
  end;
end;

procedure TMainForm.LSetupButtonClick(Sender: TObject);
var hm:Integer;
begin
 try
 {LevelSetupForm.InitDialog(self);
 hm:=LevelSetupForm.ShowModal;    }
 if (LevelSetupForm=nil) then
 Application.CreateForm(TLevelSetupForm,LevelSetupForm)
 else
  begin
   LevelSetupForm.Show;
   LevelSetupForm.Invalidate;
  end;
 except
   on E:Exception do WriteLog('LSetupButtonClick',E);
 end;
end;

procedure TMainForm.ConvertButtonClick(Sender: TObject);
Var bl:Boolean;
    AddLevels:Boolean;
    OnlyNumbers:Boolean;
begin
 try
 SetAnimation(True);
 CustomOrgChart1.Visible:=False;
 Editor.WordWrap:=False;
 CustomOrgChart1.SetPreviewPageParam(FPageTop,FPageBottom,FPageLeft,FPageRight);
 CustomOrgChart1.Nodes.Caption:=Zagolovok.Text;
 CustomOrgChart1.TitleText:=Zagolovok.Text;
 case FTranslateHeaders of
   0:  begin
        AddLevels:=False;
        OnlyNumbers:=True;
       end;
   1:  begin
        AddLevels:=False;
        OnlyNumbers:=False;
       end;
   2:  begin
        AddLevels:=True;
        OnlyNumbers:=False;
       end;
 end;
 bl:=CustomOrgChart1.Nodes.LoadFromTStrings(Editor.Lines,LevelsEdit.Value,AddLevels,OnlyNumbers,ShowProjectionItem.Checked);
 if not(bl) then
   begin
    Notebook1.ActivePage:='Page2';
    PrintButton.Enabled:=HasPrn;
    PageSetupButton.Enabled:=HasPrn;
    PageParamItem.Enabled:=HasPrn;
    PreviewButton.Enabled:=HasPrn;
    OrfoButton.Enabled:=False;
    ExportButton.Enabled:=True;
    ExportItem.Enabled:=True;
    PrintItem.Enabled:=HasPrn;
    PreviewItem.Enabled:=HasPrn;
    OrfoItem.Enabled:=False;
    SaveAsWEBButton.Enabled:=FHasHTMLExport;
    SaveAsWEBItem.Enabled:=FHasHTMLExport;
   end
 else LSetupButtonClick(self);
 SetAnimation(False);
 CustomOrgChart1.Visible:=True;
 if OrgChart.HasW95Error then
        Application.MessageBox('  Windows 95,98     .           Windows NT',
                               '  ',
                                MB_OK or MB_ICONERROR);
  except
   on E:Exception do
    begin
     CustomOrgChart1.Visible:=True;
     SetAnimation(False);
     WriteLog('ConvertButtonClick',E);
    end;
  end;
end;


procedure TMainForm.PrintButtonClick(Sender: TObject);
Var s:String;
   StartP,EndP:Integer;
begin
 try
 try
 if HasW95Error then
        Application.MessageBox('  Windows 95,98     .           Windows NT',
                               '  ',
                                MB_OK or MB_ICONERROR);
 SetAnimation(True);
 with PrintDialog do
  begin
{   Options := [poPageNums];}
   MinPage:=1;
   FromPage:=MinPage;
   CustomOrgChart1.SetPageParam(FPageTop,FPageBottom,FPageLeft,FPageRight);
   MaxPage:=CustomOrgChart1.CalcMaxPagesCount(GetOChartFName(FFileName,'lsa'));
   ToPage:=MaxPage;
  end;
 if PrintDialog.Execute then
   begin
     with PrintDialog do
       begin
        if PrintRange = prAllPages then
          begin
           StartP := MinPage;
           EndP := MaxPage;
          end
        else  { PrintRange = prPageNums }
          begin
           StartP := FromPage;
           EndP :=ToPage;
          end;
       end;
    OCPanel.Visible:=False;

    PBarDlg.Show;
    PBarDlg.InitVars(' ');
    PBarDlg.Update;
{    CustomOrgChart1.SetPageParam(FPageTop,FPageBottom,FPageLeft,FPageRight);}
    CustomOrgChart1.Print(GetOChartFName(FFileName,'lsa'),StartP,EndP);
    if not(FPreviewOpen) then OCPanel.Visible:=True;
    PBarDlg.Hide;
    PBarDlg.Update;
   end;
  finally
   if not(FPreviewOpen) then OCPanel.Visible:=True;
   SetAnimation(False);
  end;
  except
   on E:Exception do
    begin
     WriteLog('PrintButtonClick',E);
     SetAnimation(False);
    end;
  end;
end;

procedure TMainForm.HeaderChange(Sender: TObject);
begin
 try
 CustomOrgChart1.HeaderText:='  '+Header.Text;
 except
  on E:Exception do WriteLog('HeaderChange',E);
 end;
end;

(*procedure TMainForm.PageSetupButtonClick(Sender: TObject);
begin
 { Page Setup }
  try
  Application.CreateForm(TPageSetupForm, PageSetupForm);
  except
   on E:Exception do WriteLog('PageSetupButtonClick',E);
  end;
end; *)

procedure CenterWindow(Wnd: HWnd);
var
  Rect: TRect;
begin
  GetWindowRect(Wnd, Rect);
  SetWindowPos(Wnd, 0,
    (GetSystemMetrics(SM_CXSCREEN) - Rect.Right + Rect.Left) div 2,
    (GetSystemMetrics(SM_CYSCREEN) - Rect.Bottom + Rect.Top) div 3,
    0, 0, SWP_NOACTIVATE or SWP_NOSIZE or SWP_NOZORDER);
end;


function DialogHook(Wnd: HWnd; Msg: UINT; WParam: WPARAM; LParam: LPARAM): UINT; stdcall;
begin
  Result := 0;
  case Msg of
    WM_INITDIALOG:
      begin
        CenterWindow(Wnd);
        Result := 1;
      end;
  end;
end;

function TaskModalDialog(DialogFunc: Pointer; var DialogData): Bool;
type
    TDialogFunc = function(var DialogData): Bool stdcall;
var
    ActiveWindow: HWnd;
    WindowList: Pointer;
begin
    ActiveWindow := GetActiveWindow;
    WindowList := DisableTaskWindows(0);
    try
        Result := TDialogFunc(DialogFunc)(DialogData);
    finally
        EnableTaskWindows(WindowList);
        SetActiveWindow(ActiveWindow);
    end;
end;


procedure TMainForm.PageSetupButtonClick(Sender: TObject);
var
  PageDlgRec: TPageSetupDlg;
  n:Integer;

procedure SetPrinter(DeviceMode, DeviceNames: THandle);
var
  DevNames: PDevNames;
begin
  DevNames := PDevNames(GlobalLock(DeviceNames));
  try
    with DevNames^ do
     begin
      if Win32Platform = VER_PLATFORM_WIN32_NT then
        begin
        if IsWin2kOrXP then SetDefaultPrinter(PChar(DevNames) + wDeviceOffset);
        Printer.SetPrinter(PChar(DevNames) + wDeviceOffset, Driver, Port, DeviceMode);
        end
      else
        Printer.SetPrinter(PChar(DevNames) + wDeviceOffset,
          Driver,
          PChar(DevNames) + wOutputOffset, DeviceMode);
     end;
  finally
    GlobalUnlock(DeviceNames);
    GlobalFree(DeviceNames);
  end;
end;

procedure GetPrinter(var DeviceMode, DeviceNames: THandle);
var
  DevNames: PDevNames;
  Offset: PChar;
begin
  Printer.GetPrinter(Device, Driver, Port, DeviceMode);
  if DeviceMode <> 0 then
  begin
    DeviceNames := GlobalAlloc(GHND, SizeOf(TDevNames) +
     StrLen(Device) + StrLen(Driver) + StrLen(Port) + 3);
    DevNames := PDevNames(GlobalLock(DeviceNames));
    try
      Offset := PChar(DevNames) + SizeOf(TDevnames);
      with DevNames^ do
      begin
        wDriverOffset := Longint(Offset) - Longint(DevNames);
        Offset := StrECopy(Offset, Driver) + 1;
        wDeviceOffset := Longint(Offset) - Longint(DevNames);
        Offset := StrECopy(Offset, Device) + 1;
        wOutputOffset := Longint(Offset) - Longint(DevNames);;
        StrCopy(Offset, Port);
      end;
    finally
      GlobalUnlock(DeviceNames);
    end;
  end;
end;

function CopyData(Handle: THandle): THandle;
var
  Src, Dest: PChar;
  Size: Integer;
begin
  if Handle <> 0 then
  begin
    Size := GlobalSize(Handle);
    Result := GlobalAlloc(GHND, Size);
    if Result <> 0 then
      try
        Src := GlobalLock(Handle);
        Dest := GlobalLock(Result);
        if (Src <> nil) and (Dest <> nil) then Move(Src^, Dest^, Size);
      finally
        GlobalUnlock(Handle);
        GlobalUnlock(Result);
      end
  end
  else Result := 0;
end;

procedure SetPaperSize(asize:Integer);
Var
hPrinter :DWORD;
pDATA : Pointer;
nRequired : PDWORD;
prnDefaults : TPrinterDefaults; // for NT
begin
Printer.PrinterIndex := -1;
with prnDefaults do begin // for NT
pDatatype := Nil;
pDevMode := Nil;
DesiredAccess := PRINTER_ALL_ACCESS;
end;
OpenPrinter(PChar(Printer.Printers[Printer.PrinterIndex]),
hPrinter, @prnDefaults);
New(nRequired);
// 2 is information level. See GetPrinter in Win32 Help
// See also PRINTER_INFO_2 structure description in Win32 help
WinSpool.GetPrinter(hPrinter, 2, Nil, 0, nRequired);
GetMem(pDATA, nRequired^);
if WinSpool.GetPrinter(hPrinter, 2, pDATA, nRequired^, nRequired) then begin
with TPRINTERINFO2(pDATA^).pDevMode^ do begin
TPRINTERINFO2(pDATA^).pSecurityDescriptor := Nil; // for NT
dmFields := dmFields OR
DM_PAPERSIZE {OR
DM_PAPERLENGTH OR
DM_PAPERWIDTH};
dmPaperSize := asize;
{dmPaperLength := 3000;
dmPaperWidth := 1000;}
end;
if NOT WinSpool.SetPrinter(hPrinter, 2, pDATA, 0) then
ShowMessage(SysErrorMessage(GEtLastError));
end else ShowMessage('GetPrinter 2 fails: ' + SysErrorMessage(GEtLastError));
FreeMem(pDATA);

Dispose(nRequired);

end;


Var p:Tpoint;
   tmpi:TQRPaperSize;

   asize:Integer;
begin
  try
    {PageSetupForm.Execute;}
  FillChar(PageDlgRec, SizeOf(PageDlgRec), 0);
  n:=Printer.PrinterIndex;
  with PageDlgRec do
  begin
   lStructSize := SizeOf(PageDlgRec);
   GetPrinter(DevHandle,hDevNames);
{   asize:=Printer.PaperSize;}
   hDevMode    := CopyData(DevHandle);
{   for tmpi:= Letter to ESheet do
     begin
      if aSize=cQRPaperTranslate[tmpI] then
         begin
           ptPaperSize.x:=Round(cQRPaperSizeMetrics[tmpI,0]*100);
           ptPaperSize.y:=Round(cQRPaperSizeMetrics[tmpI,1]*100);
         end;
     end;}
   rtMargin    := Rect(Round(FPageLeft*100),Round(FPageTop*100),Round(FPageRight*100),Round(FPageBottom*100));
   Flags       := PSD_ENABLEPAGESETUPHOOK or PSD_INHUNDREDTHSOFMILLIMETERS
                   or PSD_MARGINS;
   hWndOwner   := Application.Handle;
   lpfnPageSetupHook := DialogHook;
  End;
  if TaskModalDialog(@PageSetupDlg, PageDlgRec) then
    begin
     FPageTop:=Round(PageDlgRec.rtMargin.Top/100.0);
     FPageLeft:=Round(PageDlgRec.rtMargin.Left/100.0);
     FPageRight:=Round(PageDlgRec.rtMargin.Right/100.0);
     FPageBottom:=Round(PageDlgRec.rtMargin.Bottom/100.0);
     SetPrinter(PageDlgRec.hDevMode, PageDlgRec.hDevNames);
    asize:=cQRPaperTranslate[Default];
    for tmpi:= Letter to ESheet do
      begin
          if (PageDlgRec.ptPaperSize.x=Round(cQRPaperSizeMetrics[tmpI,0]*100)) and
           (PageDlgRec.ptPaperSize.y=Round(cQRPaperSizeMetrics[tmpI,1]*100)) then asize:=cQRPaperTranslate[tmpI];
      end;
      SetPaperSize(asize);
   {  Printer.PaperSize:=asize;
     asize:=Printer.PaperSize;
     p.x:=PageDlgRec.ptPaperSize.x;
     p.y:=PageDlgRec.ptPaperSize.Y;}
     CustomOrgChart1.SetPageParam(FPageTop,FPageBottom,
       FPageLeft,FPageRight);
     if CustomOrgChart1.Nodes.ShowGrid and HasPrn then
        ConvertButtonClick(self);
     n:=Printer.PrinterIndex;
    end;
  except
    on E:Exception do WriteLog('PageSetupButtonClick',E);
  end;
end;



procedure TMainForm.FormStorageRestorePlacement(Sender: TObject);
begin
 try
 FTranslateHeaders:=FormStorage.IniFile.ReadInteger('Service','TranslateHeaders',1);
 case FTranslateHeaders of
  0: N24.Checked:=True;
  1: N22.Checked:=True;
  2: N20.Checked:=True;
 end;
 ShowProjectionItem.Checked:=FormStorage.IniFile.ReadBool('Service','ShowProjection',True);
 FMemoryCheckValue:=FormStorage.IniFile.ReadInteger('MainForm','MemoryCheckValue',97);
 FPageTop:=FormStorage.IniFile.ReadInteger('PageParam','Top',20);
 FPageBottom:=FormStorage.IniFile.ReadInteger('PageParam','Bottom',20);
 FPageLeft:=FormStorage.IniFile.ReadInteger('PageParam','Left',25);
 FPageRight:=FormStorage.IniFile.ReadInteger('PageParam','Right',20);
 FLastFolder:=FormStorage.IniFile.ReadString('MainForm','LastFolder','');
 CustomOrgChart1.Nodes.ShowGrid:=FormStorage.IniFile.ReadBool('Service','ShowPreviewGrid',True);
 ShowGrid.Checked:=CustomOrgChart1.Nodes.ShowGrid;
 FVerticalCenter:=FormStorage.IniFile.ReadBool('Service','VerticalCenter',True);
 FHorizontalCenter:=FormStorage.IniFile.ReadBool('Service','HorizontalCenter',True);
 CustomOrgChart1.SetVHSpacing(FVerticalCenter,FHorizontalCenter);
  except
   on E:Exception do WriteLog('FormStorageRestorePlacement',E);
  end;
end;

procedure TMainForm.FormStorageSavePlacement(Sender: TObject);
begin
 try
 FormStorage.IniFile.WriteBool('Service','ShowProjection',ShowProjectionItem.Checked);
 FormStorage.IniFile.WriteInteger('Service','TranslateHeaders',FTranslateHeaders);
 FormStorage.IniFile.WriteInteger('MainForm','MemoryCheckValue',FMemoryCheckValue);
 FormStorage.IniFile.WriteInteger('PageParam','Top',FPageTop);
 FormStorage.IniFile.WriteInteger('PageParam','Bottom',FPageBottom);
 FormStorage.IniFile.WriteInteger('PageParam','Left',FPageLeft);
 FormStorage.IniFile.WriteInteger('PageParam','Right',FPageRight);
 FormStorage.IniFile.WriteString('MainForm','LastFolder',FLastFolder);
 FormStorage.IniFile.WriteBool('Service','ShowPreviewGrid',CustomOrgChart1.Nodes.ShowGrid);
 FormStorage.IniFile.ReadBool('Service','VerticalCenter',FVerticalCenter);
 FormStorage.IniFile.ReadBool('Service','HorizontalCenter',FHorizontalCenter);
  except
   on E:Exception do WriteLog('FormStorageSavePlacement',E);
  end;
end;

procedure TMainForm.FormCreate(Sender: TObject);
Var i:Integer;
    fname:String;
    s:String;
    tmpbmp:TBitmap;
    w:DWORD;
begin
  try
   Application.OnException:=ExceptionHandler;
   w:=250;
   if IsWin2kOrXP then GetDefaultPrinter(@DefPrinter,@w);
   FTranslateHeaders:=1;
   FormStorage.IniFileName:=ExtractFilePath(Application.ExeName)+'ORGCHART.INI';
   FormStorage.RestoreFormPlacement;
   ShowGrid.Enabled:=HasPrn;
   Application.OnHint := DisplayHint;
   FPreviewOpen:=False;
   CurrentLanguage:=$0419;
   ScaledForm:=nil;
   N3.Enabled:=False;
   N5.Enabled:=False;
   ZoomBtn.Enabled:=False;
{   if Win32Platform=VER_PLATFORM_WIN32_NT then
     CustomOrgChart1.Nodes.Root.FuckingWin95:=False
   else
     CustomOrgChart1.Nodes.Root.FuckingWin95:=True;}
   OrgChart.HasW95Error:=False;
   repModified:=False;
   MasterTable.DatabaseName:=ExtractFilePath(Application.ExeName);
   RegLoadToolbarPositions(self,myRegistryKey);
   MainMenu981.Visible:=True;
   MainToolBar.Visible:=True;
   ReportToolBar.Visible:=True;
   NormalExit:=False;
   FFileName:='';
   FModified:=False;
   TZAnimate.ResName:='LMOVIE';
   SetAnimation(False);
   SaveButton.Enabled:=False;
   OrfoButton.Enabled:=True;
   SaveItem.Enabled:=False;
   OrfoItem.Enabled:=True;
   s:=ExtractFilePath(Application.ExeName);
   s:=copy(s,1,length(s)-1);
   s:=ExtractFilePath(s);
   s:=s+'HTML\ochtml.tpl';
   FHasHTMLExport:=True;
   if FileExists(s) then
     HTMLTemplate.Strings.LoadFromFile(s);
   Caption:='  (  '+orgchartVersion+' )';
   CreateProjectList(self);
   CreateOutlookList(Self);
   tmpbmp:=TBitmap.Create;
   ImageList3.GetBitmap(0,tmpbmp);
   fcOutlookBar1fcShapeBtn1.Glyph.Assign(tmpbmp);
   fcOutLookBar1fcShapeBtn1.Caption:='&/';
   fcOutLookBar1fcShapeBtn1.Color:=clBtnFace;
   ImageList3.GetBitmap(1,tmpbmp);
   fcOutlookBar1fcShapeBtn2.Glyph.Assign(tmpbmp);
   fcOutLookBar1fcShapeBtn2.Caption:='&/';
   fcOutLookBar1fcShapeBtn2.Color:=clBtnFace;
   tmpbmp.Free;
   fcOutLookBar1.ActivePage:=fcOutlookBar1fcShapeBtn1;
   Notebook1.ActivePage:='Page1';
  if ParamCount > 0 then
   begin
   fname:=ParamStr(1);
   FFileName:=fname;
   AddNewFileName(FFileName);
   OpenFile(FFileName);
   FModified:=FormatText;
   repModified:=FModified;
   SetZagolovok(self);
   SaveReportToNewFile.Enabled:=True;
   fcOutLookBar1.ActivePage:=fcOutlookBar1fcShapeBtn2;
   end;
   if FileExists(GetNewFileName(FFileName,'lsa')) then
   CustomOrgChart1.Nodes.LoadLevels(GetNewFileName(FFileName,'lsa'));
{   FModified:=False;}
   Editor.Modified:=FModified;
   SaveButton.Enabled:=FModified;
   ExportButton.Enabled:=False;
   SaveItem.Enabled:=FModified;
   ExportItem.Enabled:=False;
  except
   on E:Exception do WriteLog('FormCreate',E);
  end;
end;

procedure TMainForm.MarkUnFormated;
begin
  try
    if repModified then
    begin
    MasterTable.Close;
    MasterTable.Open;
    MasterTable.First;
    while not(MasterTable.EOF) do
     begin
      if (MasterTable.FieldByName('FileName').AsString=FFileName) then
      begin
       MasterTable.Edit;
       MasterTable.FieldByName('Formated').AsBoolean:=False;
       MasterTable.Post;
      end;
      MasterTable.Next;
     end;
    MasterTable.Close;
    end;
  except
   on E:Exception do WriteLog('MarkUnFormated',E);
  end;
end;

procedure TMainForm.SaveButtonClick(Sender: TObject);
begin
 try
 SetAnimation(True);
 SaveDialog.InitialDir:=ExtractFilePath(Application.ExeName)+'Document';
 if FFileName='' then
  begin
    if SaveDialog.Execute then
     begin
       FFileName:=SaveDialog.FileName;
       AddNewFileName(FFileName);
       Editor.Lines.SaveToFile(FFileName);
       CustomOrgChart1.Nodes.SaveLevels(GetNewFileName(FFileName,'lsa'));
       Editor.Modified:=False;
       FModified:=False;
       SaveButton.Enabled:=False;
       SaveItem.Enabled:=False;
     end;
  end
 else
  begin
    Editor.Lines.SaveToFile(FFileName);
    MarkUnFormated;
    CustomOrgChart1.Nodes.SaveLevels(GetNewFileName(FFileName,'lsa'));
    Editor.Modified:=False;
    FModified:=False;
  end;
  SetAnimation(False);
  except
   on E:Exception do
    begin
     SetAnimation(False);
     WriteLog('SaveButtonClick',E);
    end;
  end;
end;

procedure TMainForm.EditorChange(Sender: TObject);
begin
 try
 FModified:=True;
 SaveButton.Enabled:=True;
 SaveItem.Enabled:=True;
  except
   on E:Exception do WriteLog('EditorChange',E);
  end;
end;

procedure TMainForm.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
 try
 CanClose:=NormalExit;
 if CanClose then Exit;
 CanClose:=QuitQuery;
 if CanClose and (PreviewForm<>nil) then
  begin
   PreviewFOrm.Close;
   PreviewForm:=nil;
  end;
  if (CanClose and (PreviewToolBar.Visible)) then PreviewToolbar.Visible:=False;
  if (CanClose and (not(ReportToolbar.Visible))) then ReportToolbar.Visible:=True;
  except
   on E:Exception do
    begin
     WriteLog('FormCloseQuery',E);
     CanClose:=True;
    end;
  end;
end;

procedure TMainForm.PreviewButtonClick(Sender: TObject);
begin
 try
 FPreviewCAction:=caNone;
 if PreviewForm=nil then
  begin
   if HasW95Error then
        Application.MessageBox('  Windows 95,98     .           Windows NT',
                               '  ',
                                MB_OK or MB_ICONERROR);
   SetAnimation(True);
   FPreviewOpen:=True;
   PBarDlg.Show;
   PBarDlg.InitVars(' ');
   PBarDlg.Update;
   OCPanel.Visible:=False;
   PreviewButton.Enabled:=False;
   PreviewItem.Enabled:=False;
   OrfoButton.Enabled:=False;
   OrfoItem.Enabled:=False;
   N3.Enabled:=False;
   N5.Enabled:=False;
   ZoomBtn.Enabled:=False;
   Application.CreateForm(TPreviewForm, PreviewForm);
   CustomOrgChart1.SetPageParam(FPageTop,FPageBottom,FPageLeft,FPageRight);
   CustomOrgChart1.SetPreviewPageParam(FPageTop,FPageBottom,FPageLeft,FPageRight);
   CustomOrgChart1.CreatePreview(GetOChartFName(FFileName,'lsa'));
   MaxPage.ReadOnly:=False;
   MaxPage.Text:=IntToStr(CustomOrgCHart1.QPrinter.AvailablePages);
   MaxPage.ReadOnly:=True;
   CustomOrgChart1.QPrinter.Orientation:=Printer.Orientation;
   PreviewForm.QRPreview.QRPrinter:=CustomOrgCHart1.QPrinter;
{   PreviewZoom.Text:=IntToStr(PreviewForm.QRPReview.Zoom);}
   ReportToolBar.Visible:=False;
   ExitButton.Enabled:=False;
   ExitItem.Enabled:=False;
   PreviewToolBar.Visible:=True;
   SetAnimation(False);
   PBarDlg.Hide;
   PBarDlg.Update;
  end else
    begin
      OCPanel.Visible:=False;
      PreviewForm.Show;
      PreviewToolBar.Visible:=True;
      FPreviewOpen:=True;
    end;
  except
   on E:Exception do
    begin
     SetAnimation(False);
     WriteLog('PreviewButtonClick',E);
    end;
  end;
end;

procedure TMainForm.PreviewZoomChange(Sender: TObject);
begin
 try
 if PreviewForm=nil then Exit;
 PreviewForm.QRPreview.Zoom:=StrToIntDef(PreviewZoom.Text,100);
  except
   on E:Exception do WriteLog('PreviewZoomChange',E);
  end;
end;

procedure TMainForm.EndPreviewButtonClick(Sender: TObject);
begin
 try
 FPreviewCAction:=caFree;
 ClosePreviewTimer.Enabled:=False;
 if PreviewForm=nil then Exit;
  PreviewForm.Close;
  PreviewForm:=nil;
  FPreviewOpen:=False;
  N3.Enabled:=True;
  N5.Enabled:=True;
  ZoomBtn.Enabled:=True;
 except
  on E:Exception do WriteLog('EndPreviewButtonClick',E);
 end;
end;

procedure TMainForm.FirstButtonClick(Sender: TObject);
begin
 try
 if PreviewForm=nil then Exit;
 PageEdit.ReadOnly:=False;
 PageEdit.Text:=IntToStr(1);
 PreviewForm.QRPreview.PageNumber:=1;
 PageEdit.ReadOnly:=True;
 except
   on E:Exception do WriteLog('FirstButtonClick',E);
 end;
end;

procedure TMainForm.LastButtonClick(Sender: TObject);
begin
 try
  if PreviewForm=nil then Exit;
  PageEdit.ReadOnly:=False;
  PreviewForm.QRPreview.PageNumber:=PreviewForm.QRPreview.QRPrinter.AvailablePages;
  PageEdit.Text:=IntToStr(PreviewForm.QRPreview.QRPrinter.AvailablePages);
  PageEdit.ReadOnly:=True;
  except
   on E:Exception do WriteLog('LastButtonClick',E);
  end;
end;

procedure TMainForm.PrevButtonClick(Sender: TObject);
begin
 try
 if PreviewForm=nil then Exit;
 PageEdit.ReadOnly:=False;
 if PreviewForm.QRPreview.PageNumber > 1 then
  begin
   PreviewForm.QRPreview.PageNumber:=PreviewForm.QRPreview.PageNumber-1;
   PageEdit.Text:=IntToStr(PreviewForm.QRPreview.PageNumber);
  end;
  PageEdit.ReadOnly:=True;
  except
   on E:Exception do WriteLog('PrevButtonClick',E);
  end;
end;

procedure TMainForm.NextButtonClick(Sender: TObject);
begin
 try
 if PreviewForm=nil then Exit;
 PageEdit.ReadOnly:=False;
 if PreviewForm.QRPreview.PageNumber < PreviewForm.QRPreview.QRPrinter.AvailablePages then
  begin
   PreviewForm.QRPreview.PageNumber:=PreviewForm.QRPreview.PageNumber+1;
   PageEdit.Text:=IntToStr(PreviewForm.QRPreview.PageNumber);
  end;
 PageEdit.ReadOnly:=True;
  except
   on E:Exception do WriteLog('NextButtonClick',E);
  end;
end;

function TMainForm.GetLineIndex(var S:String):String;
begin
 try
 Result:='';
 if length(S)=0 then Exit;
 S:=TrimLeft(S);
 if length(S)=0 then Exit;
    While  (((S[1] >='0') and (S[1] <='9')) or (S[1] ='.')) do
      begin
       Result:=Result+copy(S,1,1);
       S:=copy(S,2,length(S)-1);
       if length(S)=0 then Exit;
      end;
 S:=TrimLeft(S);
  except
   on E:Exception do
    begin
     WriteLog('GetLineIndex',E);
     Result:='';
    end;
  end;
end;

function TMainForm.GetNewLevel(s:String):String;
begin
 try
 Result:=s;
 if length(Result)=0 then Exit;
  while ((Result[1] >='0') and (Result[1] <='9')) do
    begin
      Result:=copy(Result,2,length(Result)-1);
      if length(Result)=0 then Exit;
    end;
  if length(Result)>0 then
    if Result[1]='.' then Result:=copy(Result,2,Length(Result)-1);
  except
   on E:Exception do
    begin
     WriteLog('GetNewLevel',E);
     Result:='';
    end;
  end;
end;

procedure TMainForm.CheckForOne(Var s:String);
Var i:Integer;
    len:Integer;
    s1:String;
 begin
   { s - index in string - replace first level to 1 }
   s1:=GetNewLevel(s);
   if (length(s1)>0) then s:='1.'+s1 else
    s:='1.';
 end;

procedure TMainForm.TransformLine(Var s:String;Var success:Boolean;
                                  Var doNotAdd:Integer;level:Integer);
Var sindex,stmp,stmp1:String;
    i:Integer;
begin
 try
 success:=False;
 sindex:=s;
 if (length(sindex)<>0) then
 begin
 if (S[1] in['.','','',''])or
         (pos('$$ ',s)=1)or
         (pos('~~ ',s)=1)or
         (pos('@@ ',s)=1)or
         (pos(':: ',s)=1) then
  begin { Backward Projection }
    success:=True;
    Exit;
  end   { Backward Projection }
 else
 begin  { Levels, Captions etc }
 sindex:=GetLineIndex(sindex);
 if length(sindex)=0 then Exit;
 stmp:=sindex;
 i:=0;
 while (i<level) and (length(sindex)>0) do
   begin
     sindex:=GetNewLevel(sindex);
     inc(i);
   end;
 if (length(sindex)> 0) or (i=level) then
    begin
      if doNotAdd=0 then doNotAdd:=1; { First stage }
      if (doNotAdd=3) and (length(sindex)=0) then
         begin
         doNotAdd:=4;
         success:=False;
         Exit;
        end;
      if (doNotAdd=2) and (length(sindex)=0) then
         begin
         doNotAdd:=3;
         success:=False;
         Exit;
        end;
      if (length(sindex)=0) and (doNotAdd=1) then
        begin
         doNotAdd:=2;
         success:=False;
         Exit;
        end;
      if (doNotAdd=4) then begin success:=False; Exit; end;
      if (length(sindex)>0) then
       begin
         {CheckForOne(sindex);}
         if doNotAdd=-1 then doNotAdd:=0;
         if (FIndexList.IndexOf(sindex)<>-1) then
          begin
            doNotAdd:=2;
            success:=False;
            Exit;
          end;
         FIndexList.Append(sindex);
       end;
      if length(s)=length(stmp) then
        s:=sindex
      else
       begin
        stmp1:=copy(s,length(stmp)+1,length(s)-length(stmp));
        s:=stmp1;
       end;
      s:=sindex+s;
      success:=True;
    end;
  end; { Levels, Captions etc }
  end else success:=False;
  except
   on E:Exception do WriteLog('TransformLine',E);
  end;
end;

procedure TMainForm.TruncateButtonClick(Sender: TObject);
Var strList:TStringList;
    i:Integer;
    level:Integer;
    toAdd:Boolean;
    notAdd:Integer;
    s:String;
begin
  try
  SetAnimation(True);
  level:=TruncateLevelEdit.Value;
  if level=0 then Exit;
  strList:=TStringList.Create;
  FIndexList:=TStringList.Create;
  strList.Clear;
  FIndexList.Clear;
  strList.Append(' ');
  notAdd:=-1;
  for i:=0 to (Editor.Lines.Count-1) do
   begin
     s:=Editor.Lines.Strings[i];
     s:=TrimLeft(s);
     s:=TrimPageBreak(s);
     TransformLine(s,toAdd,notAdd,level);
     if toAdd then strList.Append(s);
   end;
  Editor.Lines.Clear;
  Editor.Lines.AddStrings(strList);
  SetZagolovok(Self);
  strList.Free;
  FIndexList.Free;
  repModified:=True;
  Notebook1.ActivePage:='Page1';
  SetAnimation(False);
  except
   on E:Exception do
    begin
     SetAnimation(False);
     WriteLog('TruncateButtonClick',E);
    end;
  end;
end;


procedure TMainForm.FormDestroy(Sender: TObject);
begin
  try
  RegSaveToolbarPositions(self,myRegistryKey);
  if IsWIn2kOrXP then SetDefaultPrinter(@DefPrinter);
  except
   on E:Exception do WriteLog('FormDestroy',E);
  end;
end;

procedure TMainForm.HelpButtonClick(Sender: TObject);
begin
  try
  Application.HelpCommand(HELP_CONTENTS, 0);
  except
   on E:Exception do WriteLog('HelpButtonClick',E);
  end;
end;

procedure TMainForm.SetAnimation(Value:Boolean);
begin
 try
  TZAnimate.Active:=Value;
  TZAnimate.Visible:=Value;
  TZImage.Visible:=not(Value);
  Panel10.DockPos:=Dock971.ClientWidth-32;
  Panel10.DockRow:=1;
  except
   on E:Exception do WriteLog('SetAnimation',E);
  end;
end;


procedure TMainForm.OrfoButtonClick(Sender: TObject);
begin
  try
   if Editor.WideLines.Count=0 then Exit;
   SetAnimation(True);
   SpellChecker.Check(Editor);
   SetAnimation(False);
  except
   on E:Exception do
     begin
      SetAnimation(False);
      WriteLog('OrfoButtonClick',E);
      if E.Message='    2' then
        Application.MessageBox('   64000 .','  ',MB_OK)
      else
        Application.MessageBox('   MS Orfo','  ',MB_OK);
     end;
  end;
end;

procedure TMainForm.ExportButtonClick(Sender: TObject);
Var bm:TBitmap;
    tmp:String;
    tz:TJPEGImage;
    tg:TGIFImage;
    translateType,iWidth,iHeight,iType:Integer;
    pagesw,pagesh:Integer;
    ocs:TPoint;
    cpw,cph:Integer;
    imgFileName:String;
    NewPath:String;
begin
 try
 try
 if QuerySaveImageDlg(translateType,iWidth,iHeight,IType) then
  begin
   SetAnimation(True);
  if (FLastFolder='') then
    FLastFolder:=ExtractFilePath(Application.ExeName)+'Document\';
  CreateDir(FLastFolder);
  if translateType=2 then
  begin {   }
   NewPath:=ExtractFileName(FFileName);
   newpath:=copy(newpath,1,length(newpath)-4);
   if not(CreateDir(FLastFolder+newpath)) then
    newpath:=''
   else
    newpath:=newpath+'\';
   ocs:=CustomOrgChart1.GetOrgchartSize;
   pagesw:=(ocs.x div iWidth)+1;
   pagesh:=(ocs.y div iHeight)+1;
   for cpw:=0 to (pagesw-1) do
     for cph:=0 to (pagesh-1) do
        begin  { tt2circle }
           imgFileName:=FLastFolder+newpath+'image_'+IntToStr(cpw+1)+'_'+IntToStr(cph+1);
            case iType of
             0:  begin
                 { BMP File }
                 imgFileName:=imgFileName+'.bmp';
                 CustomOrgChart1.CreateBitmapShit(bm,pf4bit,iWidth,iHeight,cpw,cph,pagesw,pagesh);
                 bm.SaveToFile(imgFileName);
                 bm.Free;
                 end;
             1 :  begin
                 { JPEG File }
                  imgFileName:=imgFileName+'.jpg';
                  CustomOrgChart1.CreateBitmapShit(bm,pf24bit,iWidth,iHeight,cpw,cph,pagesw,pagesh);
                  tz:=TJPEGImage.Create;
                  tz.Assign(bm);
                  tz.Compress;
                  tz.SaveToFile(imgFileName);
                  bm.Free;
                  tz.Free;
                  end;
             2:  begin
                 { GIF File }
                  imgFileName:=imgFileName+'.gif';
                  CustomOrgChart1.CreateBitmapShit(bm,pf24bit,iWidth,iHeight,cpw,cph,pagesw,pagesh);
                  tg:=TGIFImage.Create;
                  tg.Assign(bm);
                  tg.Pack;
                  tg.SaveToFile(imgFileName);
                  bm.Free;
                  tg.Free;
                end;
            end; { end case }
        end; { tt2circle }
    SetAnimation(False);
    Application.MessageBox('  ',
                             ' ',MB_OK);
 end {   }
 else
  begin {   }
   SaveDialog1.FilterIndex:=iType+1;
   case iType of
    0: SaveDialog1.DefaultExt:='bmp';
    1: SaveDialog1.DefaultExt:='jpg';
    2: SaveDialog1.DefaultExt:='gif';
   end;
   SaveDialog1.InitialDir:=FLastFolder;
   tmp:=ExtractFileName(FFileName);
   if Pos('.',tmp)<>0 then
    SaveDialog1.FileName:=Copy(tmp,1,Pos('.',tmp)-1){+'.bmp'}
   else
    SaveDialog1.FileName:=tmp{+'.bmp'};
   if SaveDialog1.Execute then
    begin
   FLastFolder:=ExtractFilePath(SaveDialog1.FileName);
   case SaveDialog1.FilterIndex of
   1: begin { bmp }
       if (pos('.bmp',SaveDialog1.FileName)=0) then
        SaveDialog1.FileName:=SaveDialog1.FileName+'.bmp';
        case translateType of
          0: CustomOrgChart1.CreateBitmap(bm,pf4bit);
          1: CustomOrgChart1.CreateBitmapWithSize(bm,pf4bit,iWidth,iHeight,GetOChartFName(FFileName,'lsa'));
         else
          CustomOrgChart1.CreateBitmap(bm,pf4bit);
        end;
       bm.SaveToFile(SaveDialog1.FileName);
       bm.Free;
      end;
    2: begin { jpg }
       if (pos('.jpg',SaveDialog1.FileName)=0) then
        SaveDialog1.FileName:=SaveDialog1.FileName+'.jpg';
        case translateType of
          0: CustomOrgChart1.CreateBitmap(bm,pf4bit);
          1: CustomOrgChart1.CreateBitmapWithSize(bm,pf4bit,iWidth,iHeight,GetOChartFName(FFileName,'lsa'));
         else
          CustomOrgChart1.CreateBitmap(bm,pf4bit);
        end;
        tz:=TJPEGImage.Create;
        tz.Assign(bm);
        tz.Compress;
        tz.SaveToFile(SaveDialog1.FileName);
        bm.Free;
        tz.Free;
       end;
     3: begin  { GIF image }
         if (pos('.gif',SaveDialog1.FileName)=0) then
         SaveDialog1.FileName:=SaveDialog1.FileName+'.gif';
         case translateType of
          0: CustomOrgChart1.CreateBitmap(bm,pf4bit);
          1: CustomOrgChart1.CreateBitmapWithSize(bm,pf4bit,iWidth,iHeight,GetOChartFName(FFileName,'lsa'));
         else
          CustomOrgChart1.CreateBitmap(bm,pf4bit);
         end;
         tg:=TGIFImage.Create;
         tg.Assign(bm);
         tg.Pack;
         tg.SaveToFile(SaveDialog1.FileName);
         bm.Free;
         tg.Free;
        end;
   end; {case }
    SetAnimation(False);
    Application.MessageBox('  ',
                             ' ',MB_OK);

   end; { if SaveDialog Execute }
   end; {   }
  end; { ShowModal }
  finally
    SetAnimation(False);
  end;
 except
   on E:Exception do WriteLog('ExportButtonClick',E);
 end;
end;

procedure TMainForm.CreateNewItemClick(Sender: TObject);
begin
 try
  QuitQuery;
  Editor.Lines.Clear;
  FFileName:='';
  FModified:=False;
  FModified:=False;
  repModified:=False;
  CustomOrgChart1.Nodes.Clear;
  CustomOrgChart1.Nodes.LoadLevels(GetNewFileName(FFileName,'lsa'));
  FModified:=False;
  Editor.Modified:=FModified;
  SaveButton.Enabled:=True;
  ExportButton.Enabled:=False;
  PrintButton.Enabled:=False;
  PreviewButton.Enabled:=False;
  PageSetupButton.Enabled:=HasPrn;
  PageParamItem.Enabled:=HasPrn;
  OrfoButton.Enabled:=True;
  SaveItem.Enabled:=True;
  ExportItem.Enabled:=False;
  SendFileToDiskA.Enabled:=False;
  PrintItem.Enabled:=False;
  PreviewItem.Enabled:=False;
  OrfoItem.Enabled:=True;
 except
  on E:Exception do WriteLog('CreateNewItemClick',E);
 end;
end;

procedure TMainForm.AboutItemClick(Sender: TObject);
begin
 try
  AboutBox.ShowModal;
 except
  on E:Exception do WriteLog('AboutItemClick',E);
 end;
end;

procedure TMainForm.SaveAsWEBButtonClick(Sender: TObject);
Var HTMLText:String;
         tmp:String;
    tmpModel:String;
           f:TextFile;
         root:String;
 imgFileName:String;
 htmlFileName:String;
  imgW,imgH:Integer;
          bm:TBitmap;
      imgUrl:String;
      imgName:String;
          tz:TJPEGImage;
          tg:TGIFImage;
         endStr:String;
           tmp1:String;
           tmp2:String;
           tmp3:String;
      tcount,ic:Integer;
       HTMLLine:String;
    btstr,atstr:String;
         st,et:Integer;
 translateType:Integer;
        iWidth:Integer;
       iHeight:Integer;
         iType:Integer;
 pagesw,pagesh:Integer;
       cpw,cph:Integer;
            ocs:TPoint;

function URLEncode(Const s:string):String;
var i,len:Integer;
 begin
   Result:='';
   len:=Length(s);
   if len=0 then Exit;
   for i:=1 to len do
     if ((Byte(Ord(s[i])))>127) or ((Byte(Ord(s[i])))<=32) then
       Result:=Result+'%'+IntToHex(Ord(s[i]),2)
     else
       Result:=Result+s[i];
 end;

begin
  try
  if length(FFileName)=0 then
    begin
      Application.MessageBox('     ',
                             '  WEB-',MB_OK or MB_ICONERROR);
      Exit;
    end;
  if QuerySaveImageDlg(translateType,iWidth,iHeight,IType) then
  begin
  SetAnimation(True);
  CustomOrgChart1.Nodes.SaveLevels(GetNewFileName(FFileName,'lsa'));
  tmp:=ExtractFileName(FFileName); { FileName w/o path }
  tmp1:=ExtractFilePath(FFileName); { FilePath }
  EndStr:=Chr($0D)+Chr($0A);
  if (pos('.',tmp)<>0) then tmp:=copy(tmp,1,pos('.',tmp)-1);
  { in tmp - FileName w/o ext }
  root:=ExtractFilePath(Application.ExeName); { AppPath }
   if CompareText(tmp1,root)=0 then
     begin
       { no model - report in AppPath }
       tmpModel:=tmp;
     end
   else
     begin
       tmpModel:=ExtractFilePath(FFileName); { FilePath }
       tmpModel:=copy(tmpModel,1,length(tmpModel)-1);
       tmp2:=ExtractFilePath(tmpModel); { FilePath -1 Dir }
       tmpModel:=ExtractFileName(tmpModel); { -1 DirName from FilePath }
       {    }
       tmp3:=root+'REPORTS\';
       if (CompareText(tmp2,tmp3)<>0) then
         begin
           tmpModel:=tmp;
         end;
     end;
  root:=copy(root,1,length(root)-1);
  root:=ExtractFilePath(root);   { Skip MASTER Dir }
  root:=root+'HTML';
  CreateDir(root);
  root:=root+'\'+tmpModel;
  CreateDir(root);
  CreateDir(root+'\'+'images'); { For Images Only }
  htmlFileName:=root+'\'+tmp+'.HTM';
  HTMLText:='';
  tcount:=HTMLTemplate.Strings.Count-1;
  for ic:=0 to tcount do
    begin
      HTMLLine:=HTMLTemplate.Strings.Strings[ic];
      case ScanKnownToken(HTMLLine,st,et) of
        octt_Unknown: begin
                        HTMLText:=HTMLText+HTMLLine+EndStr;
                      end;
        octt_PrilNumber: begin
                        btstr:=copy(HTMLLine,1,st-1);
                        atstr:=copy(HTMLLine,et+1,length(HTMLLine)-et);
                        HTMLLine:='<A NAME="toppage"></A>'+btstr+Header.Text+atstr;
                        HTMLText:=HTMLText+HTMLLine+EndStr;
                        if translateType=2 then
                         begin
                           { lets modify text }
                           HTMLLine:='<BR><I2>     X_  Y</I2><BR>'+EndStr;
                           ocs:=CustomOrgChart1.GetOrgchartSize;
                           pagesw:=(ocs.x div iWidth)+1;
                           pagesh:=(ocs.y div iHeight)+1;
                           for cpw:=0 to (pagesw-1) do
                            for cph:=0 to (pagesh-1) do
                              begin  { tt2circle }
                                imgName:=URLEncode('page'+IntToStr(cpw)+'_'+IntToStr(cph));
                                HTMLLine:=HTMLLine+'<A HREF="#'+imgName+
                                     '"><I3>  '+IntToStr(cpw+1)+'_'+IntToStr(cph+1)+'</I3></A><BR>'+endStr;
                              end;
                           HTMLText:=HTMLText+HTMLLine+EndStr;
                         end;
                      end;
        octt_OrgChartName: begin
                        btstr:=copy(HTMLLine,1,st-1);
                        atstr:=copy(HTMLLine,et+1,length(HTMLLine)-et);
                        HTMLLine:=btstr+tmp+atstr;
                        HTMLText:=HTMLText+HTMLLine+EndStr;
                      end;
        octt_OrgChartPicture: begin
                        btstr:=copy(HTMLLine,1,st-1);
                        atstr:=copy(HTMLLine,et+1,length(HTMLLine)-et);
                        if translateType=2 then
                          begin { tt2 }
                           {   }
                            HTMLLine:='';
                            ocs:=CustomOrgChart1.GetOrgchartSize;
                            pagesw:=(ocs.x div iWidth)+1;
                            pagesh:=(ocs.y div iHeight)+1;
                             for cpw:=0 to (pagesw-1) do
                              for cph:=0 to (pagesh-1) do
                               begin  { tt2circle }
                                imgFileName:=root+'\'+'images\image_'+IntToStr(cpw)+'_'+IntToStr(cph);
                                imgURL:={'/struct/'+}URLEncode({tmpModel+'/'+tmp}'images/image_'+IntToStr(cpw)+'_'+IntToStr(cph));
                                imgName:=URLEncode('page'+IntToStr(cpw)+'_'+IntToStr(cph));
                                case iType of
                                  0:  begin
                                       { BMP File }
                                       imgFileName:=imgFileName+'.bmp';
                                       imgURL:=imgURL+'.bmp';
                                       CustomOrgChart1.CreateBitmapShit(bm,pf4bit,iWidth,iHeight,cpw,cph,pagesw,pagesh);
                                       bm.SaveToFile(imgFileName);
                                       imgW:=bm.Width;
                                       imgH:=bm.Height;
                                       bm.Free;
                                      end;
                                  1 :  begin
                                       { JPEG File }
                                      imgFileName:=imgFileName+'.jpg';
                                      imgURL:=imgURL+'.jpg';
                                      CustomOrgChart1.CreateBitmapShit(bm,pf24bit,iWidth,iHeight,cpw,cph,pagesw,pagesh);
                                      tz:=TJPEGImage.Create;
                                      tz.Assign(bm);
                                      tz.Compress;
                                      tz.SaveToFile(imgFileName);
                                      imgW:=bm.Width;
                                      imgH:=bm.Height;
                                      bm.Free;
                                      tz.Free;
                                      end;
                                   2:  begin
                                      { GIF File }
                                      imgFileName:=imgFileName+'.gif';
                                      imgURL:=imgURL+'.gif';
                                      CustomOrgChart1.CreateBitmapShit(bm,pf24bit,iWidth,iHeight,cpw,cph,pagesw,pagesh);
                                      tg:=TGIFImage.Create;
                                      tg.Assign(bm);
                                      tg.Pack;
                                      tg.SaveToFile(imgFileName);
                                      imgW:=bm.Width;
                                      imgH:=bm.Height;
                                      bm.Free;
                                      tg.Free;
                                      end;
                                   end; { end case }
                                 { Lets Make our Diagram  Shit one Shit }
                                  HTMLLine:=HTMLLine+'<HR><A NAME="'+imgName+'"</A><BR>'+EndStr;
                                  HTMLLine:=HTMLLine+'<I3>  '+IntToStr(cpw+1)+'_'+IntToStr(cph+1)+'</I3><BR>'+endStr;
                                  HTMLLine:=HTMLLine+'<A HREF="#toppage"><I4>  </I4></A><BR>'+endStr;
                                  HTMLLine:=HTMLLine+'<img src="'+imgURL+'" width="'+
                                  IntToStr(imgW)+'" height="'+
                                  IntToStr(imgH)+'" border="0"><BR>'+endStr;
                               end; { end circle }
                          end  { end tt2 }
                        else
                          begin { nottt2 }
                           {    0,1}
                            imgFileName:=root+'\'+'images\image';
                            imgURL:={'/struct/'+}URLEncode({tmpModel+'/'+}'images/image');
                            case iType of
                             0:  begin
                                 { BMP File }
                                  imgFileName:=imgFileName+'.bmp';
                                  imgURL:=imgURL+'.bmp';
                                  case translateType of
                                   0: CustomOrgChart1.CreateBitmap(bm,pf4bit);
                                   1: CustomOrgChart1.CreateBitmapWithSize(bm,pf4bit,iWidth,iHeight,GetOChartFName(FFileName,'lsa'));
                                   else
                                   CustomOrgChart1.CreateBitmap(bm,pf4bit);
                                  end;
                                  bm.SaveToFile(imgFileName);
                                  imgW:=bm.Width;
                                  imgH:=bm.Height;
                                  bm.Free;
                                  end;
                             1 :  begin
                                  { JPEG File }
                                  imgFileName:=imgFileName+'.jpg';
                                  imgURL:=imgURL+'.jpg';
                                  case translateType of
                                   0: CustomOrgChart1.CreateBitmap(bm,pf24bit);
                                   1: CustomOrgChart1.CreateBitmapWithSize(bm,pf24bit,iWidth,iHeight,GetOChartFName(FFileName,'lsa'));
                                   else
                                      CustomOrgChart1.CreateBitmap(bm,pf24bit);
                                  end;
                                  tz:=TJPEGImage.Create;
                                  tz.Assign(bm);
                                  tz.Compress;
                                  tz.SaveToFile(imgFileName);
                                  imgW:=bm.Width;
                                  imgH:=bm.Height;
                                  bm.Free;
                                  tz.Free;
                                  end;
                              2:  begin
                                  { GIF File }
                                  imgFileName:=imgFileName+'.gif';
                                  imgURL:=imgURL+'.gif';
                                  case translateType of
                                    0: CustomOrgChart1.CreateBitmap(bm,pf24bit);
                                    1: CustomOrgChart1.CreateBitmapWithSize(bm,pf24bit,iWidth,iHeight,GetOChartFName(FFileName,'lsa'));
                                   else
                                       CustomOrgChart1.CreateBitmap(bm,pf24bit);
                                  end;
                                  tg:=TGIFImage.Create;
                                  tg.Assign(bm);
                                  tg.Pack;
                                  tg.SaveToFile(imgFileName);
                                  imgW:=bm.Width;
                                  imgH:=bm.Height;
                                  bm.Free;
                                  tg.Free;
                                  end;
                            end; { end case }
                           HTMLLine:=btstr+ '<img src="'+imgURL+'" width="'+
                                  IntToStr(imgW)+'" height="'+
                                  IntToStr(imgH)+'" border="0">'+atstr;
                          end; { endnottt2 }
                         HTMLLine:=btstr+HTMLLine+atstr;
                         HTMLText:=HTMLText+HTMLLine;
                      end;
      end; { case }
    end;
  AssignFile(f,htmlFileName);
  Rewrite(f);
  System.Write(f,HTMLText);
  CloseFile(f);
  SetAnimation(False);
  Application.MessageBox('WEB- ',
                             ' WEB-',MB_OK);
  end;
  except
   on E:Exception do WriteLog('SaveAsWEBButtonClick',E);
  end;
end;

function  TMainForm.QuerySaveImageDlg(Var translateType,iWidth,iHeight,ImageType:Integer):Boolean;
 begin
  try
  SelWEBImageDlg.ImageWidth.Value:=800;
  SelWeBImageDlg.ImageHeight.Value:=600;
  SelWEBImageDlg.ImageWidth.Enabled:=False;
  SelWEBImageDlg.ImageHeight.Enabled:=False;
  SelWEBImageDlg.DiagramType.ItemIndex:=0;
  SelWEBImageDlg.ImageType.ItemIndex:=2;
  SelWEBImageDlg.Label4.Caption:=IntToStr(CustomOrgChart1.DiagWidth);
  SelWEBImageDlg.Label6.Caption:=IntToStr(CustomOrgChart1.DiagHeight);
  Result:=(SelWEBImageDlg.ShowModal=mrOk);
  translateType:=SelWEBImageDlg.DiagramType.ItemIndex;
  iwidth:=SelWEBImageDlg.ImageWidth.Value;
  iheight:=SelWeBImageDlg.ImageHeight.Value;
  imageType:=SelWEBImageDlg.ImageType.ItemIndex;
  except
    on E:Exception do WriteLog('QuerySaveImageDlg',E);
  end;
 end;

procedure TMainForm.FormShow(Sender: TObject);
begin
  Panel10.DockPos:=Dock971.ClientWidth-32;
  Panel10.DockRow:=1;
end;

procedure TMainForm.FormResize(Sender: TObject);
begin
  Panel10.DockPos:=Dock971.ClientWidth-32;
  Panel10.DockRow:=1;
end;

procedure TMainForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
 try
 while ClosePreviewTimer.Enabled do Application.ProcessMessages;
 If Assigned(PreviewForm) then
  begin
   PreviewForm.Close;
   PreviewForm:=nil;
  end;
 ClearRecData;
 HistoryList.saveToRegistry;
 except
  on E:Exception do WriteLog('FormClose',E);
 end;
end;

procedure TMainForm.ProjectListViewEditing(TreeView: TfcCustomTreeView;
  Node: TfcTreeNode; var AllowEdit: Boolean);
begin
  AllowEdit:=False;
end;

procedure TMainForm.ProjectListViewDblClick(TreeView: TfcCustomTreeView;
  Node: TfcTreeNode; Button: TMouseButton; Shift: TShiftState; X,
  Y: Integer);
Var     recdata:PPrjInfo;
        item:TfcOutlookListItem;
begin
 { Open Report }
 try
 if ProjectListView.Selected=nil then Exit;
 if ProjectListView.Selected.ImageIndex<=1 then Exit;
 recdata:=PPrjInfo(ProjectListView.Selected.Data);
 if recdata=nil then Exit;
 try
   SetAnimation(True);
   CreateOutlookList(self);
    FFileName:=recdata^.FileName;
    AddNewFileName(FFileName);
    OpenFile(FFileName);
    if (BPNavigator.Height>1) and (BPNavigator.Width>1) then
    begin
     BPNavigator.ScrollBarChanged(self);
     BPNavigator.ClearBitmap;
     BPNavigator.ScrollBarChanged(self);
    end;
 finally
   fcOutLookBar1.ActivePage:=fcOutlookBar1fcShapeBtn2;
   SetAnimation(False);
 end;
 except
  on E:Exception do WriteLog('ProjectListViewDblClick',E);
 end;
end;


procedure TMainForm.CreateOutlookList(Sender:TObject);
Var      item:TfcOutlookListItem;
 begin
  try
   OutlookList.Items.Clear;
   item:=OutlookList.Items.Add;
   item.Text:='&';
   item.ImageIndex:=0;
   item:=OutlookList.Items.Add;
   item.Text:='&';
   item.ImageIndex:=1;
  except
    on E:Exception do WriteLog('CreateOutlookList',E);
  end;
 end;


procedure TMainForm.Notebook1PageChanged(Sender: TObject);
begin
 try
 if Notebook1.ActivePage='Page1' then
  begin
  OrfoButton.Enabled:=True;
  OrfoItem.Enabled:=True;
  SaveAsWEBButton.Enabled:=False;
  SaveAsWEBItem.Enabled:=False;
  ZoomBtn.Enabled:=False;
  N3.Enabled:=False;
  N5.Enabled:=False;
  end;
 if Notebook1.ActivePage='Page2' then
  begin
  OrfoButton.Enabled:=False;
  OrfoItem.Enabled:=False;
  SaveAsWEBButton.Enabled:=FHasHTMLExport;
  SaveAsWEBItem.Enabled:=FHasHTMLExport;
  ZoomBtn.Enabled:=True;
  N3.Enabled:=True;
  N5.Enabled:=True;
  end;
 except
  on E:Exception do WriteLog('Notebook1PageChanged',E);
 end;
end;

procedure TMainForm.OutlookListItemClick(OutlookList: TfcCustomOutlookList;
  Item: TfcOutlookListItem);
begin
  try
  case Item.ImageIndex of
     0: begin
         Notebook1.ActivePage:='Page1';
         DiagramStyle.Checked:=False;
         ReportStyle.Checked:=True;
        end;
     1: begin
         Notebook1.ActivePage:='Page2';
         ReportStyle.Checked:=False;
         DiagramStyle.Checked:=True;
         ConvertButtonClick(self)
        end;
   end;
 except
  on E:Exception do WriteLog('OutlookListItemClick',E);
 end;
end;

procedure TMainForm.ToolbarButtonClick(Sender: TObject);
begin
 try
 SetAnimation(True);
 if Panel1.Width=1 then
  begin
   Panel1.Width:=164;
   BPGetBitmapTimer.Enabled:=True;
  end
 else Panel1.Width:=1;
  CustomOrgChart1.Visible:=False;
{ if BPFrame.BPGraph.Scaled then BPFrame.BPGraph.Scaled:=BPFrame.BPGraph.Scaled;}
 finally
  CustomOrgChart1.Visible:=True;
  SetAnimation(False);
 end;
end;

procedure TMainForm.DiagramStyleClick(Sender: TObject);
begin
 try
 case TMenuItem(Sender).Tag of
     0: begin
         Notebook1.ActivePage:='Page1';
         DiagramStyle.Checked:=False;
         ReportStyle.Checked:=True;
        end;
     1: begin
         Notebook1.ActivePage:='Page2';
         ReportStyle.Checked:=False;
         DiagramStyle.Checked:=True;
         ConvertButtonClick(self)
        end;
 end;
 except
  on E:Exception do WriteLog('DiagramStyleClick',E);
 end;
end;

procedure TMainForm.ZoomBtnClick(Sender: TObject);
Var bm:TBitmap;
    size:TPoint;
    ratio:Double;
    ratio1:Double;
    w,h:Integer;
    k,j:Integer;
begin
 try
 SetAnimation(True);
 if ZoomBtn.Down then
   begin                             { ZoomBtnDwn }
    SetupScaleMode(False);
    N5.Checked:=False;
    N3.Checked:=True;
    OCPanel.Visible:=False;
    size:=CustomOrgChart1.GetOrgchartSize;
    CustomOrgChart1.CreateBitmap(bm,pf4bit);
    Application.CreateForm(TScaledForm,ScaledForm);
(*    w:=ScaledForm.ClientWidth;
    h:=ScaledForm.ClientHeight;
     if (size.x>size.y) then
      begin                       { SizeX>SizeY }
        ratio:= size.x/size.y;
        ratio1:=w/h;
        with ScaledForm.ScaledImage do
         begin                           { With }
           if (ratio1>ratio) then
            begin                         { Ratio }
              j:=Round(ratio/ratio1*w); { New Width }
              k:=Round(j/ratio);
              Left:=(w-j) div 2;
              Top:=(h-k) div 2;
              Width:=j;
              Height:=k;
            end
           else
            begin
              k:=Round(w/ratio);
              Left:=0;
              Top:=(h-k) div 2;
              Width:=w;
              Height:=k;
            end;       { End Ratio }
         end;          { End With }
      end              { End SizeX }
    else
      begin                               { SizeY}
        ratio:= size.y/size.x;
        ratio1:=h/w;
        with ScaledForm.ScaledImage do
         begin                           { With }
          if (ratio1>ratio) then
           begin                         { Ratio }
            j:=Round(ratio/ratio1*h);
            k:=Round(j/ratio);
            Left:=(w-k) div 2;
            Top:=(h-j) div 2;
            Width:=k;
            Height:=j;
           end
          else
           begin
           k:=Round(h/ratio);
           Left:=(w-k) div 2;
           Top:=0;
           Width:=k;
           Height:=h;
           end;                      { End Ratio}
         end;                        { End With }
      end;                       { End SizeY } *)
{    CustomOrgChart1.CreateBitmapWithSize(bm,pf4bit,ScaledForm.ScaledImage.ClientWidth,ScaledForm.ScaledImage.ClientHeight,GetOChartFName(FFileName,'lsa'));}
    ScaledForm.ScaledImage.Picture.Bitmap.Assign(bm);
    bm.Free;
   end
  else
   begin
    if (ScaledForm<>nil) then
      begin
        ScaledForm.Close;
        ScaledForm:=nil;
      end;
    OCPanel.Visible:=True;
    N3.Checked:=False;
    N5.Checked:=True;
    SetupScaleMode(True);
   end;
  SetAnimation(False);
 except
  on E:Exception do WriteLog('ZoomBtnClick',E);
 end;
end;

procedure TMainForm.SaveToNewFile(Sender: TObject);
begin
 try
 if FileExists(FFileName) then
  begin
  SaveDialog.InitialDir:=ExtractFilePath(Application.ExeName);
  SaveDialog.FileName:=ExtractFileName(FFileName);
  if SaveDialog.Execute then
   begin
     if SaveDialog.FilterIndex=1 then
      Editor.OutputFormat:=ofRTF
     else
      Editor.OutputFormat:=ofTEXT;
     Editor.Lines.SaveToFile(SaveDialog.FileName);
     CustomOrgChart1.Nodes.SaveLevels(GetNewFileName(SaveDialog.FileName,'lsa'));
     Editor.OutputFormat:=ofRTF;
     Editor.Modified:=False;
     FModified:=False;
   end;
  end;
 except
  on E:Exception do WriteLog('SaveToNewFile',E);
 end;
end;

procedure TMainForm.ZoomItemClick(Sender: TObject);
Var bm:TBitmap;
    size:TPoint;
    ratio:Double;
    ratio1:Double;
    w,h:Integer;
    k,j:Integer;
begin
 try
 SetAnimation(True);
 case TMenuItem(Sender).Tag of
  0: begin
      SetupScaleMode(False);
      ZoomBtn.Down:=True;
      N5.Checked:=False;
      N3.Checked:=True;
      OCPanel.Visible:=False;
      size:=CustomOrgChart1.GetOrgchartSize;
      CustomOrgChart1.CreateBitmap(bm,pf4bit);
      Application.CreateForm(TScaledForm,ScaledForm);
(*      w:=ScaledForm.ClientWidth;
      h:=ScaledForm.ClientHeight;
      if (size.x>size.y) then
      begin                       { SizeX>SizeY }
        ratio:= size.x/size.y;
        ratio1:=w/h;
        with ScaledForm.ScaledImage do
         begin                           { With }
           if (ratio1>ratio) then
            begin                         { Ratio }
              j:=Round(ratio/ratio1*w); { New Width }
              k:=Round(j/ratio);
              Left:=(w-j) div 2;
              Top:=(h-k) div 2;
              Width:=j;
              Height:=k;
            end
           else
            begin
              k:=Round(w/ratio);
              Left:=0;
              Top:=(h-k) div 2;
              Width:=w;
              Height:=k;
            end;       { End Ratio }
         end;          { End With }
      end              { End SizeX }
    else
      begin                               { SizeY}
        ratio:= size.y/size.x;
        ratio1:=h/w;
        with ScaledForm.ScaledImage do
         begin                           { With }
          if (ratio1>ratio) then
           begin                         { Ratio }
            j:=Round(ratio/ratio1*h);
            k:=Round(j/ratio);
            Left:=(w-k) div 2;
            Top:=(h-j) div 2;
            Width:=k;
            Height:=j;
           end
          else
           begin
           k:=Round(h/ratio);
           Left:=(w-k) div 2;
           Top:=0;
           Width:=k;
           Height:=h;
           end;                      { End Ratio}
         end;                        { End With }
      end;                       { End SizeY } *)
      {CustomOrgChart1.CreateBitmapWithSize(bm,pf4bit,ScaledForm.ScaledImage.ClientWidth,ScaledForm.ScaledImage.ClientHeight,GetOChartFName(FFileName,'lsa'));}
      ScaledForm.ScaledImage.Picture.Bitmap.Assign(bm);
      bm.Free;
     end;
  1: begin
     if (ScaledForm<>nil) then
      begin
        ScaledForm.Close;
        ScaledForm:=nil;
      end;
      OCPanel.Visible:=True;
      ZoomBtn.Down:=False;
      N3.Checked:=False;
      N5.Checked:=True;
      SetupScaleMode(True);
     end;
  end;
  SetAnimation(False);
 except
  on E:Exception do WriteLog('ZoomItemClick',E);
 end;
end;

procedure TMainForm.SetupScaleMode(Const Value:Boolean);
 begin
  { Enable/Disable some functions }
  try
  LoadButton.Enabled:=Value;
  CreateNewItem.Enabled:=Value;
  OpenItem.Enabled:=Value;
  PreviewButton.Enabled:=Value;
  PreviewItem.Enabled:=Value;
  TranslateItem.Enabled:=Value;
  ReportStyle.Enabled:=Value;
  DiagramStyle.Enabled:=Value;
  LSetupButton.Enabled:=Value;
  HistoryItem.Enabled:=Value;
  ToolBarButton.Enabled:=Value;
  TruncateItem.Enabled:=Value;
  LevelsSetupItem.Enabled:=Value;
  N20.Enabled:=Value;
  N22.Enabled:=Value;
  N24.Enabled:=Value;
  ShowProjectionItem.Enabled:=Value;
  ReportToolbar.Visible:=Value;
  except
   on E:Exception do WriteLog('SetupScaleMode',E);
  end;
 end;

procedure TMainForm.HistoryListClick(Sender: TObject; Filename: String);
begin
 if QuitQuery then
 if (Filename<>'') and FileExists(Filename) then
  begin
   FFileName:=FileName;
   OpenFile(FFileName);
  end;
end;

procedure TMainForm.AppPropItemClick(Sender: TObject);
Var hm:Integer;
begin
  BPPropDlg.PageControl1.ActivePage:=BPPropDlg.TabSheet1;
  BPPropDlg.MemoryCheckValueEdit.Value:=FMemoryCheckValue;
  BPPropDlg.FontDialog1.Font.Assign(ProjectListView.Font);
  BPPropDlg.fcColorCombo1.SelectedColor:=ProjectListView.Color;
  BPPropDlg.fcColorCombo2.SelectedColor:=ProjectListView.LineColor;
  BPPropDlg.CheckBox1.Checked:=tvoExpandButtons3D in ProjectListView.Options;
  BPPropDlg.CheckBox3.Checked:=fcOutlookBar1.Animation.Enabled;
  BPPropDlg.SuggestFromUserDict.Checked:=spoSuggestFromUserDict in SpellChecker.Options;
  BPPropDlg.IgnoreAllCaps.Checked:=spoIgnoreAllCaps in SpellChecker.Options;
  BPPropDlg.IgnoreMixedDigits.Checked:=spoIgnoreMixedDigits in SpellChecker.Options;
  BPPropDlg.IgnoreRomanNumerals.Checked:=spoIgnoreRomanNumerals in SpellChecker.Options;
  BPPropDlg.FindUncappedSentences.Checked:=spoFindUncappedSentences in SpellChecker.Options;
  BPPropDlg.FindMissingSpaces.Checked:=spoFindMissingSpaces in SpellChecker.Options;
  BPPropDlg.FindRepeatWord.Checked:=spoFindRepeatWord in SpellChecker.Options;
  BPPropDlg.FindExtraSpaces.Checked:=spoFindExtraSpaces in SpellChecker.Options;
  BPPropDlg.FindSpacesBeforePunc.Checked:=spoFindSpacesBeforePunc in SpellChecker.Options;
  BPPropDlg.FindSpacesAfterPunc.Checked:=spoFindSpacesAfterPunc in SpellChecker.Options;
  BPPropDlg.RateSuggestions.Checked:=spoRateSuggestions in SpellChecker.Options;
  BPPropDlg.FindInitialNumerals.Checked:=spoFindInitialNumerals in SpellChecker.Options;
  BPPropDlg.CheckMemoryUsage.Checked:=ResContolTimer.Enabled;
  BPPropDlg.Language.Language:=currentLanguage;
  BPPropDlg.ShadowColor.SelectedColor:=BPNavigator.ShadowColor;
  BPPropDlg.Alpha.Value:=Round(BPNavigator.Alpha*100);
  BPPropDlg.VerticalCenter.Checked:=FVerticalCenter;
  BPPropDlg.HorizontalCenter.Checked:=FHorizontalCenter;
  hm:=BPPropDlg.ShowModal;
  if hm=mrOK then
    begin
      ProjectListView.Font.Assign(BPPropDlg.FontDialog1.Font);
      OutlookList.Font.Assign(BPPropDlg.FontDialog1.Font);
      ProjectListView.Color:=BPPropDlg.fcColorCombo1.SelectedColor;
      OutlookList.Color:=BPPropDlg.fcColorCombo1.SelectedColor;
      ProjectListView.LineColor:=BPPropDlg.fcColorCombo2.SelectedColor;
      case BPPropDlg.CheckBox1.Checked of
        False: begin
                 ProjectListView.Options:=ProjectListView.Options-[tvoExpandButtons3D];
               end;
        True:  begin
                 ProjectListView.Options:=ProjectListView.Options+[tvoExpandButtons3D];
               end;
      end;
      fcOutlookBar1.Animation.Enabled:=BPPropDlg.CheckBox3.Checked;
      SpellChecker.Options:=[];
      if BPPropDlg.SuggestFromUserDict.Checked then SpellChecker.Options:=SpellChecker.Options+[spoSuggestFromUserDict];
      if BPPropDlg.IgnoreAllCaps.Checked then SpellChecker.Options:=SpellChecker.Options+[spoIgnoreAllCaps];
      if BPPropDlg.IgnoreMixedDigits.Checked then SpellChecker.Options:=SpellChecker.Options+[spoIgnoreMixedDigits];
      if BPPropDlg.IgnoreRomanNumerals.Checked then SpellChecker.Options:=SpellChecker.Options+[spoIgnoreRomanNumerals];
      if BPPropDlg.FindUncappedSentences.Checked then SpellChecker.Options:=SpellChecker.Options+[spoFindUncappedSentences];
      if BPPropDlg.FindMissingSpaces.Checked then SpellChecker.Options:=SpellChecker.Options+[spoFindMissingSpaces];
      if BPPropDlg.FindRepeatWord.Checked then SpellChecker.Options:=SpellChecker.Options+[spoFindRepeatWord];
      if BPPropDlg.FindExtraSpaces.Checked then SpellChecker.Options:=SpellChecker.Options+[spoFindExtraSpaces];
      if BPPropDlg.FindSpacesBeforePunc.Checked then SpellChecker.Options:=SpellChecker.Options+[spoFindSpacesBeforePunc];
      if BPPropDlg.FindSpacesAfterPunc.Checked then SpellChecker.Options:=SpellChecker.Options+[spoFindSpacesAfterPunc];
      if BPPropDlg.RateSuggestions.Checked then SpellChecker.Options:=SpellChecker.Options+[spoRateSuggestions];
      if BPPropDlg.FindInitialNumerals.Checked then SpellChecker.Options:=SpellChecker.Options+[spoFindInitialNumerals];
      FVerticalCenter:=BPPropDlg.VerticalCenter.Checked;
      FHorizontalCenter := BPPropDlg.HorizontalCenter.Checked;
      CustomOrgChart1.SetVHSpacing(FVerticalCenter,FHorizontalCenter); 
      FMemoryCheckValue:=BPPropDlg.MemoryCheckValueEdit.Value;
      if BPPropDlg.CheckMemoryUsage.Checked then
        begin
          ResContolTimer.Enabled:=True;
        end
       else
        begin
          ResContolTimer.Enabled:=False;
          StatusBar1.Panels.Items[1].Text:='';
          StatusBar1.Panels.Items[2].Text:='';
        end;
     BPNavigator.ShadowColor:=BPPropDlg.ShadowColor.SelectedColor;
     BPNavigator.Alpha:=BPPropDlg.Alpha.Value/100;
     CurrentLanguage:=BPPropDlg.language.language;
     SetupLanguage;
    end;
end;

procedure TMainForm.SendFileToDiskAClick(Sender: TObject);
Var f,m:String;
begin
 try
  SetAnimation(True);
  f:=ExtractFileName(FFileName);
  Editor.Lines.SaveToFile('A:\'+f);
  CustomOrgChart1.Nodes.SaveLevels(GetNewFileName('A:\'+f,'lsa'));
  Application.MessageBox(PChar(SysUtils.Format(' %s  ',[f])),
     '    :',MB_OK);
  SetAnimation(False);
 except
  SetAnimation(False);
  Application.MessageBox('    ',
     '    :',MB_OK);
 end;
end;

procedure TMainForm.ResContolTimerTimer(Sender: TObject);
var buf:TMemoryStatus;
    hr:Integer;
begin
 buf.dwLength:=SizeOf(TMemoryStatus);
 GlobalMemoryStatus(buf);
 StatusBar1.Panels.Items[1].Text:=' '+IntToStr(buf.dwMemoryLoad)+' %  ';
 StatusBar1.Panels.Items[2].Text:='   '+ IntToStr(BeforeStart)+' %';
 if (buf.dwMemoryLoad>=FMemoryCheckValue) then
   begin
     ResContolTimer.Enabled:=False;
     hr:=Application.MessageBox('      ',
                            '      ',
                             MB_OK or MB_ICONERROR);
     ResContolTimer.Enabled:=True;
   end;
end;
procedure TMainForm.SetupLanguage;
var i:integer;
    fname:string;
    bl:boolean;
    level:TOrgLevel;
    l:TStringList;
begin
    SetAnimation(True);
    l:=TStringList.create;
    l.addStrings(Editor.lines);
    Editor.language:=currentLanguage;
    Editor.SelectAll;
    Editor.SelAttributes.Language:=currentLanguage;
    Editor.SelAttributes.Charset:=Langs.CharSetFromLocale(currentLanguage);
    Editor.selLength:=0;
    Editor.Font.Charset:=Langs.CharSetFromLocale(currentLanguage);
    Editor.lines.clear;
    Editor.lines.addStrings(l);
    l.free;
    Zagolovok.font.charset:=Langs.CharSetFromLocale(currentLanguage);
For i:=0 to 10 do
begin
level:=customOrgChart1.Nodes.levels[i];
level.Language:=currentLanguage;
customOrgChart1.Nodes.levels[i]:=level;
end;
fname:=GetOChartFName(FFileName,'lsa');
 CustomOrgChart1.Nodes.SaveLevels(fname);
 CustomOrgChart1.Nodes.Root.SetFontCharset(Langs.CharSetFromLocale(currentLanguage));
 CustomOrgChart1.Nodes.PreSetupTree(bl);
 CustomOrgChart1.Nodes.SetUpTree;
 CustomOrgChart1.Repaint;
 SetAnimation(False);

end;
procedure TMainForm.PageEditKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
Var zoom:Integer;
begin
  if PreviewForm=nil then Exit;
  case Key of
    VK_HOME:  begin
                PageEdit.ReadOnly:=False;
                PageEdit.Text:=IntToStr(1);
                PreviewForm.QRPreview.PageNumber:=1;
                PageEdit.ReadOnly:=True;
              end;
    VK_PRIOR:  begin
                 PageEdit.ReadOnly:=False;
                 if (PreviewForm.QRPreview.PageNumber > 1) then
                   begin
                    PreviewForm.QRPreview.PageNumber:=PreviewForm.QRPreview.PageNumber-1;
                    PageEdit.Text:=IntToStr(PreviewForm.QRPreview.PageNumber);
                   end;
                 PageEdit.ReadOnly:=True;
              end;
    VK_NEXT:  begin
                 PageEdit.ReadOnly:=False;
                 if (PreviewForm.QRPreview.PageNumber < PreviewForm.QRPreview.QRPrinter.AvailablePages) then
                  begin
                   PreviewForm.QRPreview.PageNumber:=PreviewForm.QRPreview.PageNumber+1;
                   PageEdit.Text:=IntToStr(PreviewForm.QRPreview.PageNumber);
                  end;
                 PageEdit.ReadOnly:=True;
              end;
    VK_END:   begin
                PageEdit.ReadOnly:=False;
                PreviewForm.QRPreview.PageNumber:=PreviewForm.QRPreview.QRPrinter.AvailablePages;
                PageEdit.Text:=IntToStr(PreviewForm.QRPreview.QRPrinter.AvailablePages);
                PageEdit.ReadOnly:=True;
              end;
    VK_INSERT: begin
                zoom:=PreviewForm.QRPreview.Zoom;
                if zoom<400 then
                begin
                 zoom:=zoom+10;
                 PreviewForm.QRPreview.Zoom:=zoom;
                 PreviewZoom.Text:=IntToStr(zoom);
                end;
               end;
    VK_DELETE: begin
                zoom:=PreviewForm.QRPreview.Zoom;
                if zoom>10 then
                 begin
                  zoom:=zoom-10;
                  PreviewForm.QRPreview.Zoom:=zoom;
                  PreviewZoom.Text:=IntToStr(zoom);
                 end;
               end;
    VK_ESCAPE: ClosePreviewTimer.Enabled:=True;
  end;
end;

procedure TMainForm.ZagolovokChange(Sender: TObject);
begin
 CustomOrgChart1.TitleText:=Zagolovok.Text;
end;

procedure TMainForm.ShowTitleItemClick(Sender: TObject);
begin
 ShowTitleItem.Checked:=not(ShowTitleItem.Checked);
 CustomOrgChart1.ShowTitle:=ShowTitleItem.Checked;
end;

procedure TMainForm.CloseTimerLSFTimer(Sender: TObject);
begin
  CloseTimerLSF.Enabled:=False;
  LevelSetupForm:=nil;
end;

procedure TMainForm.Panel2MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
   if (button=mbLeft) then
     begin
       Panel2.BevelOuter:=bvLowered;
       if (BPNavigator.Height=1) then
        begin
          BPNavigator.Height:=152;
          BPNavigator.ScrollBarChanged(self);
          CustomOrgChart1.GetBitmapWithSize(BPNavigator.Bitmap,
                                            BPNavigator.Width,
                                            BPNavigator.Height,
                                            GetOChartFName(FFileName,'lsa'));
          BPNavigator.ScrollBarChanged(self);

        end
       else BPNavigator.Height:=1;
     end;
end;

procedure TMainForm.Panel2MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  Panel2.BevelOuter:=bvRaised;
end;

procedure TMainForm.BPGetBitmapTimerTimer(Sender: TObject);
begin
 BPGetBitmapTimer.Enabled:=False;
 if (BPNavigator.Height>1) and (BPNavigator.Width>1) then
  begin
   BPNavigator.ScrollBarChanged(self);
   CustomOrgChart1.GetBitmapWithSize(BPNavigator.Bitmap,
                                   BPNavigator.Bitmap.Width,
                                   BPNavigator.Bitmap.Height,
                                   GetOChartFName(MainForm.FFileName,'lsa'));
  end;
end;

procedure TMainForm.ProjectListViewCollapsed(TreeView: TfcCustomTreeView;
  Node: TfcTreeNode);
begin
 TreeView.Invalidate;
end;

procedure TMainForm.ProjectListViewExpanded(TreeView: TfcCustomTreeView;
  Node: TfcTreeNode);
begin
 TreeView.Invalidate;
end;

procedure TMainForm.ShowGridClick(Sender: TObject);
begin
  ShowGrid.Checked:=not(ShowGrid.Checked);
  CustomOrgChart1.Nodes.ShowGrid:=ShowGrid.Checked;
  ConvertButtonClick(self);
end;

procedure TMainForm.N20Click(Sender: TObject);
begin
 FTranslateHeaders:=2; { Numbers + Text }
 N20.Checked:=True;
 ConvertButtonClick(self);
end;

procedure TMainForm.N22Click(Sender: TObject);
begin
 FTranslateHeaders:=1; { Only Text}
 N22.Checked:=True;
 ConvertButtonClick(self);
end;

procedure TMainForm.N24Click(Sender: TObject);
begin
 FTranslateHeaders:=0; { Only Numbers }
 N24.Checked:=True;
 ConvertButtonClick(self);
end;

procedure TMainForm.ShowProjectionItemClick(Sender: TObject);
begin
 ShowProjectionItem.Checked:=not(ShowProjectionItem.Checked);
 ConvertButtonClick(self);
end;

end.
