unit PBarDlgUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  fcLabel, TFlatProgressBarUnit;

type
  TPBarDlg = class(TForm)
    ProgressBar: TFlatProgressBar;
    ProcLabel: TfcLabel;
  private
    { Private declarations }
  public
    { Public declarations }
    procedure InitVars(Title:String);
    procedure UpdateVars(Procent:Integer);
  end;

var
  PBarDlg: TPBarDlg;

Const start_lbl=' ';
      end_lbl=' %';

implementation

{$R *.DFM}

procedure TPBarDlg.InitVars(Title:String);
 begin
   {}
   Caption:=Title;
   ProgressBar.Position:=0;
   ProcLabel.Caption:=start_lbl+'0'+end_lbl;
   Update;
   Application.ProcessMessages;
 end;

procedure TPBarDlg.UpdateVars(Procent:Integer);
Var posi:Integer;
 begin
  {}
   posi:=Procent;
   if (posi<0) then posi:=0;
   if (posi>100) then posi:=100;
   ProgressBar.Position:=posi;
   ProcLabel.Caption:=start_lbl+IntToStr(posi)+end_lbl;
   Update;
   Application.ProcessMessages;
 end;

end.
