{*******************************************************}
{                                                       }
{         Delphi VCL Extensions (RX)                    }
{                                                       }
{         Copyright (c) 1995, 1996 AO ROSNO             }
{         Copyright (c) 1997 Master-Bank                }
{                                                       }
{*******************************************************}

unit RXLConst;

{ RX Library constants }
{
  Reserved diapasone
  from MaxExtStrID - 1
  to   MaxExtStrID - 32
}

interface

const
{ The minimal VCL's used string ID is 61440. The custom IDs must be
  less that above. }
  MaxExtStrID = 61300;

const

{ Component pages }

  srRXControls         = MaxExtStrID - 1;
  srRXDBAware          = MaxExtStrID - 2;
  srRXTools            = MaxExtStrID - 3;

{ TFormStorage component editor }

  srStorageDesigner    = MaxExtStrID - 4;

{ TPageManager component editor }

  srProxyEditor        = MaxExtStrID - 5;
  srPageProxies        = MaxExtStrID - 6;
  srProxyName          = MaxExtStrID - 7;
  srPageName           = MaxExtStrID - 8;

{ TSpeedbar component editor }

  srSBItemNotCreate    = MaxExtStrID - 9;
  srConfirmSBDelete    = MaxExtStrID - 10;
  srSpeedbarDesigner   = MaxExtStrID - 11;
  srNewSectionName     = MaxExtStrID - 12;

{ TRxTimerList component editor }

  srEventNotCreate     = MaxExtStrID - 13;
  srTimerDesigner      = MaxExtStrID - 14;
  srTimerEvents        = MaxExtStrID - 15;

{ TAnimatedImage component editor }

  srAniCurFilter       = MaxExtStrID - 16;
  srEditPicture        = MaxExtStrID - 17;
  srLoadAniCursor      = MaxExtStrID - 18;

implementation

{$IFDEF WIN32}
 {$R *.R32}
{$ELSE}
 {$R *.R16}
{$ENDIF}

end.