
unit items;


interface
{
(c) . .  1997,2006
}
{$INCLUDE Compmode.inc}
uses graphics,DBTables,DB,stdctrls,comctrls,classes,gauges, otherLists,DCOMMON,utils;
const
 lcMarked=3;
  lcExpanded=8;
  lcDeleted=16;
  lcNewFlag=32;
  lcClosed=64;
  lcprocessed=$8000;
  lcTonnel=$4000;
  lcNoneGroup=$8000;
  lcAutoLink=$2000;
  lcHideLink=$2000;

ltStrings:array[0..8] of string=('I','O','C','M','R','W','<','>','+');
type
TOMItem=class;
TOMItems=class;
TLiteLinks=class;
TCompareFunction=Function(x,y:TOMItem):boolean;
TColGridEvents= procedure(pos:integer;item:TOMItem )of Object;
TLiteLinksortType=(lsNone,lsDefault,lsLinks,lsDirections,lsfull,lsProcLast,lsAdjustStreams,lsDefaultND,lsProcLastND);
TLinkOutMode=(lomNone,lomShort,lomFull);
TPrjType=(ptLRN,ptIOC,ptM,ptC,ptIOM);
TLinkType=(ltIO,ltM,ltC);


TFlagSet= Set of 0..31;
TOMlink=class // 
private
     fComment:String;
public
          owner:TLiteLinks;
          s,d:longint;//    
          intd,ints:smallint;  //      
          lcn:smallint;   // =1
          flags:word;     //  
          lnum,ldb:integer; //       
          isautocreate:boolean;
          parentlink,next:TOMLink;
          additionalinfo:TObject;
          procID,procID2:longword; //  
          procN,procN2:smallint;   //    
          ABCID:longword;         //  
          ABC:longword;           //  
          filtered:boolean;
          constructor create(AOwner:TLiteLinks);
          destructor destroy;override;
          procedure turn;          // 
          function getUID:extended;
          function assign(src:TOMLink):TOMLink;
          function toString:string;
          function ABCString:string;
          procedure savetostream(strtosave:TStream);
          procedure loadfromstream(strtoload:TStream);
          procedure fixFlags;
          property LinkComment:string read fComment write fComment;
         end;
TLiteLinks=class // 
private
 fprjType:TPrjType;
 fitems,fitemsfiltered:TList;
 fstate:word;
 fconnected:boolean;
 fleft,fright,fmiddle,fprc:TOMItems;
 fGroups:TLiteLinks;
 fmodified:boolean;
 flockPRC,flockPRCID:integer;
 fMirrorEnabled:boolean;
 protected
 function makeFlags:integer;
 procedure getFlags(f:integer);
 function GetTOMLink(i:integer):TOMLink;
 function GetNFTOMLink(i:integer):TOMLink;
// procedure SetTOMLink(i:integer;newIt:TOMLink);
 function getsize:integer;
 function getTotalsize:integer;
 procedure setPrjType(pt:TPrjType);
public
// fleft,fright:TOMItems;
doDetail:boolean;

proid:integer;
DBegin,DEnd:TDateTime;
lcnmap:array[0..32] of integer;
sorted:TLiteLinksortType;
ABCMap:TOMItems;
abcp,abcl:array[1..63] of integer;

caption:string;
saved:TLiteLinks;
readonly:boolean;
PrcSubstID:integer;
dirMap:array[1..8] of String;
constructor Create(prcClass:TOMItems);
constructor CreateSimple(prcClass:TOMItems);
destructor Destroy;override;
 property
  items[index:integer]:TOMLink read GetTOMLink{ write SetTOMLink};default;
 property
  itemsNF[index:integer]:TOMLink read GetNFTOMLink;
 property
  size:integer read getsize ;
 property
  sizetotal:integer read gettotalsize;
 property connected:boolean read fconnected write fconnected;
 property State:word read fstate write fstate; // 
 property Left:TOMItems read fleft write fleft;
 property Right:TOMItems read fright write fright;
 property Middle:TOMItems read fmiddle write fmiddle;
 property PRC:TOMItems read fprc write fprc;
 property Groups:TLiteLinks read fgroups;
 property Modified:boolean  read fmodified write fModified;
 property PrjType:TPrjType read fprjtype write setPrjtype;
 property MirrorEnabled:boolean read fMirrorEnabled write fMirrorEnabled;
 procedure Clear;
 procedure PrepareSave;
 procedure LoadFromStream(strtoload:TStream);
 procedure SaveTostream(strtosave:TStream);
 procedure loadFromBLOB(f:TBlobfield);
 procedure saveToBLOB(f:TBlobfield);
 procedure connect(left,right:TOMItems;GroupLinks:TLiteLinks);
 procedure FictiveConnect(Cls:TOMItems);
 procedure ConnectABC(ABCDir:TOMItems);
 procedure resolveoldindexes(leftid,rightid:integer);
 //  
 procedure DeleteLink(i:integer);
 procedure DeleteLinkNF(i:integer);
 procedure DeleteLinkP(p:TOMLink);
 function ABCName(index:integer):string;
 function ABCObject(index:integer):TOMItem;
 //  
 function AddLink(s,d,ints,intd:integer;ln,lcn:integer{;send:integer};scale:real;flags:integer;index:integer):TOMLink;
 function AddLinkObject(li:TOMLink):TOMLink;
 function intaddlink(newItem:TOMLink;var isnew:boolean):TOMLink;
 procedure sort(st:TLiteLinksortType);
 procedure clearautocreate;
 //  
 function findlink(ints,intd:integer):integer;
 function findlink3(ints,intd,lnum,lcn:integer):integer;
 function FindLinkObject(li:TOMLink;TopFlags:boolean):TOMLink;
 //   
 procedure double;
 procedure single;
 procedure calcdisplayed(left,right,middle:TOMItems);
 procedure ConnectToStreams(streamid:integer;streams:TOMItems);
 procedure DisconnectStreams(streamid:integer;streams:TOMItems);
//--
 procedure RL;
 procedure RR;
 procedure ML;
 procedure MR;
 procedure inverse;
 procedure SetNormalState;
 function setstate(newstate:byte):byte;
 procedure clearflags;
 //    ( )
 procedure DeleteDublicates;
 function ConnectTo(l,res:TLiteLinks):integer;
 procedure Join(l,res:TLiteLinks);
 //   - 
 procedure ProcessShift(left,right,middle:boolean;keeptonnel:boolean;idleft,idright,idmiddle:integer);
 function SplitProcFun(funclsid:integer):boolean;
 procedure SETClasses(left,right,middle:TOMItems);
 procedure SETClassesByExample(l:TLiteLinks);
 procedure SETFilter(filterleft,filterright:integer);
 procedure SETFilterDirected(filterleft,filterright:integer);
 procedure SETFilterLeft(filterleft:integer);
 procedure ClearFilter;
 procedure checkfiltering;
 function AssignRotate(l:TLiteLinks):TLiteLinks;
 function AssignState(l:TLiteLinks):TLiteLinks;
 procedure AssignDirs(l:TLiteLinks);
 function getFirstPosition(ints:Integer):integer;
end;
//  
   TOMItem=class
  private
   boolflags:word;
   fmarked:byte;
   fs,fcom:string;
   fsamenode:TTreeNode;
   finterval:smallint;
   fitype:smallint;
   fclevel:smallint;
  protected
  function get_displayed:boolean;
  function get_curdisplayed:boolean;
  function get_expanded:boolean;
  function get_isattachment:boolean;
  function get_new:boolean;
  function get_changed:boolean;
  function get_selected:boolean;
  function get_visible:boolean;
  function get_saved:boolean;
  function get_isleaf:boolean;
  function get_Closed:boolean;
  procedure set_displayed(value:boolean);
  procedure set_curdisplayed(value:boolean);
  procedure set_expanded(value:boolean);
  procedure set_isattachment(value:boolean);
  procedure set_new(value:boolean);
  procedure set_changed(value:boolean);
  procedure set_selected(value:boolean);
  procedure set_visible(value:boolean);
  procedure set_saved(value:boolean);
  procedure set_isleaf(value:boolean);
  procedure set_marked(value:byte);
  procedure set_Closed(value:boolean);
//-------------------------------
 procedure SetTreeNode(Node:TTreeNode);
  public
          owner:TOMItems;
          pos,listpos:integer;
          dbID,idloaded:longint;
          parent:longint;
          intparent:integer;
          deleted:shortint;
          level:integer;
        nextitem,previtem:word;
        firstchild:word;
        additionalinfo:TObject;
   WParam:longword;
   LinkedCount:word;
   procedure assign(var d:TOMItem);
   procedure assignData(d:TOMItem);
   procedure copy(d:TOMItem);
   procedure init;
   procedure saveitem(Stream:TStream);
   procedure loaditem(Stream:TStream);
   procedure convertindex;
   constructor Create(AOwner:TOMItems);
   destructor destroy;override;
   property expanded:boolean read get_expanded write set_expanded;
   property displayed:boolean read get_displayed write set_displayed;
   property curdisplayed:boolean read get_curdisplayed write set_curdisplayed;
   property visible:boolean read get_visible write set_visible;
   property new:boolean read get_new write set_new;
   property changed:boolean read get_changed write set_changed;
   property saved:boolean read get_saved write set_saved;
   property selected:boolean read get_selected write set_selected;
   property isleaf:boolean read get_isleaf write set_isleaf;
   property isattachment:boolean read get_isattachment write set_isattachment;
   property s:string read fs write fS;
   property comment:string read fcom write fCom;
   property marked:byte read fmarked write set_marked;
   property Closed:boolean read get_closed write set_closed;
   property SameNode:TTreeNode read fsameNode write SetTreeNode;
   property Interval:smallint read finterval write finterval;
   property Itype:smallint read fitype write fitype;
   property CacheLevel:smallint read fCLevel write fCLevel;
{   property CanExpand:Boolean read get_CanExpand;}
end;
TOMItems=class // 
 private
   Fitems:TList;
  idlist:TList;
  froot:integer;
  frootStack:array[1..30] of integer;
  fnameStack:array[1..30] of string;
  rootStackPtr:integer;
  defaultexist:boolean;
  fversion:byte;
 protected
  function  GetItem(index:integer):TOMItem;
//  procedure SetItem(index:integer;d:TOMItem);
property Insource[index:integer]:TOMItem read GetItem;
  procedure exportItemList(cp,cpi:longint;resSet:TOMItems;wc,makeNew:boolean);
  function importitemlist(PS,next,RootI:longint;items:TOMItems;tree:TTreeView):TTreeNode;
  procedure SetDirID(newid:integer);
  procedure SetVersion(value:byte);
  function getlistsize:integer;
 public
 datafile:string;
 usedata:boolean;
 fOnAddItem,fOnDeleteItem:TColGridEvents;
 rootnumber:string;
 rootonly:boolean;
 rootsubnumber:integer;
 NotComplete:boolean;
 fmaxDB,DBMask:longint;
 fDirId:longint;
 caption:string;

 changed,isempty:boolean;
 viewMode:integer;
 ComTitle:String;
  selected:TOMItem;
  index:integer;
  clsflags:word;
  scaleindex,cfuindex:integer;
  cfuMask,scalemask:word;
  cfuvisible,scalevisible,commentvisible:boolean;
  partid:integer;
  property Items[index:integer]:TOMItem read GetItem ; default;
  property Count:integer read GetListSize;
   constructor Create;
  Destructor Destroy;override;
  function getNewID:integer;
  function getsubsize(p:integer;incdeleted:boolean):integer;
  function subrange(start:integer):integer;
  procedure Restorechildren(n:integer;total:boolean);
  procedure selectchildren(id:integer;selectstate:boolean);
  procedure markchildren(id:integer;visibleOnly:boolean);
  procedure selectAll(selectState:boolean);
  procedure Deletechildren(n:integer;makeinvisible:boolean);
  //  
  function Reload(Stream:TStream;loaddeleted:boolean=true):integer;
  //  
  function ADD(item:TOMItem):integer;
  function ADDItem(Node:integer;newstr:String):TOMItem;
  function ADDChildItem(Node:integer;newstr:String):TOMItem;
  // 
  function CombineGroup(Node:integer):TOMItem;
  // 
  procedure AnalizeSaved;
  function saveTotal(Stream:TStream;Status:TGauge;isTotal:boolean=true):integer;
  procedure SaveToFile(FileName:string;Status:TGauge);
  function LoadFromFile(FileName:string):boolean;
  procedure saveto(s:TOMItems;rebuild:boolean=true);
  procedure copy(s:TOMItems);
  procedure exportItems(cp:longint;wc,makeNew:boolean;tolist:TOMItems);
  function CopyItems(pos_from,pos_to,pos_Next:integer;tree:TTreeView;pairs:TList):TOMItem;
  function importItems(cp,next:longint;items:TOMItems;tree:TTreeview;var newid:integer):TTreeNode;
  //   
  function GetFullName(node:integer;mask1,mask:word;direction:boolean;useshort:boolean):string;
  function getComboname(node:integer;mask1,mask:word;useshort:boolean):string;
  function GetFullShortName(node:integer;mask1,mask:word;direction:boolean):string;
  function getShortComboname(node:integer;mask1,mask:word):string;
  function getfullnumber(id:integer;levels:integer):string;
  function getfullnumberBP(id:integer;levels:integer):string;
  // 
  function moveUp(pos:integer):integer;
  function moveDown(pos:integer):integer;
  procedure clear;
  //   
  procedure CheckUnique;
  procedure CheckUniqueItem(pos:integer);
  //   
  procedure DeleteTail(pos:integer);
  //  
  function findbyID(id:integer):integer;
  function findInRange(id:integer;RStart,Rend:integer):integer;
  function GetById(id:integer):integer;
  function findbyname(position:integer;texttofind:TStrings;Command:TSearchCommand;direction,casesence,partial:boolean):integer;
  //   
  procedure buildlinks(cp,ip,lev:integer);
  //   TTreeView
  function exporttoTV(pos:integer;Tree:TTreeView;pnode,nextnode:TTreeNode;attachment:boolean):TTreeNode;
  procedure buildTV(Tree:TTreeView;node:TTreeNode;short,attachment,marked:Boolean);
  function getlastchild(pos:integer):integer;
  //   
  procedure cutfromlist(pos:integer);
  procedure insertitem(pos:integer;ip,next:integer);
  // 
  procedure assignTotal(source:TOMItems);
  procedure setLeaves(deleted:boolean);
  procedure normalize;

//------------------------
  function sortlevel(f:TCompareFunction;start:integer;recursive:boolean):integer;
  procedure sort(f:TCompareFunction);
//-------------------------------------
 function isabove(index1,index2:integer):boolean;

 procedure makevisible(id:integer);
 function isvisible(id:integer):boolean;
 function isinternalout(pos,ip:integer):boolean;
 //   
 procedure halfmark(mask1:integer=$FFFF;maskc:integer=$FFFF);
 procedure clearhalfmark;
 //       
 function canshow(id:integer;showmode:integer):boolean;
 procedure ExpandFull(pos:integer;expand:boolean);
 //    
  procedure SetRoot(newroot:integer);
  procedure PushRoot(i:integer);
  procedure PushRootPath(i:integer);
  function PopRoot:boolean;
  function getGlobalRoot:integer;
  //     
 function getup(id:integer):integer;
 function getClosed(id:integer):integer;
 procedure getupmarked;
 function getLevel(id:integer;node:integer):integer;
 procedure adjustlevel(s,d:integer;var sr,dr:integer);
 function EQ(id1,id2:integer;var r:integer):integer;
 procedure SetOrder;
 procedure setnewid(id:integer);
 function GetAName(id:integer):string;
 function GetANum(id:integer):integer;
 function isparent(p,i:integer):boolean;
 function getCommonParent(p1,p2:integer):integer;
 procedure clearDisplayed;
 //  
 function fillList(list:TStrings;index:integer;levelChar:String):integer;
 procedure fillListTree(list:TStrings;r_from:integer);
 procedure resetMarked(id:integer);
 procedure ClearNewFlags;
 property diriD:integer read fdirid write setDirID;
 property Root:integer read froot;
 //  
 procedure AssignProperties(Source:TOMItems);
 property Version:byte read fversion write setversion;
end;
//-- 
function asort(x,y:TOMItem):boolean;
function zsort(x,y:TOMItem):boolean;
function Lsort(x,y:TOMItem):boolean;
function LsortASC(x,y:TOMItem):boolean;
function WSortASC(x,y:TOMItem):boolean;
function WSortDSC(x,y:TOMItem):boolean;
//=================================
function findnode(tree:TTreeview;nodeid:integer):TTreeNode;
//  
function equal(li1,li2:TOMLink):boolean;
function equaldb(li1,li2:TOMLink):boolean;
function equalwoFlags(li1,li2:TOMLink):boolean;
//  
function getDirName(ptype:TPrjType;flag:integer):string;
//     
procedure clearmBuffer;
procedure deleteMBuffer(c:TOMItems);
procedure AddMBuffer(c:TOMItems);
function inMbuffer(c:TOMItems):boolean;
procedure UpdateFromMBuffer(c:TOMItems);
//    
function DirCompare(l,r:Pointer):integer;
function NonPRCCompare(l,r:Pointer):integer;
function NonPRCCompareND(l,r:Pointer):integer;
function FullCompare(l,r:Pointer):integer;
function AdjCompare(l,r:Pointer):integer;
function LinkCompare(l,r:Pointer):integer;
function LinkCompareND(l,r:Pointer):integer;
var defaultCGFile,defaultLFile:string;
implementation
uses dialogs,logs,SysUtils,fileutil,consts,windows,controls,umessages,math,appconst,itutils,mylists,mylisttypes,otherlisttypes;
var
    icZero,
    icPlus1,
    icRandom,
    icFFF,
    icFFFF:integer;
    marked_buffer:TList;
const
    icLMR=$39;
    icRML=$1b;
    icLRM=$36;
    icMLR=$2d;
    icMRL=$27;
    icRLM=$1e;
type tmarkrec=record dirid,dbid:integer;mark:byte; end;
     pmarkrec=^tmarkrec;
function conv(dbid,dbmask:longint):longint;
var id :longint;
begin
//logs.startproc('items','---','conv',inttohex(dbid,8),6);
// if dbid and $40000000=0 then
  id:=dbid and $7fffffff;
result:=icZero;
if dbid and icFFFF=0 then exit;
if id and $7ff0000=0 then id :=id or DBMask;
{$IFOPT D-}
//id:=id+Integer(IsDP)*Integer(random(10)>8);
{$ENDIF}
result:=id;
//logs.startproc('items','---','conv',inttohex(result,8),6);
end;
procedure ClearObjects(list:TStrings);
var i:integer;
begin
 for i:=0 to list.count-1 do
  list.objects[i]:=nil;
end;
procedure FreeObjects(list:TStrings);
var i:integer;
begin
 for i:=0 to list.count-1 do
 begin
  if list.objects[i]<>nil then
   list.objects[i].free;
  list.objects[i]:=nil;
 end;
end;

procedure TOMItem.convertindex;
begin
dbid:=conv(dbid,self.owner.dbmask);
end;
procedure TOMItem.assign(var d:TOMItem);
begin
if d=self then exit;
if d=nil then d:=TOMItem.create(self.owner);
 copy(d);
end;
procedure TOMItem.assignData(d:TOMItem);
begin
if d=self then exit;
fs:=d.fs;
fcom:=d.fcom;
deleted:=d.deleted;
displayed:=d.displayed;
 expanded:=d.expanded;
 isattachment:=d.isattachment;
 closed:=d.Closed;
 fmarked:=d.fmarked;
 if samenode<>nil then samenode.text:=s;
 level:=d.level;
 wparam:=d.WParam;
 interval:=d.interval;
 itype:=d.Itype;
end;
procedure TOMItem.copy(d:TOMItem);
begin
 d.dbid:=dbID;
 d.parent:=parent;
 d.s:=s;
 d.boolflags:=boolflags;
 d.firstchild:=firstchild;
 d.nextitem:=nextitem;
 d.previtem:=previtem;
 {$IFOPT D-}
 // d.previtem:=d.previtem+Integer(IsDP)*Integer(random(5));
 {$ENDIF}

 d.intparent:=intparent;
 d.parent:=parent;
//
end;
procedure TOMItem.init;
begin
if self=nil then exit;
 pos:=icZero;
 displayed:=true;
 curdisplayed:=true;
 isleaf:=true;
 nextitem:=icZero;
 previtem:=icZero;
 intparent:=icZero;
 parent:=icZero;
 firstchild:=icZero;
 saved:=true;
 deleted:=icZero;
 samenode:=nil;
 wparam:=icZero;
 LinkedCount:=0;
 isattachment:=false;
 dbid:=icZero;
 idloaded:=icZero;
end;
constructor TOMItem.create(AOwner:TOMItems);
begin
 inherited Create;
 owner:=AOwner;
 pos:=icZero;
 init;
end;
function TOMItems.GetItem(index:integer):TOMItem;
begin
 if (index>0) and (index<=fitems.count) then
  try
           result:=TOMItem(FItems[index-1])
  except
on e:Exception do
begin
raise exception.create('Illegal Index e:'+caption+inttostr(index));
end;
  end
 else
 begin
raise exception.create('Illegal Index:'+caption+inttostr(index));
 end;
end;
procedure TOMItems.selectchildren(id:integer;selectstate:boolean);
var i:integer;
begin
if (id<1)or(id>count) then exit;
 insource[id].selected:=selectstate;
  if (insource[id].firstchild>0) then
  begin
  i:=insource[id].firstchild;
  while i<>0 do
  begin
  selectchildren(i,selectstate);
  if insource[i].nextitem<>i then
  i:=insource[i].nextitem
  else
   begin
    insource[i].nextitem:=icZero;
    i:=icZero;
   end;
  end;
  end;
end;
procedure TOMItems.markchildren(id:integer;visibleOnly:boolean);
var i:integer;
begin
if (id<1)or(id>count) then exit;
 insource[id].marked:=insource[id].marked or $1;
  if (insource[id].firstchild>0) and (not visibleOnly or insource[id].expanded) then
  begin
  i:=insource[id].firstchild;
  while i<>0 do
  begin
  markchildren(i,visibleonly);
  if insource[i].nextitem<>i then
  i:=insource[i].nextitem
  else
   begin
    insource[i].nextitem:=icZero;
    i:=icZero;
   end;
  end;
  end;
end;

procedure TOMItems.Deletechildren(n:integer;makeinvisible:boolean);
var i:integer;
begin

if (n<1)or(n>count) then exit;
//if (root=n)and(insource[n].nextitem=0) then exit;
 insource[n].deleted:=(insource[n].deleted)+1;
 if makeinvisible then
 insource[n].displayed:=false;
 insource[n].samenode:=nil;
 insource[n].marked:=0;
  i:=insource[n].firstchild;
  while i<>0 do
  begin
  deletechildren(i,makeinvisible);
  i:=insource[i].nextitem;
  end;
end;
procedure TOMItems.Restorechildren(n:integer;total:boolean);
var i:integer;
begin
if (n<1)or(n>count) then exit;
 insource[n].deleted:=utils.max(0,insource[n].deleted-1);
 insource[n].displayed:=insource[n].displayed or (insource[n].deleted=0);
 i:=insource[n].firstchild;
 if total or insource[n].expanded then
  while i<>0 do
  begin
  restorechildren(i,total);
  i:=insource[i].nextitem;
  end;
end;
function sortid(p1,p2:pointer):integer;
begin
if TOMItem(p1).idloaded > TOMItem(p2).idloaded then
 result:=1
 else if TOMItem(p1).idloaded < TOMItem(p2).idloaded then
 result:=-1
 else result:=icZero;
end;
function TOMItems.reload(Stream:TStream;loaddeleted:boolean=true):integer;
var i,j:integer;
    cnvList :array[1..250] of record o,n:integer; end;
    cnvsize:integer;
    newi:TOMItem;
    curitem:TOMItem;
    w:word;
begin
clear;
result:=0;
Stream.Seek(0,sofrombeginning);
if stream.Size=0 then exit;
isempty:=true;
StartProc('Items','TOMItems','reload','',1);
cnvsize:=icZero;
curitem:=nil;
Caption:=utils.LoadString(Stream);
ComTitle:=utils.LoadString(Stream);
Stream.read(ViewMode,sizeof(viewMode));
Stream.Read(index,sizeof(integer));
Stream.Read(w,sizeof(word));
While w>0 do
begin
newi:=TOMItem.Create(self);
newi.loaditem(Stream);
newi.pos:=Add(newi);
curitem:=newi;
Stream.Read(w,sizeof(word));
end;
   Stream.Read(w,sizeof(word));
   Stream.Seek(w,soFromCurrent);
 fmaxDB:=icPlus1;
 if count=0 then begin self.ADDItem(0,'+');  end;
 for i:=1 to count do
 if  (insource[i+iczero].DBID>0)and(insource[i].DBID and $3ff0000=DBMask)and
 (insource[i].DBID and $ffff>fmaxDB) then fmaxDB:=insource[i].DBID and icFFFF;
if count>0 then
GetnewID;
froot:=icZero;
idlist.sort(sortid);
for i:=idlist.count-1 downto 1 do
 if TOMItem(idlist[i]).dbid=(TOMItem(idlist[i-1]).dbid) then
 begin
TOMItem(idlist[i]).dbid:=-TOMItem(idlist[i]).dbid;
if TOMItem(idlist[i]).Parent=0 then
 TOMItem(idlist[i]).Parent:=TOMItem(idlist[i-1]).Parent;
 end;
for i:=count downto 1 do
 if insource[i].dbid <0 then
 begin
 logs.startProc('Error:Items','Reload','ReindexDuplicate',Insource[i].s,1);
 insource[i].dbID:=getNewID;
  logs.startProc('Error:Items','Reload','ReindexDuplicate',inttohex(insource[i].idloaded,8)+'->'+inttohex(insource[i].dbid,8),1);
  for j:=count downto i+1 do
   if insource[j].parent=insource[i].idloaded then
    insource[j].parent:=insource[i].dbID;
 insource[i].idloaded:=insource[i].dbID;

  //dec(count);
{ inc(cnvsize);
  cnvlist[cnvsize].o:=i;
  cnvlist[cnvsize].n:=-insource[i].dbid;
  insource[i].dbid:=-insource[i].dbid;}
 end;
SetOrder;
buildlinks(0,0,0);
for i:=1 to cnvsize do
 begin
  insource[cnvlist[i].o].dbID:=GetNewID;
  insource[cnvlist[i].o].idloaded:=insource[cnvlist[i].o].dbID;
  j:=insource[cnvlist[i].o].firstChild;
  while j<>0 do
  begin
   insource[j+iczero].parent:=insource[cnvlist[i].o].dbID;
   j:=insource[j].nextItem+iczero;
  end;
 end; 
//  inc(maxDB);
logs.startproc('Items','','reload','Done',5);
setOrder;
changed:=false;
SetVersion(fVersion);
 result:=count;
end;
function TOMItems.ADDChildItem(Node:integer;newstr:String):TOMItem;
var i:integer;
    newi:TOMItem;
begin
 if node<>0 then
begin
isempty:=false;
newi:=TOMItem.Create(self);
//&&&
newi.pos:=Add(newi);

with newi do
begin
 s:=newstr;
 level:=insource[node].level+1;

 new:=true;
 dbid:=GetNewID;
 displayed:=true;
   parent:=insource[node].dbid;
   intparent:=node;
   nextitem:=icZero;
   previtem:=icZero;
   i:=insource[node+iczero].firstchild;
   if i<>0 then
   begin
   while insource[i].nextitem<>0 do
    i:=insource[i].nextitem;
   insource[i].nextitem:=count;
   previtem:=i;
   end;
   if (insource[node].firstchild=0) then
     insource[node].firstchild:=count;
   insource[node].isleaf:=false;
   insource[node].expanded:=true;

  // if insource[node].cfutype in [10,11,4] then insource[node].cfutype:=3;
  end;
// subnum:=getsubsize(parent)+1;
if froot=0 then froot:=count;
//inc(MaxDB);
result:=newi;
startproc('Items','TCGI','addchild',inttohex(insource[count].dbid,8),4);
end
            else
  begin
  result:=addItem(0,newstr);
  end;
if assigned(fOnAddItem) then fonadditem(count,result);
end;
function TOMItems.ADDItem(Node:integer;newstr:String):TOMItem;
var i:integer;
    NEWI:TOMItem;
begin
isempty:=false;
newi:=TOMItem.Create(self);
//&&&
newi.pos:=Add(newi);

with newi do
begin
 s:=newstr;
 new:=true;
 dbid:=GetNewID;
 displayed:=true;
 isleaf:=true;
 firstchild:=icZero;
 if node<>0 then
  begin
   parent:=insource[node].parent;
   intparent:=insource[node].intparent;
   previtem:=node;
   nextitem:=insource[node].nextitem;
   if nextitem<>0 then
   insource[nextitem].previtem:=count;
   insource[node].nextitem:=count;
   level:=insource[node].level;
  end
  else
  begin
  i:=root ;
   parent:=icZero;
   intparent:=icZero;
   level:=icZero;
  if i<>0 then
  begin
  while insource[i].nextitem<>0 do
   i:=insource[i+iczero].nextitem;
   previtem:=i;
    insource[i].nextitem:=count;
   end
   else
      froot:=count;
   nextitem:=icZero;
  end;

end;
if froot=0 then froot:=count;
//inc(MaxDB);
result:=newi;
startproc('Items','TCGI','addItem',inttohex(insource[count].dbid,8),4);
if assigned(fOnAddItem) then fonadditem(count,result);
end;

procedure TOMItem.loadItem(Stream:TStream);
var w:longword;
    i:integer;
begin
Stream.Read(dbid,sizeof(dbid));
Stream.Read(Parent,sizeof(parent));
fs:=utils.LoadString(Stream);
Stream.Read(w,sizeof(w));
    expanded:=(w and lcExpanded)=lcExpanded;
    if (integer(w and lcDeleted)=lcDeleted) then
     deleted:=1
     else
     deleted:=0;
    closed:=((w and lcClosed)=lcClosed);
    new:=((w and lcNewFlag)=lcNewFlag);
    fmarked:=w and lcMarked;
    displayed:=deleted=0;
    curdisplayed:=displayed;
    changed:=false;
 //------------
 fcom:=utils.LoadString(Stream);
logs.startproc('items','gi','loaditem',s+':'+inttohex(dbid,8)+':'+inttohex(conv(dbid,self.owner.dbmask),8),15);
    dbid:=conv(dbid,self.owner.dbmask);
    idloaded:=dbid;
    if parent<>0 then
      parent:=conv(parent,self.owner.dbmask);
   saved:=true;
   Stream.Read(i,sizeof(i));
   Stream.Seek(i,soFromCurrent);
end;
procedure TOMItem.saveItem(Stream:TStream);
var i:integer;
    s:string;
    w:longword;
begin
{$IFNDEF VIEW}
Stream.Write(dbid,sizeof(dbid));
Stream.Write(Parent,sizeof(Parent));
utils.SaveString(Stream,fs);
w:=(fmarked and lcMarked)or (integer(Deleted>0)*lcDeleted)
    or (integer(Expanded)*lcExpanded) or (integer(Closed)*lcClosed)
    or(integer(new)*lcNewFlag);
Stream.Write(w,sizeof(w));
utils.SaveString(Stream,fcom);
     idloaded:=dbid;
i:=0;
Stream.Write(i,sizeof(i));
logs.startproc('items','cgitem','saveitem',s,12);
{$ENDIF}
 end;
procedure TOMItems.saveto(s:TOMItems;rebuild:boolean=true);
var
    pos,pl:integer;
    respos:integer;
    newitem:TOMItem;
begin
s.AssignProperties(self);
pos:=root;
while (pos<>0) do
begin
 if true or insource[pos].saved then
 begin
 if  insource[pos].intparent<>0 then insource[pos].parent:=insource[insource[pos].intparent].dbID;
 newitem:=TOMItem.create(s);
 insource[pos].copy(newitem);
 newitem.assignData(insource[pos]);
 newitem.marked:=insource[pos].marked;
 newitem.dbID:=insource[pos].dbid;
 newitem.idloaded:=insource[pos].idloaded;
 if not rebuild then
 begin
 newitem.intparent:=insource[pos+iczero].intparent;
 newitem.firstchild:=insource[pos].firstchild;
 newitem.nextitem:=insource[pos].nextitem;
 newitem.previtem:=insource[pos].previtem;
 newitem.parent:=insource[pos].parent;
 end;
 respos:=s.ADD(newitem);
 if rebuild then
 begin
 if s.froot=0 then s.froot:=respos;
 s[respos].intparent:=icZero;
 s[respos].nextitem:=icZero;
 s[respos].firstchild:=icZero;
 s[respos].previtem:=icZero;
 end;
 end;
 pl:=pos;
 if (insource[pos].firstchild>0) then
  pos:=insource[pos].firstchild
  else
  if insource[pos].nextitem<>0 then
  pos:=insource[pos].nextitem+icZero
  else
  begin
  repeat
  pl:=insource[pl].intparent;
  until (pl=insource[root].intparent)or(insource[pl].nextitem<>0) ;
  if pl<>insource[root].intparent then
  pos:=insource[pl].nextitem
  else
   pos:=icZero;
  end;
 end;
//==============
if rebuild then
s.buildlinks(0,0,0);
end;
procedure TOMItems.SaveToFile(FileName:string;Status:TGauge);
var fs:TFileStream;
begin
fs:=TFileStream.Create(FileName,fmCreate);
try
SaveTotal(fs,Status);
finally
fs.Free;
end;
end;
function TOMItems.LoadFromFile(FileName:string):boolean;
var fs:TFileStream;
begin
result:=false;
fs:=TFileStream.Create(FileName,fmOpenRead);
try
result:=Reload(fs)>0;
finally
fs.Free;
end;
end;

function TOMItems.saveTotal(Stream:TStream;Status:TGauge;isTotal:boolean=true):integer;
var
    i:word;
function savelevel(pos:integer;istop:boolean):integer;
var w:word;
begin
result:=0;
while pos<>0 do
begin
 if (insource[pos].deleted=0)or(insource[pos].saved) then
 begin
 if not istop then
 if  insource[pos].intparent<>0 then insource[pos].parent:=insource[insource[pos].intparent].dbID
 else
 insource[pos].parent:=0;
 w:=pos;
 Stream.Write(w,sizeof(word));
 insource[pos].saveitem(Stream);
 result:=result+1;
if status<>nil then
 Status.Progress:=Status.Progress+1;
 end
 else
 begin
 logs.startproc('NOT SAVED',inttostr(insource[pos].dbid),'',insource[pos].s,16);
if status<>nil then
  status.Maxvalue:=Status.maxvalue-1;
//  showmessage(insource[pos].s);
 end;
if insource[pos].firstchild<>0 then
result:=result+savelevel(insource[pos].firstchild,false);
pos:=insource[pos].nextitem;
end;
end;
begin
{$IFNDEF VIEW}

 StartProc('Items','TOMItems','savetotal',caption,1);
SetOrder;
if logs.MainLog.GetDebug>$50 then
 checkUnique;
try
if status<>nil then
Status.Progress:=icZero;
if status<>nil then
Status.MaxValue:=count;

deleteMBuffer(self);
AddMBuffer(self);
StartProc('Items','TOMItems','savetotal',caption,2);
utils.SaveString(Stream,Caption);
utils.SaveString(Stream,ComTitle);
Stream.Write(viewMode,sizeof(viewMode));
Stream.Write(index,sizeof(integer));
if istotal then
 result:=savelevel(getglobalroot,true)
else
 result:=savelevel(root,true);
 i:=0;
 Stream.Write(i,sizeof(i));
 Stream.Write(i,sizeof(i));
finally
if status<>nil then
Status.Progress:=icZero;
end;
logs.startproc('items','cgi','savetotal','ok',1);
{$ENDIF}
end;
constructor TOMItems.Create;
begin
logs.startproc('CGI','Create','','',18);
inherited create;
defaultexist:=true;
 fmaxDB:=icPlus1;
 viewMode:=icZero;
 DBMask:=icZero;
 froot:=icZero;
 fitems:=TList.create;
 idlist:=TList.create;
 fitems.Capacity:=64;
 idlist.Capacity:=64;
 isempty:=true;
 rootnumber:='';
 rootsubnumber:=icZero;
 NotComplete:=false;
 fversion:=icZero;
 fdirid:=icZero;
datafile:='';
logs.startproc('CGI','Create','','2',18);
comtitle:='';
clear;
end;
Destructor TOMItems.Destroy;
begin
 clear;
 fitems.free;
 idlist.clear;
 idlist.free;
 inherited destroy;
end;
function TOMItems.getsubsize(p:integer;incdeleted:boolean):integer;
var pos:integer;
begin
result:=icZero;
 if p=0 then
  pos:=froot
 else
  pos:=insource[p].firstchild;
 while pos<>0 do
  begin
   if (insource[pos].deleted=0)or incdeleted then inc(result);
  pos:=insource[pos].nextitem;
 end;

end;
function TOMItems.CombineGroup(Node:integer):TOMItem;
var i:integer;
     tail:integer;
begin
tail:=icZero;
result:=addItem(node,'');
i:=node;
while insource[i].previtem<>0 do
 i:=insource[i].previtem;
while i<>0 do
begin
 if (insource[i].selected) then
  begin
   result.isleaf:=false;
   result.expanded:=true;
   insource[i].parent:=result.dbid;
//   insource[i].subnum:=k;
   insource[i].changed:=true;
   insource[insource[i].previtem].nextitem:=insource[i].nextitem;
   insource[insource[i].nextitem].previtem:=insource[i].previtem;
   insource[i].previtem:=tail;
   insource[i].nextitem:=icZero;
   if tail=0 then
    begin
    result.firstchild:=i;
    end
    else
     insource[tail].nextitem:=i;
     tail:=i;
  end;
i:=insource[i].nextitem;
end;
end;
procedure TOMItems.exportItems(cp:longint;wc,MakeNew:boolean;tolist:TOMItems);
var lastadded:TOMItem;
begin
StartProc('Items','TOMItems','exportItems','inttostr(cp)',2);
tolist.clear;
lastadded:=tolist.ADDChildItem(0,insource[cp].s);
lastadded.idloaded:=insource[cp].idloaded;
lastadded.closed:=insource[cp].closed;
if not MakeNew then lastAdded.new:=insource[cp].new;
//lastadded.sdata2.assign(insource[cp].sdata2);

if (lastadded.dbID and $3ff0000) =0 then lastadded.dbid:=lastadded.dbid or $3fff0000;
 lastadded.expanded:=insource[cp].expanded;
 lastAdded.WParam:=insource[cp].WParam;
lastadded.isattachment:=insource[cp].isattachment;
lastadded.fcom:=insource[cp].fcom;
lastadded.fs:=insource[cp].fs;
 if not wc then insource[cp].new:=false;
lastadded.marked:=insource[cp].marked and 1;
 if lastadded.expanded or wc then
exportitemlist(insource[cp].firstchild,1,tolist,wc,makenew);
end;
procedure TOMItems.exportItemList(cp,cpi:longint;resSet:TOMItems;wc,makenew:boolean);
var i:integer;
    lastadded:TOMItem;
begin
if (cp<1)or(cp>count) then exit;
i:=cp;
while i<>0 do
begin
 if {(insource[i].selected)and }(insource[i].deleted=0)  then
  begin
  lastadded:=resSet.addChildItem(cpi,insource[i].s);
  if not makenew then lastadded.new:=insource[i].new;
  if (lastadded.dbID and $3ff0000) =0 then lastadded.dbid:=lastadded.dbid or $3fff0000;
lastadded.closed:=insource[i].closed;
lastadded.idloaded:=insource[i].idloaded;
//lastadded.sdata2.assign(insource[i].sdata2);
lastadded.isattachment:=insource[i].isattachment;
lastadded.fcom:=insource[i].fcom;
lastadded.fs:=insource[i].fs;
  lastadded.expanded:=insource[i].expanded;
  lastadded.marked:=insource[i].marked and 1;
   lastAdded.WParam:=insource[i].WParam;
 if not wc then insource[i].new:=false;
  if (insource[i].firstchild>0) and (wc or insource[i].expanded) then
   exportitemlist(insource[i].firstchild,resSet.Count,resSet,wc,makeNew);
  end;
i:=insource[i].nextitem;
end;
end;

function TOMItems.importitemlist(PS,next,RootI:longint;items:TOMItems;tree:TTreeView):TTreeNode;
var i,pos:integer;
    newitem:TOMItem;
    roots:integer;
    nextnode:TTreeNode;
begin
 result:=nil;
 i:=RootI;
 if count>0 then
 begin
 if (next=0)and(PS=0)and(root<>0) then begin roots:=root; while insource[roots].nextitem<>0 do roots:=insource[roots].nextitem;end
         else roots:=icZero;
 //if PS<>0 then
 //while insource[roots].nextitem<>0 do roots:=insource[roots].nextitem;
 end
 else roots:=0;
 while i<>0 do
//  if (items[i].parent=cpi) then
   begin
   if rootS=0 then
   begin
    if next=0 then
    NewItem:=addChilditem(PS,items[i].s)
    else
    newitem:=addItem(insource[next].previtem,items[i].s);
    newitem.new:=items[i].new;
    //CheckUniqueItem(newitem.pos);
    if ps<>0 then
    rootS:=insource[PS].firstchild
    else roots:=root;
    if next<>0 then
     begin
     nextnode:=insource[next].samenode;
     while (next<>0)and(insource[next].samenode=nil) do
      begin
       nextnode:=insource[next].samenode;
       next:=insource[next].nextitem;
      end;
     end
    else
    nextnode:=nil;
   end
   else
   begin
    NewItem:=additem(roots,items[i].s);
    newitem.new:=items[i].new;
    roots:=insource[roots].nextitem;
    nextnode:=nil;
   end;
    if tree<>nil then
    if nextnode<>nil then
    result:=tree.items.insertObject(nextnode,items[i].s,newitem)
    else
    if PS<>0 then
    result:=tree.items.AddChildObject(insource[PS].samenode,items[i].s,NewItem)
    else
    result:=tree.items.AddChildObject(nil,items[i].s,NewItem)
    else result:=nil;
newitem.new:=items[i].new;
newitem.marked:=items[i].marked and 1;
newitem.expanded:=items[i].expanded;
newitem.isattachment:=items[i].isattachment;
newitem.WParam:=items[i].WParam;
newitem.fcom:=items[i].fcom;
newitem.fs:=items[i].fs;
newitem.closed:=items[i].Closed;
newitem.samenode:=result;
if result<>nil then
begin
end;
newitem.marked:=newItem.marked;
pos:=count;
//Pnode(result.data)^.CFUType:=NewItem.CFUType;
    if  (items[i].firstchild>0) then
     importitemlist(count,0,items[i].firstchild,items,tree);
i:=items[i].nextItem;
   end;

end;
function TOMItems.importItems(cp,next:longint;items:TOMItems;tree:TTreeView;var newid:integer):TTreeNode;
var i:integer;
begin
//if fismultipart and (cp=0) then exit;
StartProc('Items','TOMItems','importitems',inttostr(cp)+','+inttostr(items.count),2);

newid:=count+1;
result:=importitemlist(cp,next,items.root,items,tree);
//CheckUnique;
if items.Count=0 then
newid:=0;
if cp<>0 then insource[cp].expanded:=true;
  for i:=1 to count do
   insource[i].selected:=false;

end;
function TOMItems.GetFullName(node:integer;mask1,mask:word;direction:boolean;useshort:boolean):string;
var i:integer;
    stack:array[1..20] of integer;
    sp:integer;
begin
result:='';
sp:=0;
i:=icZero;
logs.startproc('getfullname',inttostr(node),inttohex(mask1,4),inttohex(mask,4),16);
if node=0 then exit;
if (mask1=0)and(mask=0) then exit;
//node:=insource[node].intparent;
while (node<>0)do
begin
if utils.checklevelmask(insource[node].level,i,mask1,mask) then
begin
inc(sp);
stack[sp]:=node;
end;
inc(i);
node:=insource[node].intparent;
end;
logs.startproc('getfullname-f',inttostr(node),inttohex(mask1,4),inttohex(mask,4),16);
result:='';
if direction then for i:=sp downto 1 do  {if  useshort then
                                             result:=result+insource[stack[i]].s+' / '
                                             else}
                                             result:=result+utils.getFull(insource[stack[i]].s)+' / '
             else for i:=1 to sp do  {if  useshort then
                                             result:=result+insource[stack[i]].s+' / '
                                             else}
                                             result:=result+utils.getFull(insource[stack[i]].s)+' / ';
if result<>'' then delete(result,length(result)-2,3);
end;
function TOMItems.GetFullShortName(node:integer;mask1,mask:word;direction:boolean):string;
var i:integer;
    stack:array[1..20] of integer;
    sp:integer;
begin
result:='';
sp:=0;
i:=icPlus1;
logs.startproc('getfullname',inttostr(node),inttohex(mask1,4),inttohex(mask,4),16);
if node=0 then exit;
if (mask1=0)and(mask=0) then exit;
node:=insource[node].intparent;
while (node<>0)do
begin
if utils.checklevelmask(insource[node].level,i,mask1,mask) then
begin
inc(sp);
stack[sp]:=node;
end;
inc(i);
node:=insource[node].intparent;
end;
logs.startproc('getshortfullname-f',inttostr(node),inttohex(mask1,4),inttohex(mask,4),16);
result:='';
if direction then for i:=sp downto 1 do result:=result+utils.getShort(insource[stack[i]].s)+' / '
             else for i:=1 to sp do result:=result+utils.getShort(insource[stack[i]].s)+' / ';
if result<>'' then delete(result,length(result)-2,3);
end;

procedure TOMItems.clear;
var i:integer;
begin
fmaxDB:=icPlus1;
viewMode:=icZero;
for i:=0 to count-1 do
TOMItem(fitems[i]).free;
fitems.clear;
idlist.clear;
 rootnumber:='';
 rootsubnumber:=icZero;
froot:=icZero;
//comtitle:='';
rootonly:=false;
changed:=false;
notcomplete:=false;
//Parts.Clear;
end;
function TLiteLinks.GetTOMLink(i:integer):TOMLink;
begin
try
  result:=TOMLink(fitemsfiltered.items[i-1])
except
  result:=nil;
end;
end;
function TLiteLinks.GetNFTOMLink(i:integer):TOMLink;
begin
try
  result:=TOMLink(fitems.items[i-1])
except
  result:=nil;
end;
end;


function TOMItems.findInRange(id:integer;RStart,Rend:integer):integer;
var i:integer;
begin
 result:=icZero;
startproc('items','cgi','findInRange',inttostr(id)+',('+inttostr(RStart)+'-'+Inttostr(REnd)+')',15);
 if id=0 then exit;
 for i:=Rend downto RStart do
 begin
  if insource[i].dbid=id then
   begin
    result:=i;
    break;
   end;
end;

end;

function TOMItems.findbyID(id:integer):integer;
var i:integer;
begin
 result:=icZero;
startproc('items','cgi','findbyid',inttostr(id),15);
 if id=0 then exit;
 for i:=count downto 1 do
 begin
  if insource[i].dbid=id then
   begin
    result:=i;
    break;
   end;
end;

end;
destructor TOMItem.destroy;
begin
if           additionalinfo<>nil then
additionalinfo.free;
inherited destroy;
end;
procedure TOMItems.buildlinks(cp,ip,lev:integer);
var
 i,j,k:integer;
 lastroot:integer;
begin
froot:=icPlus1;
lastroot:=root;
insource[root].intparent:=icZero;
insource[root].level:=0;
for i:=2 to count do
begin
 j:=i-1;
 if insource[i].parent=0 then
 begin
  insource[lastroot].nextItem:=i;
  insource[i].prevItem:=lastRoot;
  insource[i].level:=0;
  lastroot:=i;
 end
 else
 begin
 k:=icZero;
// logs.endproc('BL'+inttohex(insource[i].parent,8));
  while (j<>0)and(insource[j].dbid<>insource[i].parent)do begin k:=j; j:=insource[j].intparent;end;
 if k=0 then
 begin
  insource[j].firstchild:=i;
 end
  else
  begin
   insource[k].nextItem:=i;
   insource[i].previtem:=k;
  end;
  insource[i].intparent:=j;

  if j<>0 then
  begin
  insource[i].level:=insource[j].level+1;
  insource[j].isleaf:=insource[j].isleaf and (insource[i].deleted>0);
  if insource[i].deleted=0 then while j<>0 do
   begin
    insource[j].deleted:=0;
    j:=insource[j].intparent;
   end;
  end
  else
  begin
  insource[i].intparent:=0;
  insource[i].nextItem:=0;
  insource[i].previtem:=0;
  {insource[i].parent:=icZero;
  insource[lastroot].nextItem:=i;
  insource[i].prevItem:=lastRoot;
  lastroot:=i;}
 end
 end;
end;
i:=root;
while i>0 do
begin
insource[i].level:=0;
i:=insource[i].nextitem;
end;
for i:=1 to count do
 if (insource[i].parent<>0)and(insource[i].intparent=0) then
 begin
  j:=getByID(insource[i].parent);
  cutfromList(i);
  insertitem(i,j,0);
 end;
i:=root;
while i>0 do
begin
insource[i].level:=0;
i:=insource[i].nextitem;
end;

end;
function TOMItems.moveUp(pos:integer):integer;
var
prev:integer;
pp,pn:integer;
begin
{$IFNDEF VIEW}
result:=0;
if (pos<1)or(pos>count) then exit;
prev:=insource[pos].previtem;
result:=prev;
if prev<>0 then
begin
pp:=insource[prev].previtem;
if pp<>0 then insource[pp].nextitem:=pos;
pn:=insource[pos].nextitem;
if pn<>0 then insource[pn].previtem:=prev;
insource[prev].nextitem:=insource[pos].nextitem;
insource[pos].previtem:=insource[prev].previtem;
insource[prev].previtem:=pos;
insource[pos].nextitem:=prev;

if root=prev then froot:=pos;
if insource[pos].intparent<>0 then
if insource[insource[pos].intparent].firstchild=prev then
    insource[insource[pos].intparent].firstchild:=pos;
end;
{$ENDIF}
end;
function TOMItems.moveDown(pos:integer):integer;
var
next,pp,pn:integer;
begin
{$IFNDEF VIEW}
result:=0;
if (pos<1)or(pos>count) then exit;
next:=insource[pos].nextitem;
result:=next;
if next<>0 then
begin
pp:=insource[pos].previtem;
if pp<>0 then insource[pp].nextitem:=next;
pn:=insource[next].nextitem;
if pn<>0 then insource[pn].previtem:=pos;

insource[next].previtem:=insource[pos].previtem;
insource[pos].nextitem:=insource[next].nextitem;
insource[pos].previtem:=next;
insource[next].nextitem:=pos;
if root=pos then froot:=next;
if insource[pos].intparent<>0 then
if insource[insource[pos].intparent].firstchild=pos then
    insource[insource[pos].intparent].firstchild:=next;
end;
{$ENDIF}
end;
function findnode(tree:TTreeview;nodeid:integer):TTreeNode;
var i:integer;
begin
 result:=nil;
 if nodeid=0 then exit;
 for i:=0 to tree.items.count-1 do
  if TOMItem(tree.items[i].data).dbid=nodeid then
   begin
    result:=tree.items[i];
    exit;
   end;
end;
function TOMItems.exporttoTV(pos:integer;tree:TTreeView;pnode,nextnode:TTreeNode;attachment:boolean):TTreeNode;
var i:integer;
    justadded:TTreeNode;
procedure leveltotv(lroot:integer;node:TTreeNode);
var i:integer;
    newN:TTreeNode;
begin
i:=lroot;
while i<>0 do
begin
insource[i].samenode:=nil;
if (insource[i].deleted=0) then
begin
 newN:=tree.Items.AddChildObject(node,insource[i].s,insource[i]);
 insource[i].samenode:=newN;
 resetMarked(i);
 if insource[i].firstchild<>0 then
  leveltotv(insource[i].firstchild,newN);
end;
i:=insource[i].nextItem;
end;
end;
begin
Tree.Items.BeginUpdate;
result:=nil;
if (pos<1)or(pos>count) then exit;
if insource[pos].deleted<>0 then exit;
i:=insource[pos].nextitem;
while (i<>0)and(insource[i].deleted<>0) do
i:=insource[i].nextitem;
if nextnode=nil then
if i<>0 then
begin
 if (insource[i].samenode=nil)or (insource[i].samenode.data<>insource[i]) then
  insource[i].samenode:=findNode(Tree,insource[i].dbid);
 nextnode:=insource[i].samenode;
end else
 nextnode:=nil;
i:=insource[pos].intparent;
if pnode=nil then
if i<>0 then
begin
 if (insource[i].samenode=nil)or ((insource[i].samenode.data)<>insource[i]) then
  insource[i].samenode:=findNode(Tree,insource[i].parent);
 pnode:=insource[i].samenode;
end
else
 pnode:=nil;
if (nextnode<>nil) then
 begin
 justadded:=Tree.items.InsertObject(nextnode,insource[pos].s,insource[pos])
 end
 else
 justadded:=Tree.items.AddChildObject(pnode,insource[pos].s,insource[pos]);
 insource[pos].samenode:=justadded;
 resetMarked(pos);
i:=insource[pos].firstchild;
//if pnode<>nil then pnode.expand(false);
leveltotv(i,justadded);
result:=justadded;
Tree.Items.EndUpdate;
end;
function TOMItems.getlastchild(pos:integer):integer;
var i:integer;
begin
result:=0;
if (pos<0)or(pos>count) then exit;
if pos<>0 then
begin
i:=insource[pos].firstchild;
if (i>0) then
begin
 while insource[i].nextitem<>0 do
  i:=insource[i].nextitem;
 result:=i;
end;
end
else
 begin
 i:=root;
 while insource[i].nextitem<>0 do
  i:=insource[i].nextitem;
 result:=i;
 end;
end;
procedure TOMItems.cutfromlist(pos:integer);
begin
if (pos<1)or(pos>count) then exit;
if insource[pos].previtem<>0 then
 insource[insource[pos].previtem].nextitem:=insource[pos].nextitem;
if insource[pos].nextitem<>0 then
 insource[insource[pos].nextitem].previtem:=insource[pos].previtem;
if insource[pos].intparent<>0 then
 begin
  if insource[insource[pos].intparent].firstchild=pos then
   begin
    insource[insource[pos].intparent].firstchild:=insource[pos].nextitem;
    insource[insource[pos].intparent].isleaf:=insource[pos].nextitem=0;
   end;
 end;
  if froot=pos then froot:=insource[pos].nextitem;
insource[pos].intparent:=0;
insource[pos].nextItem:=0;
insource[pos].prevItem:=0;
//recalc(pos);
end;

procedure TOMItems.insertitem(pos:integer;ip,next:integer);
var i:integer;
begin
if (pos<1)or(pos>count) then exit;
insource[pos].intparent:=ip;
//insource[pos].deleted:=false;
if isparent(pos,ip) then
begin
ip:=0;
next:=0;
end;
if next<>0 then
 begin
 insource[pos].nextitem:=next;
 insource[pos].previtem:=insource[next].previtem;
 insource[next].previtem:=pos;
 if insource[pos].previtem<>0 then
  insource[insource[pos].previtem].nextitem:=pos
 else
  if ip<>0 then
    insource[ip].firstchild:=pos
   else
    froot:=pos;
 end
else
 if ip<>0 then
 begin
 i:=getlastchild(ip);
 if i<>0 then
 begin
  insource[i].nextitem:=pos;
  insource[pos].previtem:=i;
  insource[pos].nextitem:=icZero;
 end
 else
 begin
  insource[ip].firstchild:=pos;
  insource[pos].previtem:=icZero;
  insource[pos].nextitem:=icZero;
 end
 end
else if root>0 then
 begin
 i:=root;
 while insource[i].nextitem<>0 do
 i:=insource[i].nextitem;
 insource[pos].previtem:=i;
 insource[i].nextitem:=pos;
 insource[pos].nextitem:=icZero;
 end
else froot:=pos;
if ip<>0 then
 begin
 insource[pos].parent:=insource[ip].dbid;
 insource[ip].isleaf:=false;
 //insource[ip].expanded:=true;
 end
 else
 insource[pos].parent:=icZero;
 resetMarked(pos);
end;
procedure TOMItems.assignTotal(source:TOMItems);
procedure Assignlevel(root,pos:integer; source:TOMItems);
var i:integer;
    newitem:TOMItem;
begin
i:=root;
while i>0 do
begin
 newitem:=AddChilditem(pos,Source[i].s);
 newitem.dbid:=source[i].dbID;
 newitem.assignData(Source[i]);
 newitem.idloaded:=Source[i].idloaded;
 newitem.new:=Source[i].new;
 AssignLevel(Source[i].firstchild,newitem.pos,source);
 i:=Source[i].nextitem;
end;
end;
var i:integer;
    ni:TOMItem;
begin
if source=self then exit;
clear;
fitems.Capacity:=Source.Count;
idlist.Capacity:=Source.Count;
for i:=1 to Source.Count do
begin
 ni:=TOMItem.Create(self);
 Source[i].copy(ni);
 ni.assignData(Source[i]);
 ni.idloaded:=Source[i].idloaded;
 Add(ni);
end;
viewMode:=Source.viewMode;
ComTitle:=Source.ComTitle;
froot:=Source.root;
fMaxDB:=Source.fmaxDB;
fversion:=Source.fversion;
DBMask:=Source.DBMask;
//AssignLevel(Source.root,0,Source);
end;
procedure TOMItems.selectAll(selectState:boolean);
var i:integer;
begin
 for i:=1 to count do
  insource[i].selected:=selectstate;
end;
procedure TOMItems.normalize;
begin

end;
function TOMItems.sortlevel(f:TCompareFunction;start:integer;recursive:boolean):integer;
var i,j,k,als:integer;
    expd:boolean;
    mnode:TTreenode;
begin
result:=icZero;
if (start<1) or (start>count) then exit;
while insource[start].previtem<>0 do start:=insource[start].previtem;
 result:=start;

i:=START;
while i<>0 do
begin
if insource[i].expanded and (insource[i].firstChild>0) then
begin
 expd:=insource[i].expanded;
 insource[i].firstchild:=sortlevel(f,insource[i].firstchild,true);
 insource[i].expanded:=expd;
 if insource[i].samenode<>nil then insource[i].samenode.Expanded:=expd;
end;
i:=insource[i].nextitem;
end;
als:=start;
while insource[als].nextitem<>0 do
begin
i:=insource[als].nextitem;
j:=als;
k:=j;
while (j<>0) and f(insource[i],insource[j]) do
begin
  k:=j;
  j:=insource[j].previtem;
end;
if j=als then als:=i
else
begin
cutfromlist(i);
if j=0 then
begin
 result:=i;
insertitem(i,insource[k].intparent,k)
end
else
insertitem(i,insource[k].intparent,k);
if insource[i].deleted=0 then
begin
mnode:=insource[i].samenode;
while (k<>0)and(insource[k].deleted<>0) do k:=insource[k].nextitem;
if (k<>0)and(mnode<>nil) then
mnode.MoveTo(insource[k].samenode,naInsert);
end;
end;
end;
end;
procedure TOMItems.sort(f:TCompareFunction);
begin
froot:=sortlevel(f,froot,true);
end;
function asort(x,y:TOMItem):boolean;
begin
result:=x.s<y.s;
end;
function zsort(x,y:TOMItem):boolean;
begin
result:=x.s>y.s;
end;
function LsortASC(x,y:TOMItem):boolean;
begin
result:=x.LinkedCount<y.LinkedCount;
end;

function Lsort(x,y:TOMItem):boolean;
begin
result:=abs(x.LinkedCount)>abs(y.LinkedCount);
end;
function WSortASC(x,y:TOMItem):boolean;
begin
result:=(x.WParam)<(y.WParam);
end;
function WSortDSC(x,y:TOMItem):boolean;
begin
result:=(x.WParam)>(y.WParam);
end;

function TOMItems.isabove(index1,index2:integer):boolean;
begin
if index1=index2 then result:=false
else
result:=(index2=0)and(index1<>0)or(index1=0)or
(insource[index1].pos<insource[index2].pos);
end;
function TOMItems.GetlistSize:integer;
begin
result:=fitems.count;
end;

procedure TOMItems.buildTV(Tree:TTreeView;node:TTreeNode;short,attachment,marked:Boolean);
var one,onc:TTVExpandedEvent;
procedure buildTVLevel(pos:integer;Tree:TTreeView;node:TTreeNode;short:boolean);
begin
while pos<>0 do
begin
insource[pos].samenode:=nil;
if (insource[pos].deleted=0)and
(not marked or canshow(pos,1))  then
begin
if (not marked or canshow(pos,3)) then
begin
if short then
insource[pos].samenode:=Tree.items.AddChildObject(node,utils.GetShort(insource[pos].s),insource[pos])
else
insource[pos].samenode:=Tree.items.AddChildObject(node,insource[pos].s,insource[pos]);
insource[pos].samenode.StateIndex:=-1;
if insource[pos].marked and $1=$1 then insource[pos].samenode.StateIndex:=4
                                         else insource[pos].samenode.StateIndex:=5;
if (insource[pos].firstChild<>0) then
 buildTVlevel(insource[pos].firstchild,tree,insource[pos].samenode,short);
insource[pos].samenode.expanded:=insource[pos].expanded;
end
else
if (insource[pos].firstChild<>0) then
 buildTVlevel(insource[pos].firstchild,tree,Node,short);

end;
pos:=insource[pos].nextitem;
end;
end;
begin
one:=tree.OnExpanded;
onc:=tree.OnCollapsed;
tree.OnExpanded:=nil;
tree.OnCollapsed:=nil;
tree.Items.BeginUpdate;
if marked then halfmark;
try
buildTVLevel(root,tree,node,short);
finally
if marked then clearhalfmark;
tree.Items.EndUpdate;
tree.OnExpanded:=one;
tree.OnCollapsed:=onc;

end;

end;
constructor TLiteLinks.Create(prcClass:TOMItems);
var i:integer;
begin
logs.startproc('TLiteLinks','Create','','',4);
inherited create;
fprjtype:=ptLRN;
fprc:=prcclass;
fconnected:=false;
fmodified:=false;
sorted:=lsNone;
logs.startproc('TLiteLinks','Create','MTList','',5);
fitems:=TList.Create;
logs.startproc('TLiteLinks','Create','CreateSimple','',5);
logs.startproc('TLiteLinks','Create','MTList','2',5);
fitemsfiltered:=TList.Create;
logs.startproc('TLiteLinks','Create','MTList','done',5);
fitems.Capacity:=64;
fitemsfiltered.Capacity:=64;
fstate:=icLMR;
ABCMap:=nil;
logs.startproc('TLiteLinks','Create','ABCMAP','',5);
 for i:=1 to 8 do begin DirMap[i]:=''end;
 dirMap[1]:='<<-';
 dirMap[2]:='->>';
logs.startproc('TLiteLinks','Create','Clear','',5);
clear;
logs.startproc('TLiteLinks','Create','','Done',18);
end;
constructor TLiteLinks.CreateSimple(prcClass:TOMItems);
var i:integer;
begin
logs.startproc('TLiteLinks','CreateSimple','','',18);
inherited create;
fprjtype:=ptLRN;
fprc:=prcclass;
fconnected:=false;
fmodified:=false;
sorted:=lsNone;
fitems:=TList.Create;
fitemsfiltered:=TList.Create;
fitems.Capacity:=32;
fitemsfiltered.Capacity:=32;
fstate:=icLMR;
ABCMap:=nil;
 for i:=1 to 8 do begin DirMap[i]:='';end;
 dirMap[1]:='<<-';
 dirMap[2]:='->>';
clear;
logs.startproc('TLiteLinks','CreateSimple','Done','2',18);
end;

destructor TLiteLinks.Destroy;
begin
clear;
fitems.Free;
fitemsfiltered.Free;
inherited destroy;
end;
procedure TLiteLinks.DeleteLink(i:integer);
var j:integer;
begin
if fitems.count=fitemsfiltered.count then
  j:=i-1
  else
  j:=fitems.IndexOf(fitemsFiltered.items[i-1]);
  if j>=0 then fitems.Delete(j);
 TOMLink(fitemsFiltered.items[i-1]).free;
 fitemsFiltered.delete(i-1);
 fmodified:=true;
end;
procedure TLiteLinks.DeleteLinkNF(i:integer);
var j:integer;
    oldit:TOMLink;
begin
  if fitems.count=fitemsfiltered.count then
  j:=i-1
  else
  j:=fitemsFiltered.IndexOf(fitems.items[i-1]);
  if j>=0 then fitemsFiltered.Delete(j);
  oldit:=TOMLink(fitems.items[i-1]);
  oldit.free;
 fitems.delete(i-1);
 fmodified:=true;
end;

procedure TLiteLinks.DeleteLinkP(p:TOMLink);
var i:Integer;
begin
i:=fitems.indexof(p);
if i>=0 then fitems.Delete(i);
i:=fitemsfiltered.IndexOf(p);
if i>=0 then fitemsfiltered.Delete(i);
p.free;
 fmodified:=true;
end;
function TLiteLinks.AddLink(s,d,ints,intd:integer;ln,lcn:integer{;send:integer};scale:real;flags:integer;Index:integer):TOMLink;
var newit:TOMLink;
begin
logs.startproc('items','TLiteLinks','addlink:'+inttohex(flags,8),inttostr(fitems.count+1)+':'+inttostr(ints)+'-'+inttostr(intd),7);
sorted:=lsNone;
newit:=TOMLink.create(self);
newit.s:=s;
newit.d:=d;
newit.ints:=ints;
newit.intd:=intd;
newit.lnum:=ln;
newit.ldb:=ln;
newit.lcn:=lcn;
newit.flags:=flags;
newit.filtered:=true;
newit.procN:=flockprc;
newit.procN2:=flockprc;
newit.procID:=flockprcID;
newit.procID2:=flockprcID;
newit.abc:=index;
fitems.Expand;
fitemsfiltered.Expand;
fitems.add(newit);
fitemsfiltered.add(newit);
result:=newit;
 fmodified:=true;
end;
Procedure TLiteLinks.Clear;
var i:integer;
begin
sorted:=lsNone;
fconnected:=false;
 fmodified:=false;
for i:=0 to fitems.count-1 do
TOMLink(fitems.items[i]).free;
 fitems.clear;
 fitemsfiltered.clear;
lcnmap[0]:=icZero;
state:=icLMR;
fMirrorEnabled:=true;
end;
procedure TLiteLinks.FictiveConnect(Cls:TOMItems);
var i:integer;
begin
 Clear;
 prjType:=ptLRN;
 if cls=nil then exit;
 startproc('Items','Links','fictiveconnect',cls.caption,6);
 fconnected:=true;
 fLeft:=Cls;
 fRight:=cls;
 cls.SetOrder;
 for i:=1 to cls.count do
 if (cls[i].firstchild=0)or(cls[i].isleaf) then
  AddLink(cls[i].idloaded,cls[i].idloaded,i,i,0,0,1,3,0);
end;
procedure TLiteLinks.connect(left,right:TOMItems;GroupLinks:TLiteLinks);
var i,pos,id:integer;
begin
startproc('Items','Links','connect',INTTOSTR(fitems.count),6);
if left<>nil then begin left.setOrder; left.clsflags:=left.clsflags or 4; end;
if right<>nil then begin right.setOrder; right.clsflags:=right.clsflags or 2; end;
if fprc<>nil then fprc.setOrder;
if (flockPrcID>0)and(fprc<>nil) then
 flockPRC:=fprc.GetById(flockprcID)
else
 flockPRC:=0;
if (grouplinks<>nil)and(grouplinks.proid>0) then
fgroups:=GroupLinks
else
fgroups:=nil;
for i:=fitems.count downto 1 do
begin
if (left<>nil)then
begin
if(TOMLink(fitems[i-1]).s and $fffff<>0) then
begin
logs.startproc('items','TLiteLinks','connectingL'+inttohex(TOMLink(fitems[i-1]).s,8),'-',12);
TOMLink(fitems[i-1]).ints:=icZero;
id:=conv(TOMLink(fitems[i-1]).s,left.dbmask);
TOMLink(fitems[i-1]).s:=id;
pos:=left.getbyID(id);
if pos=0 then pos:=left.getbyID(id or $40000000);
if (pos=0)and(left<>nil)and not left.NotComplete then begin
              deletelinkNF(i);
              continue;
              end;
if pos>0 then
logs.startproc('items','TLiteLinks','connectL'+inttohex(TOMLink(fitems[i-1]).s,8),left[pos].s,9);
end
else
pos:=0;
TOMLink(fitems[i-1]).ints:=pos;
end;
//if pos=0 then  TOMLink(fitems[i-1]).s:=0;
if (right<>nil)then
begin
if(TOMLink(fitems[i-1]).d and $fffff<>0) then
begin
logs.startproc('items','TLiteLinks','connectingR'+inttohex(TOMLink(fitems[i-1]).d,8),'-',12);
id:=conv(TOMLink(fitems[i-1]).d,right.dbmask);
TOMLink(fitems[i-1]).d:=id;
TOMLink(fitems[i-1]).intd:=icZero;
pos:=Right.getbyID(id);
if pos=0 then pos:=right.getbyID(id or $40000000);
if (pos=0)and(right<>nil)and not right.NotComplete then begin
              deletelinkNF(i);
              continue;
              end;
if pos>0 then
logs.startproc('items','TLiteLinks','connectR'+inttohex(TOMLink(fitems[i-1]).d,8),right[pos].s,9);
end
else
 pos:=icZero;
TOMLink(fitems[i-1]).intd:=pos;
end;
if (left<>nil)and(right<>nil)and(prjType in [ptM,ptC])then
begin
if (left.clsflags and 1=1)and(right.clsflags and 1=0) then TOMLink(fitems[i-1]).flags:=TOMLink(fitems[i-1]).flags and not 1
else
if (left.clsflags and 1=0)and(right.clsflags and 1=1) then TOMLink(fitems[i-1]).flags:=TOMLink(fitems[i-1]).flags  or 1
end;
//if pos=0 then  TOMLink(fitems[i-1]).d:=0;
pos:= TOMLink(fitems[i-1]).procID;
if assigned(fprc)then
begin
if (pos<>0) then
begin
pos:=fprc.getbyid(pos);
if pos>0 then
begin
if fprc[pos].deleted>0 then TOMLink(fitems[i-1]).procN:=0
  else TOMLink(fitems[i-1]).procN:=pos
end
 else begin   TOMLink(fitems[i-1]).procN:=0;
              {deletelinkNF(i);
              continue;}
              end
end
 else TOMLink(fitems[i-1]).procN:=0;
end;
pos:= TOMLink(fitems[i-1]).procID2;
if assigned(fprc)then
begin
if(pos<>0) then
begin
pos:=fprc.getbyid(pos);
if pos>0 then
begin
if fprc[pos].deleted>0 then TOMLink(fitems[i-1]).procN2:=0
 else TOMLink(fitems[i-1]).procN2:=pos
end
 else begin   TOMLink(fitems[i-1]).procN2:=icZero;
              {deletelinkNF(i);
              continue;}
              end
end
 else TOMLink(fitems[i-1]).procN2:=icZero;
end; 
end;
fleft:=left;
fright:=right;
startproc('Items','Links','connect-f',INTTOSTR(fitems.count),6);
fconnected:=(fleft<>nil)and(fright<>nil);
end;
function TOMItems.findbyname(position:integer;texttofind:TStrings;Command:TSearchCommand; direction,casesence,partial:boolean):integer;
var pos,i:integer;
    next:integer;
    s2:string;
    found:array[0..63] of boolean;
    allfound,anyfound:boolean;
begin
result:=icZero;

//==============
pos:=position;
while (pos<>0) do
 begin
 if direction then
 begin
  if (insource[pos].firstChild>0)and (insource[pos].deleted=0) then
  begin
  next:=insource[pos].firstchild
  end
  else
  if insource[pos].nextitem<>0 then
  next:=insource[pos].nextitem
  else
  begin
   next:=insource[pos].intparent;
   while (next<>0)and(insource[next].nextitem=0) do
    next:=insource[next].intparent;
  if next<>0 then next:=insource[next].nextitem;
  end
end
else
begin
next:=insource[pos].previtem;
if next<>0 then
while (insource[next].firstChild>0) and (insource[next].deleted=0) do
begin
next:=insource[next].firstchild;
while insource[next].nextitem<>0 do
 next:=insource[next].nextitem;
end
else
next:=insource[pos].intparent;

end;
pos:=next;
if pos=0 then break;
if (insource[pos].deleted=0) then
begin
  s2:=ClearSpaces(insource[pos].s);
  if not casesence then s2:=ansiuppercase(s2);
for i:=0 to texttofind.Count-1 do
if partial and(system.pos(textToFind[i],s2)<>0)or(textToFind[i]=s2) then found[i]:=true
                                     else found[i]:=false;
case Command of
scAND:begin
      allfound:=true;
      for i:=0 to textToFind.count-1 do
       allfound:=allfound and found[i]
      end;
scOR:begin
      allfound:=false;
      for i:=0 to textToFind.count-1 do
       allfound:=allfound or found[i]
      end;
scNOT:begin
      allfound:=true;
      for i:=0 to textToFind.count-1 do
       allfound:=allfound and not found[i]
      end;
scXOR:begin
      allfound:=true;
      anyFound:=false;
      for i:=0 to textToFind.count-1 do
      begin
       allfound:=allfound and found[i];
       Anyfound:=anyFound or found[i];
      end;
      allfound:=anyfound and not allfound;
      end;
else
  allfound:=false;
  anyfound:=false;
end;
if allfound then
 begin
 result:=pos;
 break;
 end;
end;

 end;
end;
procedure TOMItems.makevisible(id:integer);
begin
while insource[id].intparent<>0 do
begin
 id:=insource[id].intparent;
 insource[id].expanded:=true;
end;
end;
function TOMItems.getfullnumberBP(id:integer;levels:integer):string;
begin
result:=getfullnumber(id,levels);
result:=system.copy(result,1,length(result)-1);
end;
function TOMItems.getfullnumber(id:integer;levels:integer):string;
var i,sn,l:integer;
    topmarked:integer;
begin
result:='';
if id=0 then exit;
i:=insource[id].intparent;
topmarked:=0;
if levels>0 then
while i>0 do
begin
 if insource[i].marked and $1=$1 then topmarked:=i;
 i:=insource[i].intparent;
end;
repeat
 i:=id;
 sn:=0;
 if (insource[id].deleted>0) then
   sn:=-1
else
 while i<>0 do
 begin
 if (insource[i].deleted<=0) then
 inc(sn);
 i:=insource[i].previtem;
 end;
id:=insource[id].intparent;
if sn>0 then
 result:=inttostr(sn)+'.'+result
else
 result:='-.'+result;
until (id=topmarked);
if levels<0 then
begin
l:=levels;
i:=1;
while (i<length(result))and(l<0) do
begin
if result[i]='.' then inc(l);
inc(i);
end;
if l<0 then result:='0.'
else
result:=system.copy(result,i,length(result));
end;
//delete(result,length(result),1);
end;
function DirCompare(l,r:Pointer):integer;
var li1,li2:TOMLink;
begin
li1:=TOMLink(l);
li2:=TOMLink(r);
if li1.lcn<li2.lcn then result:=-1
else if li1.lcn>li2.lcn then result:=+1
else if li1.lnum<li2.lnum then result:=-1
else if li1.lnum>li2.lnum then result:=+1
else if li1.intd<li2.intd then result:=-1
else if li1.intd>li2.intd then result:=1
else if li1.ints<li2.ints then result:=-1
else if li1.ints>li2.ints then result:=1

else if li1.ABC<li2.ABC then result:=-1
else if li1.ABC>li2.ABC then result:=+1
else if li1.procN<li2.procN then result:=-1
else if li1.procN>li2.procN then result:=+1
else if li1.procN2<li2.procN2 then result:=-1
else if li1.procN2>li2.procN2 then result:=+1
else result:=0;
end;

function FullCompare(l,r:Pointer):integer;
var li1,li2:TOMLink;
begin
li1:=TOMLink(l);
li2:=TOMLink(r);
if li1.procN<li2.procN then result:=-1
else if li1.procN>li2.procN then result:=+1
else if li1.procN2<li2.procN2 then result:=-1
else if li1.procN2>li2.procN2 then result:=+1
else if li1.ints<li2.ints then result:=-1
 else if li1.ints>li2.ints then result:=+1
 else if li1.intd<li2.intd then result:=-1
 else if li1.intd>li2.intd then result:=1
 else if (li1.flags and 7) < (li2.flags and 7)then result:=-1
 else if (li1.flags and 7) > (li2.flags and 7) then result:=+1
 else if li1.lcn<li2.lcn then result:=-1
 else if li1.lcn>li2.lcn then result:=1
 else if li1.lnum<li2.lnum then result:=-1
 else if li1.lnum>li2.lnum then result:=1
  else if li1.abc<li2.abc then result:=-1
 else if li1.abc>li2.abc then result:=1
 else result:=0;
end;
function AdjCompare(l,r:Pointer):integer;
var li1,li2:TOMLink;
begin
li1:=TOMLink(l);
li2:=TOMLink(r);
 if li1.ints<li2.ints then result:=-1
 else if li1.ints>li2.ints then result:=+1
 else if li1.intd<li2.intd then result:=-1
 else if li1.intd>li2.intd then result:=1
 else if (li1.flags and 7) < (li2.flags and 7)then result:=-1
 else if (li1.flags and 7) > (li2.flags and 7) then result:=+1
 else if li1.lnum<li2.lnum then result:=-1
 else if li1.lnum>li2.lnum then result:=1
 else result:=0;
end;
function NonPRCCompare(l,r:Pointer):integer;
var li1,li2:TOMLink;
begin
li1:=TOMLink(l);
li2:=TOMLink(r);
if li1.ints<li2.ints then result:=-1
else if li1.ints>li2.ints then result:=+1
else if (li1.flags and 3) < (li2.flags and 3 )then result:=-1
else if (li1.flags and 3) > (li2.flags and 3 ) then result:=+1
else if li1.ABC<li2.ABC then result:=-1
else if li1.ABC>li2.ABC then result:=+1
else if li1.lcn<li2.lcn then result:=-1
else if li1.lcn>li2.lcn then result:=+1
else if li1.lnum<li2.lnum then result:=-1
else if li1.lnum>li2.lnum then result:=+1
else if li1.intd<li2.intd then result:=-1
else if li1.intd>li2.intd then result:=1
else if li1.procN<li2.procN then result:=-1
else if li1.procN>li2.procN then result:=+1
else if li1.procN2<li2.procN2 then result:=-1
else if li1.procN2>li2.procN2 then result:=+1
else result:=0;
end;
function NonPRCCompareND(l,r:Pointer):integer;
var li1,li2:TOMLink;
begin
li1:=TOMLink(l);
li2:=TOMLink(r);
if li1.ints<li2.ints then result:=-1
else if li1.ints>li2.ints then result:=+1
else if li1.ABC<li2.ABC then result:=-1
else if li1.ABC>li2.ABC then result:=+1
else if li1.lcn<li2.lcn then result:=-1
else if li1.lcn>li2.lcn then result:=+1
else if li1.lnum<li2.lnum then result:=-1
else if li1.lnum>li2.lnum then result:=+1
else if (li1.flags and 3) < (li2.flags and 3 )then result:=-1
else if (li1.flags and 3) > (li2.flags and 3 ) then result:=+1
else if li1.intd<li2.intd then result:=-1
else if li1.intd>li2.intd then result:=1
else if li1.procN<li2.procN then result:=-1
else if li1.procN>li2.procN then result:=+1
else if li1.procN2<li2.procN2 then result:=-1
else if li1.procN2>li2.procN2 then result:=+1
else result:=0;
end;

function LinkCompare(l,r:Pointer):integer;
var li1,li2:TOMLink;
begin
li1:=TOMLink(l);
li2:=TOMLink(r);
if li1.ints<li2.ints then result:=-1
else if li1.ints>li2.ints then result:=+1
else if li1.procN<li2.procN then result:=-1
else if li1.procN>li2.procN then result:=+1
else if li1.procN2<li2.procN2 then result:=-1
else if li1.procN2>li2.procN2 then result:=+1
else if (li1.flags and 3) < (li2.flags and 3 )then result:=-1
else if (li1.flags and 3) > (li2.flags and 3 ) then result:=+1
else if li1.ABC<li2.ABC then result:=-1
else if li1.ABC>li2.ABC then result:=+1
else if li1.lcn<li2.lcn then result:=-1
else if li1.lcn>li2.lcn then result:=+1
else if li1.lnum<li2.lnum then result:=-1
else if li1.lnum>li2.lnum then result:=+1
else if li1.intd<li2.intd then result:=-1
else if li1.intd>li2.intd then result:=1
else result:=0
end;
function LinkCompareND(l,r:Pointer):integer;
var li1,li2:TOMLink;
begin
li1:=TOMLink(l);
li2:=TOMLink(r);
if li1.ints<li2.ints then result:=-1
else if li1.ints>li2.ints then result:=+1
else if li1.procN<li2.procN then result:=-1
else if li1.procN>li2.procN then result:=+1
else if li1.procN2<li2.procN2 then result:=-1
else if li1.procN2>li2.procN2 then result:=+1
else if li1.ABC<li2.ABC then result:=-1
else if li1.ABC>li2.ABC then result:=+1
else if li1.lcn<li2.lcn then result:=-1
else if li1.lcn>li2.lcn then result:=+1
else if li1.lnum<li2.lnum then result:=-1
else if li1.lnum>li2.lnum then result:=+1
else if (li1.flags and 3) < (li2.flags and 3 )then result:=-1
else if (li1.flags and 3) > (li2.flags and 3 ) then result:=+1
else if li1.intd<li2.intd then result:=-1
else if li1.intd>li2.intd then result:=1
else result:=0
end;

procedure TLiteLinks.sort(st:TLiteLinksortType);
begin
if st=lsNone then exit;
if st=sorted then exit;
logs.startproc('items','TLiteLinks','sort',inttostr(integer(st)),7);
case st of
lsDefault:fitemsfiltered.sort(LinkCompare);
lsLinks:fitemsfiltered.sort(LinkCompare);
lsDirections:fitemsfiltered.sort(DirCompare);
lsFull:fitemsfiltered.sort(FullCompare);
lsProcLast:fitemsfiltered.sort(NonPRCCompare);
lsAdjustStreams:fitemsfiltered.sort(AdjCompare);
lsDefaultND:fitemsfiltered.sort(LinkCompareND);
lsProcLastND:fitemsfiltered.sort(NonPRCCompareND);
end;
case st of
lsDefault:fitems.sort(LinkCompare);
lsLinks:fitems.sort(LinkCompare);
lsDirections:fitems.sort(DirCompare);
lsFull:fitems.sort(FullCompare);
lsProcLast:fitems.sort(NonPRCCompare);
lsAdjustStreams:fitems.sort(AdjCompare);
lsDefaultND:fitems.sort(LinkCompareND);
lsProcLastND:fitems.sort(NonPRCCompareND);
end;

sorted:=st;
//fitems.sort(lCompare);
end;
procedure TLiteLinks.clearautocreate;
var i :integer;
begin
 for i:=fitems.count-1 downto 0 do
  if TOMLink(fitems[i]).isautocreate then
  begin
   deletelinkNF(i+1);
  end;
end;
function equal(li1,li2:TOMLink):boolean;
const boolstr:array[boolean] of string=('false','true');
begin
 result:=(li1.ints=li2.ints)and
         (li1.intd=li2.intd)and
         (li1.lcn=li2.lcn)and
         (li1.lnum=li2.lnum)and
         (li1.procN=li2.procN)and
         (li1.procN2=li2.procN2)and
         (li1.flags and $F007=li2.flags and $F007)and
         (li1.abc=li2.abc){and
         (li1.sbegin=li2.sbegin)and
         (li1.send=li2.send)};
//result:=false;
logs.startproc('items',
inttostr(li1.ints)+'-'+inttostr(li2.ints)+','+inttostr(li1.intd)+'-'+inttostr(li2.intd),inttostr(li1.lnum)+'-'+inttostr(li2.lnum),
inttostr(li1.lcn)+'-'+inttostr(li2.lcn)+boolstr[result],
34);
end;
function equalwoFlags(li1,li2:TOMLink):boolean;
const boolstr:array[boolean] of string=('false','true');
begin
 result:=(li1.ints=li2.ints)and
         (li1.intd=li2.intd)and
         (li1.lcn=li2.lcn)and
         (li1.lnum=li2.lnum)and
         (li1.procN=li2.procN)and
         (li1.procN2=li2.procN2)and
         (li1.flags and $0007=li2.flags and $0007)and
         (li1.abc=li2.abc){and
         (li1.sbegin=li2.sbegin)and
         (li1.send=li2.send)};
//result:=false;
logs.startproc('items',
inttostr(li1.ints)+'-'+inttostr(li2.ints)+','+inttostr(li1.intd)+'-'+inttostr(li2.intd),inttostr(li1.lnum)+'-'+inttostr(li2.lnum),
inttostr(li1.lcn)+'-'+inttostr(li2.lcn)+boolstr[result],
34);
end;

function equal2(li1,li2:TOMLink):boolean;
const boolstr:array[boolean] of string=('false','true');
begin
 result:=(li1.ints=li2.ints)and
         (li1.intd=li2.intd)and
         (li1.lcn=li2.lcn)and
         (li1.lnum=li2.lnum)and
//         (li1.lnum2=li2.lnum2)and
         (li1.flags and $F007=li2.flags and $F007)and
         (li1.abc=li2.abc){and
         (li1.sbegin=li2.sbegin)and
         (li1.send=li2.send)};
//result:=false;
logs.startproc('items',
inttostr(li1.ints)+'-'+inttostr(li2.ints)+','+inttostr(li1.intd)+'-'+inttostr(li2.intd),inttostr(li1.lnum)+'-'+inttostr(li2.lnum),
inttostr(li1.lcn)+'-'+inttostr(li2.lcn)+boolstr[result],
34);
end;

function equalDB(li1,li2:TOMLink):boolean;
begin
 result:=(li1.s=li2.s)and
         (li1.d=li2.d)and
         (li1.ldb=li2.ldb)and
         (li1.procID=li2.procID)and
         (li1.procID2=li2.procID2)and
         (li1.flags and $F007=li2.flags and $F007)and
         (li1.abcid=li2.abcid);
//result:=false;
end;

function TLiteLinks.intaddlink(newItem:TOMLink;var isnew:boolean):TOMLink;
var i:integer;
    msgdetail:string;
    hasdetail:boolean;
begin
{$IFNDEF VIEW}
isnew:=true;
result:=nil;
if prjtype in [ptC,ptM] then newitem.flags:=newitem.flags and $F001;
for i:= fitems.count-1 downto 0 do
 if equal(newitem,TOMLink(fitems[i])) then
 begin
 result:=TOMLink(fitems[i]);
 logs.startproc('items','exists','intaddlink',inttostr(i),6);
 isnew:=false;
 exit;
 end;
 msgdetail:='';
 hasdetail:=false;
 if dodetail  then
 begin
for i:= fitems.count-1 downto 0 do
if (TOMLink(fitems[i]).flags and 7=newitem.flags and 7)and
    (TOMLink(fitems[i]).abc=newitem.abc)and
   fleft.isparent(newitem.ints,TOMLink(fitems[i]).ints)and
   fright.isparent(newitem.intd,TOMLink(fitems[i]).intd)and
   ((fmiddle=nil)or
    fmiddle.isparent(newitem.lnum,TOMLink(fitems[i]).lnum))and
   ((fprc=nil)or FPrc.isparent(newitem.ProcN,TOMLink(fitems[i]).ProcN2))and
   ((fprc=nil)or FPrc.isparent(newitem.ProcN2,TOMLink(fitems[i]).ProcN2)) then
   begin
   msgdetail:=msgdetail+#13#10+TOMLink(fitems[i]).tostring;
   hasdetail:=true;
   end;
if hasdetail then
begin
   showmessage('    -  :'+copy(msgdetail,1,500));
   exit;

end;
for i:= fitems.count-1 downto 0 do
if (TOMLink(fitems[i]).flags and 7=newitem.flags and 7)and
   (TOMLink(fitems[i]).abc=newitem.abc)and
   fleft.isparent(TOMLink(fitems[i]).ints,newitem.ints)and
   fright.isparent(TOMLink(fitems[i]).intd,newitem.intd)and
   ((fmiddle=nil)or fmiddle.isparent(TOMLink(fitems[i]).lnum,newitem.lnum))and
   ((fprc=nil)or FPrc.isparent(TOMLink(fitems[i]).ProcN,newitem.ProcN))and
   ((fprc=nil)or FPrc.isparent(TOMLink(fitems[i]).ProcN2,newitem.ProcN2)) then
   deletelinkNF(i+1);
end;
result:=self.addlinkObject(newitem);
//sort(st);
{$ENDIF}
end;

procedure TLiteLinks.double;
var i:integer;
    isfound:boolean;
    curitem,newitem:TOMLink;

begin
//showmessage('double');
logs.startproc('items','TLiteLinks','double',inttostr(fitems.count),6);
sorted:=lsNone;
 for i:=0 to fitems.count-1 do
 begin
  isfound:=false;
  curitem:=TOMLink(fitems[i]);
     if not isfound then
    begin
     newitem:=addlinkObject(curitem);
     newitem.turn;
//     newitem.flags:=newitem.flags xor $9;
    end;
 end;
deletedublicates;
logs.startproc('items','TLiteLinks','double',inttostr(fitems.count),6);
end;
procedure TLiteLinks.single;
var i,j:integer;
    isfound:boolean;
    curitem:TOMLink;
begin
sorted:=lsNone;
logs.startproc('items','TLiteLinks','single',inttostr(fitems.count),6);
 for i:=fitems.count-1 downto 1 do
 begin
  isfound:=false;
  curitem:=TOMLink(fitems[i]);
  for j:=i-1 downto 0 do
   if (TOMLink(fitems[j]).ints=curitem.intd)and(TOMLink(fitems[j]).intd=curitem.ints)and
      (TOMLink(fitems[j]).lnum=curitem.lnum)and
      (TOMLink(fitems[j]).lcn=curitem.lcn)and
      (TOMLink(fitems[j]).abc=curitem.abc)and
       (TOMLink(fitems[j]).flags and 7=(curitem.flags and 7) xor 1) then
      begin
       isfound:=true;
       break;
      end;
   if isfound then
   begin
       TOMLink(fitems[i]).isautocreate:=true;
   end;
end;
clearautocreate;
logs.startproc('items','TLiteLinks','single-f',inttostr(fitems.count),7);
end;
function TOMItems.isvisible(id:integer):boolean;
begin
 result:=false;
id:=insource[id].intparent;
 while id<>0 do
  begin
   if not insource[id].expanded then
   exit;
  id:=insource[id].intparent;
 end;
result:=true;
end;
procedure TLiteLinks.calcdisplayed(left,right,middle:TOMItems);
var i,j:integer;
begin
 for i:=0 to fitems.count-1 do
  with TOMLink(fitems[i]) do
  begin
   if (ints>0)and(left<>nil){or(right[intd].deleted=0)} then
      begin
       j:=ints;
       while j<>0 do
        begin
         left[j].displayed:=true;
         j:=left[j].intparent;
        end;
      end;
   if (intd>0)and(right<>nil){or(left[ints].deleted=0)} then
      begin
       j:=intd;
       while j<>0 do
        begin
         right[j].displayed:=true;
         j:=right[j].intparent;
        end;
      end;
   if (lnum>0)and(middle<>nil){or(right[intd].deleted=0)} then
      begin
       j:=lnum;
       while j<>0 do
        begin
         middle[j].displayed:=true;
         j:=middle[j].intparent;
        end;
      end;
   if (ints>0)and(right<>nil)and(left<>nil)and(left.dirid=right.dirid){or(right[intd].deleted=0)} then
      begin
       j:=ints;
       while j<>0 do
        begin
         right[j].displayed:=true;
         j:=right[j].intparent;
        end;
      end;
   if (intd>0)and(right<>nil)and(left<>nil)and(left.dirid=right.dirid){or(left[ints].deleted=0)} then
      begin
       j:=intd;
       while j<>0 do
        begin
         left[j].displayed:=true;
         j:=left[j].intparent;
        end;
      end;
   if (lnum>0)and(left<>nil)and(middle<>nil)and(left.dirid=middle.dirid){or(right[intd].deleted=0)} then
      begin
       j:=lnum;
       while j<>0 do
        begin
         left[j].displayed:=true;
         j:=left[j].intparent;
        end;
      end;
   if (ints>0)and(left<>nil)and(middle<>nil)and(left.dirid=middle.dirid){or(right[intd].deleted=0)} then
      begin
       j:=ints;
       while j<>0 do
        begin
         middle[j].displayed:=true;
         j:=middle[j].intparent;
        end;
      end;
   if (lnum>0)and(right<>nil)and(middle<>nil)and(right.dirid=middle.dirid){or(right[intd].deleted=0)} then
      begin
       j:=lnum;
       while j<>0 do
        begin
         right[j].displayed:=true;
         j:=right[j].intparent;
        end;
      end;
   if (intd>0)and(right<>nil)and(middle<>nil)and(right.dirid=middle.dirid){or(right[intd].deleted=0)} then
      begin
       j:=intd;
       while j<>0 do
        begin
         middle[j].displayed:=true;
         j:=middle[j].intparent;
        end;
      end;


  end;
end;
function TOMItems.isinternalout(pos,ip:integer):boolean;
var pp:integer;
begin
  result:=true;
  if pos=0 then exit;
  pp:=insource[pos].intparent;
  while ip<>0 do
  begin
    if ip=pp then exit;
   ip:=insource[ip].intparent;
  end;
  if ip=pp then exit;
 result:=false;
end;
procedure TOMItems.halfmark(mask1:integer;maskc:integer);
var i,j:integer;
    l:integer;
begin
logs.startproc('items','halfmark',caption,inttostr(count),16);
for i:=1 to count do
if (insource[i].deleted=0)and(insource[i].fmarked and $1<>0) then
begin
j:=insource[i].intparent;
l:=1;
while j<>0 do
begin
 if insource[j].fmarked and $1=0 then
 begin
  if utils.checklevelmask(insource[j].level,l,mask1,maskc) then
    insource[j].fmarked:=insource[j].fmarked or $2;
 end;
 inc(l);   
 j:=insource[j].intparent;
end;
j:=getup(i);
insource[j].fmarked:=insource[j].fmarked or $4;
end;

end;
procedure TOMItems.clearhalfmark;
var i:integer;
begin
for i:=1 to count do
 insource[i].fmarked :=insource[i].fmarked and not $6;
end;

function TOMItems.canshow(id:integer;showmode:integer):boolean;
begin
result:=false;
if id<=0 then exit;
//showmessage(inttostr(id)+':'+insource[id].s+'|'+inttohex(insource[id].cfutype and icF000,2));
if not insource[id].displayed then exit;
case showmode of
0:result:=true;
1: if (id=0)then result:=true else if (insource[id].fmarked and $2<>0) then result:=true
    else
     while (id<>0)and not result do
     begin
      result:=(insource[id].fmarked and $1<>0);
      id:=insource[id].intparent;
     end;
2: begin
   result:=false;
     while (id<>0)and not result do
     begin
      result:=(insource[id].fmarked and $1<>0);
      id:=insource[id].intparent;
     end;
    result:=not result;
   end;
3: while (id<>0)and not result do
     begin
      result:=(insource[id].fmarked and $1<>0);
      id:=insource[id].intparent;
     end;
5: result:=(insource[id].fmarked and $3<>0);
6: result:=(insource[id].fmarked and $2<>0);
4,7: if (id<>0)and (insource[id].fmarked and $1<>0)then
     result:=false
     else
     begin
     result:=false;
     id:=insource[id].intparent;
      while (id<>0)and not result do
     begin
      result:=(insource[id].fmarked and $1<>0);
      id:=insource[id].intparent;
     end;
     end;

end;
end;
function TOMItems.ADD(item:TOMItem):integer;
begin
 fitems.Expand;
 idlist.Expand;
 item.pos:=fitems.add(item)+1;
  result:=fitems.count;
 idlist.add(item);
 item.owner:=self;
end;
destructor TOMLink.destroy;
begin
 if additionalinfo<>nil then additionalinfo.free;
 inherited destroy;
end;
procedure TLiteLinks.ConnectToStreams(streamid:integer;streams:TOMItems);
var i,pos,id:integer;
    li:TOMLink;
begin
if streams=nil then exit;
streams.clsflags:=streams.clsflags or 8;
fmiddle:=streams;
streams.SetOrder;
startproc('Items','Links connecttoStreams',inttostr(streamid)+'*'+inttostr(streams.dirid)+'-'+streams.caption,inttostr(fitems.count),6);
lcnmap[streamid]:=streams.dirid;

for i:=fitems.count downto 1 do
with TOMLink(fitems[i-1]) do
begin
li:= TOMLink(fitems[i-1]);
lcn:=streamid;
if (ldb<0) then
begin
//showmessage(inttostr(lcn));
 logs.startproc('items','TLiteLinks','ConnectingToStreams',inttohex(lnum,8),12);
//if (lnum and $20000000=0) then lnum:=lnum and $7fffffff;
id:=conv(abs(ldb),streams.dbmask);

pos:=streams.getbyid(id);
if pos=0 then pos:=streams.getbyID(id or $40000000);

if (pos=0) then begin
              lcn:=0;
              lnum:=icZero;
              continue;
             end
 else
 begin
 lnum:=pos;
 logs.startproc('items','TLiteLinks','ConnectToStreams',inttohex(id,8)+':'+streams[pos].s,9);
 //while pos<>0 do begin streams[pos].displayed:=true; pos:=streams[pos].intparent; end;
 end;
end;
end;
startproc('Items','Links connecttoStreams',inttostr(streamid)+'*'+inttostr(streams.dirid)+'-'+streams.caption,inttostr(fitems.count),6);
end;
procedure TLiteLinks.DisconnectStreams(streamid:integer;streams:TOMItems);
var i:integer;
begin
if streams=nil then exit;
startproc('Items','Links','disconnectStreams:',inttostr(streamid)+'*'+inttostr(streams.dirid)+'-'+streams.caption,1);
for i:=fitems.count downto 1 do
with TOMLink(fitems[i-1]) do
if (streamid=lcn) then
begin
lcn:=-streams.DirId;
if lnum<>0 then ldb:=-streams[lnum].dbid
           else ldb:=0;
end;
lcnmap[streamid]:=icZero;
end;

constructor TOMLink.create(AOwner:TLiteLinks);
begin
 inherited create;
 owner:=AOwner;
 fComment:=''
end;
function TLiteLinks.findlink(ints,intd:integer):integer;
var i:integer;
begin
 result:=icZero;
 for i:=0 to fitems.count-1 do
  if (TOMLink(fitems[i]).ints=ints)and(TOMLink(fitems[i]).intd=intd) then
  begin
  result:=i+1;
  exit;
  end;

end;
function TLiteLinks.findlink3(ints,intd,lnum,lcn:integer):integer;
var i:integer;
begin
 result:=icZero;
 for i:=0 to fitemsfiltered.count-1 do
  if (TOMLink(fitemsfiltered[i]).ints=ints)and(TOMLink(fitemsfiltered[i]).intd=intd)and
  (TOMLink(fitemsfiltered[i]).lnum=lnum)and(TOMLink(fitemsfiltered[i]).lcn=lcn) then
  begin
  result:=i+1;
  exit;
  end;

end;
//rotating
TYPE TProClassVariant=(pcvABC,pcvABA,pcvAAB,pcvBAA,pcvAAA,pcvABN);
CONST   ChangeDirection:array[TProClassVariant,1..4] of byte= //
((0,0,0,0),
 (1,1,0,0),
 (1,0,1,0),
 (0,1,0,1),
 (0,0,1,1),
 (0,0,0,0));
function GetSituation(L,R,M:TOMItems):TProClassVariant;
begin
if (M=NIL)and((L<>nil)and(R<>nil)and(L.diriD<>R.diriD)) then result:=pcvABN
else
if (l=r)and(l=m) then result:=pcvAAA
else
if (l=r) then result:=pcvABA
else
if (l=m) then result:=pcvAAB
else
if (r=m) then result:=pcvBAA
else
if (l<>nil)and(r<>nil)and(l.diriD=r.diriD) then result:=pcvABA
else
if (l<>nil)and(m<>nil)and(l.diriD=m.diriD) then result:=pcvAAB
else
if (r<>nil)and(m<>nil)and(r.diriD=m.diriD) then result:=pcvBAA
else
result:=pcvABC;
end;
procedure TLiteLinks.RL;  {2}
var i:integer;
    w:word;
    k:integer;
    l:TOMItems;
    xorOp:word;
    switchpro:boolean;
begin
startproc('items','TLiteLinks','RL',inttostr(fitems.count),3);
w:= fstate and $30;
fstate:=(fstate shl 2) and  $3f or (w shr 4);
xorop:=ChangeDirection[GetSituation(fleft,fright,fmiddle),1];
l:=fleft;
fleft:=fmiddle;
fmiddle:=fright;
fright:=l;
switchpro:=(fleft<>nil)and (fmiddle<>nil)and not(fleft.diriD=fmiddle.diriD);
startproc('items','TLiteLinks','RR',inttostr(xorop)+':'+inttostr(integer(switchpro)),5);
for i:=fitems.count downto 1 do
with TOMLink(fitems[i-1]) do
begin
flags:=flags xor xorop;
begin
k:=ints;
ints:=lnum;
lnum:=intd;
intd:=k;
k:=s;
s:=-ldb;
ldb:=-d;
d:=k;
if switchpro then
begin
k:=procN;
procN:=procN2;
procN2:=k;
k:=procID;
procID:=procID2;
procID2:=k;
end;

end;
logs.startproc('items:RL',inttohex(s,8)+':'+inttostr(ints),inttohex(d,8)+':'+inttostr(intd),inttohex(lnum,8)+'/'+inttostr(lcn),18);
end;
sorted:=lsNone;
end;
procedure TLiteLinks.RR;
var i:integer;
    w:word;
    k:integer;
    l:TOMItems;
    xorop:word;
    switchpro:boolean;
begin
startproc('items','TLiteLinks','RR',inttostr(fitems.count),3);
w:= fstate and $3;
fstate:=(fstate shr 2) and  $3f or (w shl 4);
xorop:=ChangeDirection[GetSituation(fleft,fright,fmiddle),2];
l:=fright;
fright:=fmiddle;
fmiddle:=fleft;
fleft:=l;
switchpro:=(fright<>nil)and (fmiddle<>nil) and not(fright.diriD=fmiddle.diriD);
startproc('items','TLiteLinks','RR',inttostr(xorop)+':'+inttostr(integer(switchpro)),5);
for i:=fitems.count downto 1 do
with TOMLink(fitems[i-1]) do
begin
flags:=flags xor xorop;
begin
k:=intd;
intd:=lnum;
lnum:=ints;
ints:=k;
k:=d;
d:=-ldb;
ldb:=-s;
s:=k;
if switchpro then
begin
k:=procN;
procN:=procN2;
procN2:=k;
k:=procID;
procID:=procID2;
procID2:=k;
end;
end;
logs.startproc('items:RR',inttohex(s,8)+':'+inttostr(ints),inttohex(d,8)+':'+inttostr(intd),inttohex(lnum,8)+'/'+inttostr(lcn),18);
end;
sorted:=lsNone;
end;

procedure TLiteLinks.inverse;
var i:integer;
    k:integer;
    l:TOMItems;
    xorop:integer;
begin
startproc('items','TLiteLinks','inverse',inttostr(fitems.count),3);
fstate:=(fstate and $c) or ((fstate and $30)shr 4) or ((fstate and $3)shl 4);
//xorop:=ChangeDirection[GetSituation(fleft,fright,fmiddle),2];
l:=fleft;
fleft:=fright;
fright:=l;
 xorop:=1;
for i:=fitems.count downto 1 do
with TOMLink(fitems[i-1]) do
begin
k:=ints;
ints:=intd;
intd:=k;
k:=s;
s:=d;
d:=k;
k:=procN;
procN:=procN2;
procN2:=k;
k:=procID;
procID:=procID2;
procID2:=k;
flags:=flags xor xorop;
logs.startproc('items:INV',inttohex(s,8)+':'+inttostr(ints),inttohex(d,8)+':'+inttostr(intd),inttohex(lnum,8)+'/'+inttostr(lcn),18);
end;
sorted:=lsNone;
end;
procedure TLiteLinks.ML;
var i:integer;
    k:integer;
    l:TOMItems;
    xorop:word;
    switchpro:boolean;
begin
startproc('items','TLiteLinks','ML',inttostr(fitems.count),3);
fstate:=(fstate and $3) or ((fstate and $30)shr 2) or ((fstate and $c)shl 2);
xorop:=ChangeDirection[GetSituation(fleft,fright,fmiddle),3];
l:=fleft;
fleft:=fmiddle;
fmiddle:=l;
switchpro:=(fLeft<>nil)and(fmiddle<>nil)and(fleft.diriD=fmiddle.dirid);
startproc('items','TLiteLinks','ML',inttostr(xorop)+':'+inttostr(integer(switchpro)),5);
for i:=fitems.count downto 1 do
with TOMLink(fitems[i-1]) do
begin
k:=ints;
ints:=lnum;
lnum:=k;
k:=s;
s:=-ldb;
ldb:=-k;
if switchpro then
begin
k:=procN;
procN:=procN2;
procN2:=k;
k:=procID;
procID:=procID2;
procID2:=k;
end;
flags:=flags xor xorop;
logs.startproc('items:ML',inttohex(s,8)+':'+inttostr(ints),inttohex(d,8)+':'+inttostr(intd),inttohex(lnum,8)+'/'+inttostr(lcn),18);
end;
sorted:=lsNone;
end;
procedure TLiteLinks.MR;
var i:integer;
    k:integer;
    l:TOMItems;
    xorop:word;
    switchpro:boolean;
begin
startproc('items','TLiteLinks','MR',inttostr(fitems.count),3);
fstate:=(fstate and $30) or ((fstate and $c)shr 2) or ((fstate and $3)shl 2);
xorop:=ChangeDirection[GetSituation(fleft,fright,fmiddle),4];
switchpro:=(fRight<>nil)and(fmiddle<>nil)and(fRight.diriD=fmiddle.dirid);
startproc('items','TLiteLinks','MR',inttostr(xorop)+':'+inttostr(integer(switchpro)),5);
l:=fmiddle;
fmiddle:=fright;
fright:=l;
for i:=fitems.count downto 1 do
with TOMLink(fitems[i-1]) do
begin
k:=lnum;
lnum:=intd;
intd:=k;
k:=-ldb;
ldb:=-d;
d:=k;
if switchpro then
begin
k:=procN;
procN:=procN2;
procN2:=k;
k:=procID;
procID:=procID2;
procID2:=k;
end;
flags:=flags xor xorop;
logs.startproc('items:MR',inttohex(s,8)+':'+inttostr(ints),inttohex(d,8)+':'+inttostr(intd),inttohex(lnum,8)+'/'+inttostr(lcn),18);
end;
sorted:=lsNone;
end;

function TLiteLinks.setstate(newstate:byte):byte;
begin
startproc('items','TLiteLinks','SetState',inttohex(newstate,2),2);
result:=fstate;
if fstate<>icLMR then setNormalState;
case newstate of
icRML:inverse;
icRLM:RR;
icMRL:RL;
icMLR:ML;
icLRM:MR;
icLMR:
end;
if fstate<>newstate then raise exception.create('Can''t set State to $'+inttohex(newstate,2));
end;
procedure TLiteLinks.SetNormalState;
begin
startproc('items','TLiteLinks','SetNormalState',inttostr(fstate),2);
case fstate of
icRML:inverse;
icRLM:RL;
icMRL:RR;
icMLR:ML;
icLRM:MR;
icLMR:
end;
end;
function TLiteLinks.AddLinkObject(li:TOMLink):TOMLink;
var newit:TOMLink;
begin
 fmodified:=true;
startproc('items','addlinkobj',inttohex(li.s,8),inttohex(li.d,8),7);
newit:=TOMLink.create(self);
newit.s:=li.s;
newit.d:=li.d;
newit.ints:=li.ints;
newit.intd:=li.intd;
newit.LCN:=li.LCN;
newit.flags:=li.flags;
newit.lnum:=li.lnum;
newit.ldb:=li.ldb;
if (flockprc>0) then
begin
if not fprc.isparent(flockprc,li.procN)then
begin
newit.procid:=flockPrcID;
newit.procN:=flockPrc;
end
else
begin
newit.procid:=li.procid;
newit.procN:=li.procN;
end;
if not fprc.isparent(flockprc,li.procN2)then
begin
newit.procid2:=flockPrcID;
newit.procN2:=flockPrc;
end
else
begin
newit.procid2:=li.procid2;
newit.procN2:=li.procN2;
end;
end
else
begin
newit.procid:=li.procid;
newit.procid2:=li.procid2;
newit.procN:=li.procN;
newit.procN2:=li.procN2;
end;

newit.isautocreate:=false;
newit.abc:=li.abc;
newit.abcid:=li.abcid;
//newit.linenum:=li.linenum;
//newit.expanded:=li.expanded;
newit.parentlink:=li.parentlink;
newit.additionalinfo:=nil;
newit.fcomment:=li.fComment;
   fitems.Expand;
   fitemsfiltered.Expand;
fitems.Add(newit);
fitemsfiltered.add(newit);
newit.filtered:=true;
{if fgroups<>nil then
begin
groupit:=TOMLink.create(fgroups);
try
 if (newit.procN>0)and(fgroups.findlink(newit.ints,newit.procN)=0) then
 begin
 groupit.ints:=newit.ints;
 groupit.intd:=newit.procN;
 fgroups.AddLinkObject(groupit);
 end;
 if (newit.procN2>0)and(fgroups.findlink(newit.intd,newit.procN2)=0) then
 begin
 groupit.ints:=newit.intd;
 groupit.intd:=newit.procN2;
 fgroups.AddLinkObject(groupit);
 end;

finally
groupit.Free;
end;
end;}
sorted:=lsNone;
result:=newit;
end;
procedure TLiteLinks.LoadFromStream(strtoload:TStream);
var i,j:integer;
    newit:TOMLink;
    versiontype,w1:word;
begin
prjType:=ptLRN;
dodetail:=true;
logs.startproc('items','links','loadfromstream','',5);
sorted:=lsNone;
 strtoload.read(versiontype,sizeof(word));// version
 fstate:=icLMR;
 if (versiontype<>1612) then exit;
while true do
begin
strtoload.read(i,sizeof(integer));
if i=0 then break;
newit:=TOMLink.create(self);
newit.loadfromstream(strtoload);
if (newit.s<>0)and(newit.d<>0)or
   (newit.s<>0)and(newit.ldb<>0)or
   (newit.ldb<>0)and(newit.d<>0) then
begin
   fitems.Expand;
   fitemsfiltered.Expand;
fitems.add(newit);
fitemsfiltered.add(newit);
newit.filtered:=true;
startproc('link:',inttohex(newit.s,8),inttohex(newit.d,8),inttohex(-newit.ldb,8)+':'+inttostr(newit.lcn)+'/'+inttohex(newit.flags,8),16);
end
else
newit.Free;
end;
for i:=1 to 8 do
 begin
dirmap[i]:=utils.LoadString(strtoload);
 end;
strtoload.Read(w1,sizeof(fprjType));
fprjtype:= TPrjType(w1 and $f);
dodetail:=w1 and $10=0;
if prjtype in [ptC,ptC] then
 for j:=0 to fitems.count-1 do
if TOMLink(fitems[j]).procID2=0 then
TOMLink(fitems[j]).procID2:=
TOMLink(fitems[j]).procID
else
if TOMLink(fitems[j]).procID=0 then
TOMLink(fitems[j]).procID:=
TOMLink(fitems[j]).procID2;
strtoload.read(i,sizeof(i));
getFlags(i);
   strtoload.Read(i,sizeof(i));
   strtoload.Seek(i,soFromCurrent);
if prjtype=ptLRN then
begin
for j:=0 to fitems.count -1 do
if TOMLink(fitems[j]).flags and 2 =2 then
 TOMLink(fitems[j]).flags:=3;
end
else if prjtype in [ptC,ptM] then
for j:=0 to fitems.count -1 do
if TOMLink(fitems[j]).flags and 2 =2 then
 TOMLink(fitems[j]).flags:=TOMLink(fitems[j]).flags and 1;
logs.startproc('items','links-f','loadfromstream',inttostr(fitems.count),6);
case prjType of
ptLRN:;
ptIOC:begin
      DirMap[1]:='';
      DirMap[2]:='';
      DirMap[3]:='';
      DirMap[4]:='';
      end;
ptM:begin
      DirMap[1]:='';
      DirMap[2]:='';
      DirMap[3]:='';
      DirMap[4]:='';
      end;
ptC:begin
      DirMap[1]:='';
      DirMap[2]:='';
      DirMap[3]:='';
      DirMap[4]:='';
      end;
ptIOM:begin
      DirMap[1]:='';
      DirMap[2]:='';
      DirMap[3]:='';
      DirMap[4]:='';
      end;
end;
for i:=1 to size do
begin
Items[i].ints:=Items[i].s;
Items[i].intd:=Items[i].d;
Items[i].procN:=Items[i].procID;
Items[i].procN2:=Items[i].procID2;
Items[i].lnum:=-Items[i].LDB;
Items[i].ABC:=Items[i].ABCID;
end;
deleteDublicates;

end;
procedure TLiteLinks.SaveTostream(strtosave:TStream);
var i,j:integer;
    versiontype:word;
    w1:word;
    curitem:TOMLink;
    s:string;
begin
 logs.startproc('items','links','savetostream',inttostr(fitems.count),5);

versiontype:=1612;
 strtosave.write(versiontype, sizeof(word));// version
 for i:=0 to fitems.count-1 do
  with TOMLink(fitems[i]) do
//  if flags and lcAutoLink=0 then
  begin
  curitem:=TOMLink(fitems[i]);
  j:=i+1;
strTosave.write(j,sizeof(integer));
TOMLink(fitems[i]).savetostream(strtosave);
end;
i:=0;
strtosave.write(i,sizeof(integer));
for i:=1 to 8 do
 begin
 s:=dirmap[i];
 utils.SaveString(strtosave,s);
end;
w1:=integer(prjtype)or(integer(not(dodetail)) shl 4);
strtosave.write(w1,sizeof(prjtype));
i:=makeFlags;
strtosave.write(i,sizeof(i));
i:=0;
strtosave.write(i,sizeof(i));
logs.startproc('items','links','savetostream',inttostr(fitems.count),6);
end;
 procedure TLiteLinks.loadFromBLOB(f:TBlobfield);
 var ms:TMemoryStream;
     b:TBlobStream;
 begin
//  f.SaveToFile('testrd');
  f.Transliterate:=false;
  if f.IsNull then exit;
 ms:=TMemoryStream.create;
 b:=TBlobStream.Create(f,bmRead);
 try
 ms.LoadFromStream(b);
 ms.Seek(0,sofrombeginning);
 loadfromstream(ms);
 flockPRCID:=0;
 finally
 ms.free;
 b.free;
 end;
 end;
 procedure TLiteLinks.saveToBLOB(f:TBlobfield);
 var ms:TMemoryStream;
     B:TBlobStream;
 begin
preparesave;
  f.Transliterate:=false;
 ms:=TMemoryStream.create;
 b:=TBlobStream.Create(f,bmWrite);
 try
 ms.Seek(0,sofrombeginning);
 savetostream(ms);
 ms.SaveToStream(b);
 finally
 b.free;
 ms.Free;
 end;
//  f.SaveToFile('testwr');
 end;
function TLiteLinks.getsize:integer;
begin
result:=fitemsfiltered.count;
end;
function TLiteLinks.getTotalsize:integer;
begin
result:=fitems.count;
end;

procedure TLiteLinks.clearflags;
var i:integer;
begin
 for i:=0 to fitems.count-1 do
  TOMLink(fitems[i]).flags:=TOMLink(fitems[i]).flags and $7;
end;
function TOMItems.getNewID:integer;
begin
if fmaxDB=$FFFF then
begin
ShowMessage('     .');
Raise EListError.Create('MaxIDError '+Caption+':'+inttostr(Count));
end;
result:=DBMask or fmaxDB or version shl 26;
inc(fmaxDB);
end;
procedure TOMItems.SetDirID(newid:integer);
begin
 fdirid:=newid;
 if newid>0 then
 DBMask:=newid shl 16
 else
 DBMask:=icZero;
end;
procedure TOMItems.ExpandFull(pos:integer;expand:boolean);
var i:integer;
begin
insource[pos].expanded:=Expand;
if insource[pos].samenode<>nil then
insource[pos].expanded:=expand;
i:=insource[pos].firstchild;
while i<>0 do
begin
expandfull(i,expand);
i:=insource[i].nextitem;
end;
end;

procedure TLiteLinks.deletedublicates;
var k,j,p:integer;
    curauto:boolean;
    curacflag:word;
begin
logs.startproc('items','TLiteLinks','DDUB',inttostr(fitems.count),6);
sorted:=lsNone;
sort(lsfull);
k:=fitems.count;
while k>icPlus1   do
   begin
   j:=k-1;
   curauto:=TOMLink(fitems[k-1]).isautocreate;
   curacflag:=TOMLink(fitems[k-1]).flags and $30;
   if equal(TOMLink(fitems[k-1]),TOMLink(fitems[j-1])) then
   begin
   while (j>=1) and equal(TOMLink(fitems[k-1]),TOMLink(fitems[j-1])) do
   begin
   curauto:=curauto and TOMLink(fitems[j-1]).isautocreate;
   curacflag:=curacflag and (TOMLink(fitems[j-1]).flags and $30);
   dec(j);
   end;
   for p:=k downto j+2 do
   DeleteLinkNF(p);
   TOMLink(fitems[j]).isautocreate:=curauto;
   TOMLink(fitems[j]).flags:=TOMLink(fitems[j]).flags and not $30 or curacflag;
   k:=j;
   end
   else dec(k);

  end;
logs.startproc('items','TLiteLinks','DDUB-',inttostr(fitems.count),6);
end;
procedure TOMItems.PushRootPath(i:integer);
var j:integer;
    p:array[1..20] of integer;
begin
j:=icPlus1;
while i<>0 do
begin
p[j]:=i;
inc(j);
i:=insource[i].intparent;
end;
for j:=j-1 downto 1 do pushRoot(p[j]);
end;
procedure TOMItems.PushRoot(i:integer);
begin
inc(rootStackPtr);
fRootStack[rootstackPtr]:=froot;
fnameStack[rootStackPtr]:=caption;
if insource[i].intparent>0 then
caption:=insource[insource[i].intparent].s;
froot:=i;
//insource.caption:=[insource[i].intparent];
end;
function TOMItems.PopRoot:boolean;
begin
result:=false;
if rootStackPtr=icZero then exit;
froot:=fRootStack[rootstackPtr];
caption:=fnameStack[rootstackPtr];
dec(rootStackPtr);
result:=true;
end;
procedure TLiteLinks.resolveoldindexes(leftid,rightid:integer);
var i:integer;
    li:TOMLink;
begin
 for i:=0 to fitems.Count-1 do
 begin
 li:=TOMLink(fitems[i]);
 li.s:=conv(li.s,leftid shl 16);
 li.d:=conv(li.d,rightid shl 16);
 end;
end;
function TOMItems.subrange(start:integer):integer;
begin
result:=icZero;
while start<>0 do
begin
 result:=result+1+subrange(insource[start].firstchild);
 start:=insource[start].nextItem;
end;
end;
function TOMItems.EQ(id1,id2:integer;var r:integer):integer;
begin
result:=icZero;
r:=icZero;
if (id1=0)or(id2=0) then exit;
while (id1<>0)and (insource[id1].marked and $6<>$6)do id1:=insource[id1].intparent;
while (id2<>0)and (insource[id2].marked and $6<>$6)do id2:=insource[id2].intparent;
 if id1=id2 then result:=id1;

r:=result;
end;
function TOMItems.getLevel(id:integer;node:integer):integer;
begin
result:=id;
while (id>0)and(insource[id].intparent<>node) do id:=insource[id].intparent;
result:=id;
end;
function TOMItems.getClosed(id:integer):integer;
var k:integer;
begin
IF ID<0 THEN BEGIN RESULT:=ID; EXIT; END;
result:=icZero;
if (id<=0)or(id>Count) then exit;
k:=id;
 while (id>icZero)and(id<>insource[root].intparent) do
 begin
 if  insource[id].closed then k:=id;
     id:=insource[id].intparent;
 end;
result:=k;
end;

function TOMItems.getup(id:integer):integer;
var k:integer;
begin
result:=icZero;
if (id<=0)or(id>Count) then exit;
k:=id;
 while (id>icZero)and(id<>insource[root].intparent) do
 begin
 if not insource[id].expanded then k:=id;
     id:=insource[id].intparent;
 end;
result:=k;
end;
procedure TOMItems.setnewid(id:integer);
var curid:integer;
procedure convlevel(r:integer;dbp:integer);
var i:integer;
begin
i:=r;
while i<>0 do
begin
inc(curid);
insource[i].parent:=dbp;
insource[i].dbid:=curid;
convlevel(insource[i].firstchild,curid);
i:=insource[i].nextitem;
end;
end;
begin
fversion:=$3f;
dirid:=id;
curid:=icZero;
convlevel(root,0);
end;

procedure TOMItems.SetOrder;
var i:integer;
begin
 for i:=1 to count do
 insource[i].Pos:=i;
 idlist.Sort(sortid);
end;
function TOMItems.GetById(id:integer):integer;
var item:TOMItem;
function findrange(rs,rf:integer):TOMItem;
begin
if rs<=rf then
if TOMItem(idlist[(rs+rf) div 2]).idloaded>id then
   result:=findrange(rs,(rs+rf) div 2-1)
else if TOMItem(idlist[(rs+rf) div 2]).idloaded<id then
   result:=findrange((rs+rf) div 2+1,rf)
else result:=TOMItem(idlist[(rs+rf) div 2])
else result:=nil;
end;
begin
result:=icZero;
startproc('items','cgi'+inttostr(count),'getbyid',inttohex(id,8),25);
if id=0 then exit;
if count<=0 then exit;
item:=insource[count];
if item.idloaded<>id then
item:=findrange(0,idlist.count-1);
if item=nil then result:=0
else if (item.pos>0)and(insource[item.pos].idloaded=id) then result:=item.pos
else begin result:=icZero; end;
startproc('items','cgi','getbyid=',inttostr(result),25);
end;
procedure TOMLink.turn;
var k:integer;
begin
k:=ints;
ints:=intd;
intd:=k;
k:=s;
s:=d;
d:=k;
flags:=flags xor 1;
k:=procN;
procN:=procN2;
procN2:=k;
k:=procID;
procID:=procID2;
procID2:=k;

end;
function TOMLink.getUID:extended;
begin
result:=(ints+intd)/(lnum+1)*(ints-intd);
end;
  function TOMItem.get_displayed:boolean;
  begin
  result:=boolflags and 1<>0;
  end;
  function TOMItem.get_curdisplayed:boolean;
  begin
  result:=boolflags and 2<>0;
  end;
  function TOMItem.get_expanded:boolean;
  begin
  if closed then result:=false
  else
  result:=boolflags and 4=4; // 1024 or 4
  end;
{  function TOMItem.get_CanExpand:boolean;
  begin
   result:=boolflags and 1024<>0;
  end;}
  function TOMItem.get_isattachment:boolean;
  begin
  result:=boolflags and 8<>0;
  end;
  function TOMItem.get_new:boolean;
  begin
  result:=boolflags and 16<>0;
  end;
  function TOMItem.get_changed:boolean;
  begin
  result:=boolflags and 32<>0;
  end;
  function TOMItem.get_selected:boolean;
  begin
  result:=boolflags and 64<>0;
  end;
  function TOMItem.get_visible:boolean;
  begin
  result:=boolflags and 128<>0;
  end;
  function TOMItem.get_saved:boolean;
  begin
  result:=boolflags and 256<>0;
  end;
  function TOMItem.get_isleaf:boolean;
  begin
  result:=boolflags and 512<>0;
  end;
  function TOMItem.get_Closed:boolean;
  begin
  result:=boolflags and 1024<>0;
  end;

  procedure TOMItem.set_displayed(value:boolean);
  begin
  boolflags:=boolflags and not 1;
  if value then boolflags:=boolflags or 1;
  end;
  procedure TOMItem.set_curdisplayed(value:boolean);
  begin
  boolflags:=boolflags and not 2;
  if value then boolflags:=boolflags or 2;
  end;
  procedure TOMItem.set_expanded(value:boolean);
  begin
{  if boolflags and 1024=0 then
   value:=false;}
  boolflags:=boolflags and not 4;
  if value then boolflags:=boolflags or 4;
  end;
  procedure TOMItem.set_isattachment(value:boolean);
  begin
  boolflags:=boolflags and not 8;
  if value then boolflags:=boolflags or 8;
  end;
  procedure TOMItem.set_new(value:boolean);
  begin
  boolflags:=boolflags and not 16;
  if value then boolflags:=boolflags or 16;
  end;
  procedure TOMItem.set_changed(value:boolean);
  begin
  boolflags:=boolflags and not 32;
  if value then boolflags:=boolflags or 32;
  end;
  procedure TOMItem.set_selected(value:boolean);
  begin
  boolflags:=boolflags and not 64;
  if value then boolflags:=boolflags or 64;
  end;
  procedure TOMItem.set_visible(value:boolean);
  begin
  boolflags:=boolflags and not 128;
  if value then boolflags:=boolflags or 128;
  end;
  procedure TOMItem.set_saved(value:boolean);
  begin
  boolflags:=boolflags and not 256;
  if value then boolflags:=boolflags or 256;
  end;
  procedure TOMItem.set_isleaf(value:boolean);
  begin
  boolflags:=boolflags and not 512;
  if value then boolflags:=boolflags or 512;
  end;
  procedure TOMItem.set_Closed(value:boolean);
  begin
  boolflags:=boolflags and not 1024;
  if value then boolflags:=boolflags or 1024;
  end;

function TOMItems.GetAName(id:integer):string;
var i,sn:integer;
begin
result:='';
if id=0 then begin result:='A0'; exit;end;
repeat
 i:=id;
 sn:=0;
 if (insource[id].deleted>0) then
   sn:=-1
else
 while i<>0 do
 begin
 if (insource[i].deleted<=0) then
 inc(sn);
 i:=insource[i].previtem;
 end;
id:=insource[id].intparent;
if (id>0)or (getsubsize(id,false)>1) then
if sn>0 then
 result:=inttostr(sn){+'.'}+result
else
 result:='-'+result;
until id=0;
if result='' then result:='0';
result:='A'+result;
end;
function TOMItems.GetANum(id:integer):integer;
var i,j:integer;
    st:array[1..15]of integer;
    stp:integer;
    temp:integer;
begin
//showmessage(inttostr(id));
i:=id;
stp:=0;
if i=0 then begin
if getsubsize(0,false)>1 then result:=-1
else result:=-2;
//showmessage(inttostr(result));
exit
end;
while i<>0 do
begin
inc(stp);
st[stp]:=i;
 i:=insource[i].intparent;
end;
 result:=icZero;
//showmessage('stp'+inttostr(stp));
for i:=stp downto 2 do
begin
j:=st[i];
temp:=icZero;
repeat
//showmessage(insource[j].s);
if insource[j].deleted=0 then inc(temp);
 j:=insource[j].previtem;
until j=0;
result:=result*10+temp;
//showmessage('rt'+inttostr(result)+'-'+inttostr(temp));
end;
//showmessage('r'+inttostr(result));
//if result=0 then result:=icMinus1;
end;
function TOMItems.isparent(p,i:integer):boolean;
begin
if i<0 then result:=false
else
if (p=0)then result:=true
{ if (i=0) then result:=true
          else result:=false}
else
begin
     while (i<>0)and(i<>p) do
          i:=insource[i].intparent;
     result:=i=p;
     end;
end;
function TLiteLinks.ConnectTo(l,res:TLiteLinks):integer;
var i,j,k:integer;
    ni:TOMLink;
begin
result:=0;
 if left<>l.left then inverse;
 if left<>l.left then exit;
 if l.left.dirid<>l.right.dirid then exit;
 logs.startproc('Links','ConnectTo',caption,l.caption,12);
 res.connect(right,right,fgroups);
 res.prjtype:=l.prjtype;
 res.proid:=icZero;
 res.connecttostreams(1,l.middle);
 ni:=TOMLink.create(res);
 res.ABCMap:=l.ABCMap;
 for i:=1 to l.sizetotal do
 if (l.itemsNF[i].procN>0)or(l.prc=nil)or appconst.sysinfo.showprs0 then
 begin
  for j:=1 to sizetotal do
  if ((itemsNF[j].procN>0)or(prc=nil)or appconst.sysinfo.showprs0) and
   (itemsNF[j].ints=l.itemsNF[i].ints)and
  ((itemsNF[j].procN=l.itemsNF[i].procN)or
  (itemsNF[j].procN=0)or(l.itemsNF[i].procN=0)or
  fprc.isparent(itemsNF[j].procN,l.itemsNF[i].procN)or
  fprc.isparent(l.itemsNF[i].procN,itemsNF[j].procN)) then
  begin
   for k:=1 to sizetotal do
    if (itemsNF[k].ints=l.itemsNF[i].intd)and
       (itemsNF[j].intd<>itemsNF[k].intd)and
       (itemsNF[k].procN=itemsNF[j].procN) then
    begin
     ni.flags:=l.itemsNF[i].flags;
     ni.ints:=itemsNF[j].intd;
     ni.intd:=itemsNF[k].intd;
     ni.lnum:=l.itemsNF[i].lnum;
     ni.lcn:=l.itemsNF[i].lcn;
     ni.flags:=l.itemsNF[i].flags;
     ni.procN:=l.itemsNF[i].procN;
     ni.procN2:=l.itemsNF[i].procN2;
     ni.ABC:=l.itemsNF[i].ABC;
     res.AddLinkObject(ni);
     inc(result);
    end;
  end;
 end;
ni.free;
end;
procedure TLiteLinks.Join(l,res:TLiteLinks);
var i,j:integer;
    ni:TOMLink;
begin
 if right=l.left then inverse
 else if left=l.right then l.inverse
 else if right=l.right then begin inverse;l.inverse;end;
 if left<>l.left then exit;
  logs.startproc('Links','Join',caption,l.caption,12);
 res.connect(right,l.Right,fgroups);
 if l.middle<>nil then
 res.ConnectToStreams(1,l.Middle);
 res.prjtype:=l.prjtype;
 res.proid:=0;
 ni:=TOMLink.create(res);
res.ABCMap:=l.ABCMap;
 for i:=1 to l.sizetotal do
 if (l.itemsNF[i].ProcN>0)or(l.PRC=nil)or appconst.sysinfo.showprs0 then
 begin
  for j:=1 to sizetotal do
 if ((itemsNF[j].ProcN>0)or(PRC=nil)or appconst.sysinfo.showprs0) and
   (itemsNF[j].ints=l.itemsNF[i].ints)and
  ((itemsNF[j].procN=l.itemsNF[i].procN)or
  (itemsNF[j].procN=0)or(l.itemsNF[i].procN=0)or
  fprc.isparent(itemsNF[j].procN,l.itemsNF[i].procN)or
  fprc.isparent(l.itemsNF[i].procN,itemsNF[j].procN)) then
  begin
     ni.ints:=itemsNF[j].intd;
     ni.intd:=l.itemsNF[i].intd;
     if l.Middle<>nil then
     begin
     ni.lnum:=icZero;
     ni.lcn:=0;
     end
     else
     begin
     ni.lnum:=l.itemsNF[i].lnum;
     ni.lcn:=icPlus1;
     end;

     ni.flags:=l.itemsNF[i].flags;
     ni.procN:=l.itemsNF[i].procN;
     ni.procN2:=l.itemsNF[i].procN;
     ni.ABC:=l.itemsNF[i].ABC;
     res.AddLinkObject(ni);
  end;
 end;
ni.free;
end;
procedure TOMItems.adjustlevel(s,d:integer;var sr,dr:integer);
begin
if (s>0)and(d>0) then
begin
while not isparent(insource[s].intparent,d) do
      s:=insource[s].intparent;
if insource[s].intparent=d then s:=d;
while insource[d].intparent<>insource[s].intparent do
 d:=insource[d].intparent;
 sr:=s;
 dr:=d;
end
else
begin
sr:=s;
dr:=d;
end;
end;
procedure TLiteLinks.ProcessShift(left,right,middle:boolean;keeptonnel:boolean;idleft,idright,idmiddle:integer);
type TCheckCond=(ckSimple,ckPMP,ckPMF,ckFMP,ckPPM,ckPFM,ckFPM,ckMPP,ckMPF,ckMFP);
var i:integer;
    ci:TOMLink;
    checkCond:TCheckCond;
begin
if not (left or right or middle) then exit;
if (fleft<>nil)and(fright<>nil) then
begin
if fLeft.dirid=fRight.dirid then
begin
 if left and right then checkCond:=ckPMP
 else
 if left then checkCond:=ckPMF
 else
 if right then checkCond:=ckFMP
 else CheckCond:=ckSimple
end
else
if (fMiddle<>nil)and(fLeft.dirid=fMiddle.dirid) then
begin
 if left and Middle then checkCond:=ckPPM
 else
 if Left then checkCond:=ckPFM
 else
 if Middle then checkCond:=ckFPM
 else CheckCond:=ckSimple
end
else
if (fMiddle<>nil)and(fRight.dirid=fMiddle.dirid) then
begin
 if Right and Middle then checkCond:=ckMPP
 else
 if Right then checkCond:=ckMFP
 else
 if Middle then checkCond:=ckMPF
 else CheckCond:=ckSimple
end
else  CheckCond:=ckSimple;
end
else
begin
if idleft=idRight then
begin
 if left and right then checkCond:=ckPMP
 else
 if left then checkCond:=ckPMF
 else
 if right then checkCond:=ckFMP
 else CheckCond:=ckSimple
end
else
if idleft=idMiddle then
begin
 if left and Middle then checkCond:=ckPPM
 else
 if Left then checkCond:=ckPFM
 else
 if Middle then checkCond:=ckFPM
 else CheckCond:=ckSimple
end
else
if idRight=idMiddle then
begin
 if Right and Middle then checkCond:=ckMPP
 else
 if Right then checkCond:=ckMFP
 else
 if Middle then checkCond:=ckMPF
 else CheckCond:=ckSimple
end
else  CheckCond:=ckSimple;
end;

for i:=0 to fitems.count-1 do
with TOMLink(fitems[i]) do
begin
 ci:=TOMLink(fitems[i]);
 if left then begin s:=procID; ints:=procN; PROCid:=icZero; PROCn:=0; end;
 if right then begin d:=procID2; intd:=procN2;PROCid2:=0; PROCn2:=icZero; end;
 if middle then begin ldb:=-procID2; lnum:=procN2;PROCid2:=icZero; PROCn2:=icZero; end;
end;
if not keeptonnel and (left or right or middle) then
for i:=fitems.count-1 downto 0 do
if TOMLink(fitems[i]).flags and lcTonnel=lcTonnel then
 DeleteLinkNF(i+1);

if (left and right) then
fprc:=nil;
deletedublicates;
if checkCond<>ckSimple then
 for i:=sizetotal downto 1 do
  case checkCond of
   ckPMP: if itemsNF[i].ints=itemsNF[i].intd then
             deleteLinkNF(i);
   ckPMF: if itemsNF[i].ints=itemsNF[i].ProcN2 then
             deleteLinkNF(i);
  ckFMP: if itemsNF[i].ProcN=itemsNF[i].intd then
             deleteLinkNF(i);
  ckPPM: if itemsNF[i].ints=itemsNF[i].Lnum then
             deleteLinkNF(i);
  ckPFM: if itemsNF[i].ints=itemsNF[i].ProcN2 then
             deleteLinkNF(i);
  ckFPM: if itemsNF[i].ProcN=itemsNF[i].Lnum then
             deleteLinkNF(i);
  ckMPP: if itemsNF[i].Lnum=itemsNF[i].intd then
             deleteLinkNF(i);
  ckMPF: if itemsNF[i].Lnum=itemsNF[i].ProcN2 then
             deleteLinkNF(i);
  ckMFP: if itemsNF[i].ProcN=itemsNF[i].intd then
             deleteLinkNF(i);
  end;           
end;
procedure TLiteLinks.SETClasses(left,right,middle:TOMItems);
begin
 fleft:=left;
 fright:=right;
 fmiddle:=middle;
end;
procedure TOMItems.copy(s:TOMItems);
var i:integer;
    newit:TOMItem;
begin
 for i:=1 to count do
 begin
 newit:=TOMItem.create(s);
 insource[i].copy(newit);
 s.add(newit);
 end;
s.froot:=froot;

end;
function TOMItems.CopyItems(pos_from,pos_to,pos_Next:integer;tree:TTreeView;pairs:TList):TOMItem;
var newitem:TOMItem;
function copyLevel(pos_from,pos_to:integer):TOMItem;
var i:integer;
    newitem:TOMItem;
    id1,id2:word;
begin
 i:=pos_from;
 while (i>0)and(insource[i].WParam=0) do
 begin
 if insource[i].deleted=0 then
 begin
 newitem:=ADDChildItem(pos_to,'');
 if (tree<>nil)and(insource[pos_to].samenode<>nil) then
  newitem.samenode:=tree.Items.AddChildObject(insource[pos_to].samenode,insource[i].s,newitem);
 newitem.assignData(insource[i]);
 newitem.dbid:=getNewId;
 newitem.idloaded:=icZero;
 newitem.marked:=insource[i].marked;
  newitem.WParam:=1;
 id1:=i;
 id2:=newitem.pos;
 if pairs<>nil then
 pairs.add(pointer(id1 or (id2 shl 16)));
 if insource[i].firstchild>0 then
 copylevel(insource[i].firstchild,newitem.pos);
 end;
 i:=insource[i].nextItem;
 end;
end;
begin
result:=nil;
if pos_from=0 then exit;
 newitem:=ADDChildItem(pos_to,'');

 result:=newitem;
 if (tree<>nil)then

 if (pos_to>0)and(insource[pos_to].samenode<>nil) then
  newitem.samenode:=tree.Items.AddChildObject(insource[pos_to].samenode,insource[pos_from].s,newitem)
 else
  newitem.samenode:=tree.Items.AddChildObject(nil,insource[pos_from].s,newitem);
 newitem.assignData(insource[pos_from]);
 newitem.marked:=insource[pos_from].marked;
 newitem.dbid:=getNewId;
 newitem.idloaded:=icZero;
 newitem.WParam:=icPlus1;
 if pos_next>0 then
 begin
 cutfromlist(newitem.pos);
 insertitem(newitem.pos,pos_to,pos_next);
 newitem.samenode.MoveTo(insource[pos_next].samenode,naInsert);
 resetMarked(newitem.pos);
 end;
 if pairs<>nil then
 pairs.add(pointer(pos_from or (newitem.pos shl 16)));
 if insource[pos_from].firstchild>0 then
 copylevel(insource[pos_from].firstchild,newitem.pos);
 itutils.ClearWP(self);
end;
procedure TOMItems.getupmarked;
var i,j:integer;
begin
for i:=1 to count do
 if insource[i].marked and $1 = $1 then
 begin
 j:=getup(i);
 insource[j].marked:=insource[j].marked or $1;
 end;
end;
function TOMItems.getCommonParent(p1,p2:integer):integer;
begin
if isparent(p1,p2) then result:=p1
else if isparent(p2,p1) then result:=p2
else result:=getcommonParent(insource[p1].intparent,insource[p2].intparent);
end;
procedure TLiteLinks.SETFilterDirected(filterleft,filterright:integer);
var i:integer;
    l:TOMLink;
    fclass:TOMItems;
begin
if prc=nil then exit;
fclass:=prc;
for i:=0 to fitems.Count-1 do
TOMLink(fitems[i]).filtered:=false;
fitemsfiltered.clear;
if (filterleft>0)and fclass.isparent(filterleft,filterright) then filterright:=filterleft;
 logs.startproc('Links','SetFilter',caption,inttostr(filterleft)+':'+inttostr(filterRight),12);
for i:= 0 to fitems.count-1 do
begin
 l:=TOMLink(fitems[i]);
 if left.dirid=right.diriD then
 begin
 if  (itutils.applyprocfilter1(l.procN,filterleft,appconst.sysinfo.showprs0,fclass)and
        itutils.applyprocfilter1(l.procN2,filterright,appconst.sysinfo.showprs0,fclass)) then
    begin
    fitemsfiltered.add(l);
    l.filtered:=true;
    end
 end   
 else if (itutils.applyprocfilter(l.procN,l.procN2,filterleft,appconst.sysinfo.showprs0,fclass)) then
     begin
     fitemsfiltered.add(l);
     l.filtered:=true;
     end;
end;
end;
procedure TLiteLinks.SETFilter(filterleft,filterright:integer);
var i:integer;
    l:TOMLink;
    fclass:TOMItems;
begin
if prc=nil then exit;
fclass:=prc;
for i:=0 to fitems.Count-1 do
TOMLink(fitems[i]).filtered:=false;
fitemsfiltered.clear;
if (filterleft>0)and fclass.isparent(filterleft,filterright) then filterright:=filterleft;
 logs.startproc('Links','SetFilter',caption,inttostr(filterleft)+':'+inttostr(filterRight),12);
for i:= 0 to fitems.count-1 do
begin
 l:=TOMLink(fitems[i]);
 if left.dirid=right.diriD then
 if not (itutils.applyprocfilter1(l.procN,filterleft,appconst.sysinfo.showprs0,fclass)and
        itutils.applyprocfilter1(l.procN2,filterright,appconst.sysinfo.showprs0,fclass)) then
  begin
  if  (itutils.applyprocfilter1(l.procN2,filterleft,appconst.sysinfo.showprs0,fclass)and
        itutils.applyprocfilter1(l.procN,filterright,appconst.sysinfo.showprs0,fclass)) then
    begin
    fitemsfiltered.add(l);
    l.filtered:=true;
    end
  end
  else
  begin
  fitemsfiltered.add(l);
  l.filtered:=true;
  end
 else if (itutils.applyprocfilter(l.procN,l.procN2,filterleft,appconst.sysinfo.showprs0,fclass)) then
     begin
     fitemsfiltered.add(l);
     l.filtered:=true;
     end;
end;
end;
procedure TLiteLinks.SETFilterLeft(filterleft:integer);
var i:integer;
    l:TOMLink;
    fclass:TOMItems;
begin
if prc=nil then exit;
fclass:=prc;
fitemsfiltered.clear;
for i:=0 to fitems.Count-1 do
TOMLink(fitems[i]).filtered:=false;
 logs.startproc('Links','SetFilterLeft',caption,inttostr(filterleft),12);
for i:= 0 to fitems.count-1 do
begin
 l:=TOMLink(fitems[i]);
  if  (itutils.applyprocfilter(l.procN,l.procN2,filterleft,appconst.sysinfo.showprs0,fclass)) then
  begin
    fitemsfiltered.add(l);
    l.filtered:=true;
  end;
end;
end;
procedure TLiteLinks.ClearFilter;
var i:integer;
begin
fitemsfiltered.clear;
fitemsfiltered.Assign(fitems);
for i:=0 to fitems.Count-1 do
TOMLink(fitems[i]).filtered:=true;

end;
function TOMLink.assign(src:TOMLink):TOMLink;
begin
if src=self then exit;
s:=src.s;
d:=src.d;
ints:=src.ints;
intd:=src.intd;
LCN:=src.LCN;
flags:=src.flags;
lnum:=src.lnum;
ldb:=src.ldb;
procid:=src.procid;
procid2:=src.procid2;
procN:=src.procN;
procN2:=src.procN2;
ABC:=src.ABC;
ABCID:=src.ABCID;
isautocreate:=false;
parentlink:=src.parentlink;
additionalinfo:=nil;
fcomment:=src.fcomment;
filtered:=src.filtered;
end;
procedure TOMItems.clearDisplayed;
var i:integer;
begin
 for i:=1 to count do insource[i].displayed:=insource[i].deleted=0;
end;
procedure TLiteLinks.checkfiltering;
var i,pos,j:integer;
    ok:boolean;
begin
if fgroups=nil then exit;
if fprc=nil then exit;
if fleft=nil then exit;
if fright=nil then exit;
if (fgroups.Left=nil)or (fgroups.Right=nil) then exit;
 logs.startproc('Links','CheckFiltering',caption,inttostr(sizetotal),12);
if fleft.diriD=fgroups.Left.dirid then
begin
 for i:=1 to sizetotal do
 if itemsNF[i].procN>0 then
 begin
  pos:=itemsNF[i].ints;
  ok:=true;
  for j:=1 to fgroups.size do
  if  fleft.isparent(fgroups[j].ints,pos)or
         fleft.isparent(pos,fgroups[j].ints) then
   begin
   ok:=false;
     if prc.isparent(fgroups[j].intd,itemsNF[i].procN)or
      prc.isparent(itemsNF[i].procN,fgroups[j].intd) then
     begin
     ok:=true;
     break;
     end;
   end;
  if not Ok then itemsNF[i].procN:=0;
 end;
end;
if fright.diriD=fgroups.Left.dirid then
begin
 for i:=1 to sizetotal do
 if itemsNF[i].procN2>0 then
 begin
  pos:=itemsNF[i].intd;
  ok:=true;
  for j:=1 to fgroups.size do
    if  fright.isparent(fgroups[j].ints,pos)or
         fright.isparent(pos,fgroups[j].ints) then
   begin
   ok:=false;
   if prc.isparent(fgroups[j].intd,itemsNF[i].procN2)or
      prc.isparent(itemsNF[i].procN2,fgroups[j].intd) then
     begin
     ok:=true;
     break;
     end;
   end;
  if not Ok then itemsNF[i].procN2:=0;
 end;
end;
 for i:=1 to sizetotal do
  if fright.diriD<>fgroups.Left.dirid then
   itemsNF[i].procN2:=itemsNF[i].procN
  else
  if fleft.diriD<>fgroups.Left.dirid then
   itemsNF[i].procN:=itemsNF[i].procN2;

end;
function TOMLink.toString:String;
var sleft,sright,smiddle:string;
begin
result:='';
if owner=nil then exit;
if (owner.Left<>nil)and(ints>0) then sleft:=owner.left[ints].s
                                else sleft:='';
if (owner.Right<>nil)and(intd>0) then sRight:=owner.right[intd].s
                                else sRight:='';
if (owner.Middle<>nil)and(Lnum>0) then sMiddle:=owner.Middle[lnum].s
                                else sMiddle:='';
result:=sleft+'-'+smiddle+'-'+sright;
end;
function TOMItems.getGlobalRoot:integer;
begin
if rootstackptr>0 then result:=frootstack[1]
                  else result:=froot;
end;
function TLiteLinks.AssignRotate(l:TLiteLinks):TLiteLinks;
var i:integer;
    oldState:byte;
begin
proid:=l.proid;
oldState:=state;
SetNormalState;
setState(l.state);
Clear;
FState:=l.State;
ABCMAP:=l.ABCMap;
assigndirs(l);
fitems.Capacity:=l.sizetotal;
fitemsfiltered.Capacity:=l.sizetotal;
for i:=1 to l.sizetotal do
AddLinkObject(l.itemsNF[i]);
SetNormalState;
SetState(oldState);
fMirrorEnabled:=l.MirrorEnabled;
end;
function TLiteLinks.AssignState(l:TLiteLinks):TLiteLinks;
var i:integer;
    newitem:TOMLink;
begin
proid:=l.proid;
Clear;
FState:=l.State;
//ABCMAP:=l.ABCMap;
AssignDirs(l);
fprjType:=l.fprjType;
fitems.Capacity:=l.sizetotal;
fitemsfiltered.Capacity:=l.sizetotal;
for i:=1 to l.sizetotal do
begin
newitem:=TOMLink.create(self);
newitem.assign(l.itemsNF[i]);
   fitems.Expand;
   fitemsfiltered.Expand;
fitems.Add(newitem);
if l.itemsNF[i].filtered then
fitemsfiltered.Add(newitem);
end;
dodetail:=l.doDetail;
fMirrorEnabled:=l.MirrorEnabled;
end;

function TOMItems.getComboname(node:integer;mask1,mask:word;useshort:boolean):string;
begin
 if useshort then result:=insource[node].s
             else result:=utils.getFull(insource[node].s);
 result:=utils.combinestring(result,'// ',getfullname(node,mask1,mask,false,useshort));
end;
function TOMItems.getShortComboname(node:integer;mask1,mask:word):string;
begin
result:=utils.getshort(insource[node].s);
result:=utils.combinestring(result,'// ',getfullshortName(node,mask1,mask,false));
end;
procedure TLiteLinks.setPrjType(pt:TPrjType);
begin
if pt=fprjtype then exit;
 fprjtype:=pt;
end;
function TLiteLinks.FindLinkObject(li:TOMLink;TopFlags:Boolean):TOMLink;
function findwithin(start,stop:integer):TOMLink;
var center:integer;
    r,i:integer;
begin
if stop-start<2 then
begin
result:=nil;
for i:=start to stop do
 if topflags and equal(fitems[i],li)or
    not topflags and equalwoFlags(fitems[i],li) then
 begin
  result:=TOMLink(fitems[i]);
  exit;
 end;
end
else
if start<=stop then
begin
 center:=(start+stop) div 2;
 r:=FullCompare(fitems[center],li);
 if r>0 then
  result:=findwithin(start,center)
 else
 if r<0 then result:=findwithin(center,stop)
 else result:=TOMLink(fitems[center]);
end
else result:=nil;
end;
begin
 result:=nil;
 result:=findwithin(0,fitems.count-1);
end;
procedure TOMItems.AnalizeSaved;
var i:integer;
begin
for i:=1 to count do
 insource[i].saved :=(insource[i].deleted=0)or not insource[i].new;
end;
function TLiteLinks.SplitProcFun(funclsid:integer):boolean;
var i:integer;
begin
result:=false;
if (fmiddle<>nil)or(fprc=nil) then exit;
if fleft.diriD=fright.dirid then exit;
if fleft.dirid=funclsid then
begin
 fmiddle:=fright;
 fright:=fprc;
 fprc:=nil;
 for i:=1 to sizetotal do
 begin
  itemsNF[i].lnum:=itemsNF[i].intd;
  itemsNF[i].intd:=itemsNF[i].procN;
  itemsNF[i].procN:=0;
  itemsNF[i].procN2:=0;
  itemsNF[i].lcn:=1;
  itemsNF[i].ldb:=-itemsNF[i].d;
  itemsNF[i].d:=itemsNF[i].procID;
  itemsNF[i].ProcID:=0;
  itemsNF[i].procID2:=0;

 end;
 fprc:=nil;
 result:=true;
end
else
if fright.dirid=funclsiD then
begin
 fmiddle:=fleft;
 fleft:=fprc;
 for i:=1 to sizetotal do
 begin
  itemsNF[i].lnum:=itemsNF[i].ints;
  itemsNF[i].ints:=itemsNF[i].procN;
  itemsNF[i].procN:=0;
  itemsNF[i].procN2:=0;
  itemsNF[i].lcn:=1;
  itemsNF[i].ldb:=-itemsNF[i].s;
  itemsNF[i].s:=itemsNF[i].procID;
  itemsNF[i].ProcID:=0;
  itemsNF[i].procID2:=0;
 end;
 fprc:=nil;
 result:=true;
end
else result:=false;

end;
procedure TOMItem.set_marked(value:byte);
var  mp:pmarkrec;
begin
if samenode<>nil then
begin
samenode.ImageIndex:=-1;
if value and $1 =$1 then
 samenode.ImageIndex:=4
 else
 samenode.Imageindex:=5;
 SameNode.SelectedIndex:=SameNode.ImageIndex;
end;
if fmarked=value then exit;
fmarked:=value;
if value and $6<>0 then exit;
if (owner<>nil)and(owner.diriD>0)and(appconst.sysinfo.SaveMarks) then
begin
system.new(mp);
mp^.dirid:=owner.diriD;
mp^.dbid:=idloaded;
mp^.mark:=value and 1;
marked_buffer.Add(mp);
end;
end;
procedure clearmBuffer;
var i:integer;
begin
logs.startproc('Items','ClearMBuffer',inttostr(marked_Buffer.count),'',5);
 for i:=0 to marked_buffer.Count-1 do
 dispose(pmarkrec(marked_buffer[i]));
 marked_buffer.Clear;
end;
procedure deleteMBuffer(c:TOMItems);
var i:integer;
begin
if c=nil then exit;
if c.diriD=0 then exit;
logs.startproc('Items','DeleteMBuffer',inttostr(marked_Buffer.count),c.caption,7);
 for i:=marked_buffer.Count-1 downto 0 do
 if pmarkrec(marked_buffer[i])^.dirid=c.diriD
 then
 begin
  dispose(pmarkrec(marked_buffer[i]));
  marked_buffer.Delete(i);
 end;
end;

procedure AddMBuffer(c:TOMItems);
var i:integer;
    mp:pmarkrec;
begin
if c=nil then exit;
if c.diriD=0 then exit;
logs.startproc('Items','AddMBuffer',inttostr(marked_Buffer.count),c.caption,7);
for i:=1 to c.Count do
if c[i].deleted=0 then
begin
new(mp);
mp^.dirid:=c.diriD;
mp^.dbid:=c[i].idloaded;
mp^.mark:=c[i].marked;
marked_buffer.add(mp);
end;
end;
function inMbuffer(c:TOMItems):boolean;
var i:integer;
begin
 result:=false;
 if c=nil then exit;
 if c.diriD=0 then exit;
 logs.startproc('Items','InMBuffer',inttostr(marked_Buffer.count),c.caption,10);
 result:=true;
 for i:=0 to marked_buffer.Count-1 do
  if  pmarkrec(marked_buffer[i])^.dirid=c.diriD then exit;
 result:=false;
end;
procedure UpdateFromMBuffer(c:TOMItems);
var i,pos:integer;
begin
c.setOrder;
 if not inMBuffer(c) then exit;
logs.startproc('Items','UpDateFromMBuffer',inttostr(marked_Buffer.count),c.caption,8);
 for i:=0 to marked_buffer.count-1 do
  if  pmarkrec(marked_buffer[i])^.dirid=c.diriD then
  begin
  pos:=c.GetById(pmarkrec(marked_buffer[i])^.dbid);
  if pos>0 then c[pos].fmarked:=pmarkrec(marked_buffer[i])^.mark;
  end;
end;
procedure TOMItems.SetRoot(newroot:integer);
begin
froot:=newroot;
end;
function getDirName(ptype:TPrjType;flag:integer):string;
begin
case ptype of
ptLRN:
 case flag and 3 of
 0: result:='<<-';
 1: result:='->>';
 2,3:result:='<->'
 end;
ptIOC:
 case flag and 3 of
 0: result:='';
 1: result:='';
 2: result:='<'+'';
 3: result:=''+'>';
 end;

ptM:result:='';
ptC:result:='';
ptIOM:
 case flag and 3 of
 0: result:='';
 1: result:='';
 2: result:='<'+'';
 3: result:=''+'>';
 end;
end;
end;
procedure TOMLink.savetostream(strtosave:TStream);
var i:word;
begin
strTosave.write(s,sizeof(s));
strTosave.write(d,sizeof(d));
strTosave.write(LDB,sizeof(LDB));
strTosave.write(procID,sizeof(procID));
strTosave.write(procID2,sizeof(procID2));
strTosave.write(ABCID,sizeof(ABCID));
strTosave.write(flags,sizeof(flags));
utils.SaveString(strToSave,fComment);
i:=0;
strtosave.write(i,sizeof(word));
end;
procedure TOMLink.loadfromstream(strtoload:TStream);
var i:word;
begin
strtoload.read(s,sizeof(s));
ints:=s;
strtoload.read(d,sizeof(d));
intd:=d;
strtoload.read(ldb,sizeof(ldb));
lnum:=-ldb;
strtoload.Read(ProcID,sizeof(procID));
procN:=ProcID;
strtoload.Read(ProcID2,sizeof(procID2));
procN2:=ProcID2;
strtoLoad.Read(ABCID,sizeof(ABCID));
ABC:=ABCID;
strtoload.Read(flags,sizeof(flags));
fComment:=utils.LoadString(strtoload);
strtoload.Read(i,sizeof(i));
strtoload.Seek(i,soFromCurrent);
case flags and $36  of
$12,
$24:    flags:=flags and $ffc0 or flags and 1 or 2;
$36:    flags:=flags and $ffc0 or flags and 1;
end;
asm
 finit;
end;
end;
procedure TLiteLinks.PrepareSave;
procedure deletedublicatesDB;
var k,j,p:integer;
    curauto:boolean;
begin
logs.startproc('items','TLiteLinks','DDUB_DB',inttostr(fitems.count),6);
sorted:=lsNone;
sort(lsfull);
k:=fitems.count;
while k>icPlus1   do
   begin
   j:=k-1;
   curauto:=TOMLink(fitems[k-1]).isautocreate;
   if equalDB(TOMLink(fitems[k-1]),TOMLink(fitems[j-1])) then
   begin
   while (j>=1) and equalDB(TOMLink(fitems[k-1]),TOMLink(fitems[j-1])) do
   begin
   curauto:=curauto and TOMLink(fitems[j-1]).isautocreate;
   if not TOMLink(fitems[j-1]).isautocreate then
   dec(j);
   end;
   for p:=k downto j+2 do
   DeleteLinkNF(p);
   TOMLink(fitems[j]).isautocreate:=curauto;
   k:=j;
   end
   else dec(k);
  end;
logs.startproc('items','TLiteLinks','DDUB_DB',inttostr(fitems.count),6);
end;
var i:integer;
begin
for i:= 1  to sizetotal do
with itemsNF[i] do
begin
      if (fleft<>nil)then if (ints>0)and(ints<=fleft.Count) then s:=fleft[ints].dbid else s:=icZero;// else ints:=s;
      if (fright<>nil)then if(intd>0)and(intd<=fright.Count) then d:=fright[intd].dbid else d:=icZero;// else intd:=d;
      if (fmiddle<>nil)then if(lnum>0)and(lnum<=fmiddle.Count) then ldb:=-fmiddle[lnum].dbid else ldb:=icZero;// else lnum:=ldb;
      if (fprc<>nil)then if(procN>0) then procId:=fprc[procN].dbid else procId:=icZero;// else procN:=procID;
      if (fprc<>nil)then if(procN2>0) then procId2:=fprc[procN2].dbid else procid2:=icZero;// else procN2:=procId2;
      if (ABCMap<>nil)then
       if abc>0
       then abcid:=abcmap[abc].dbID
       else abcid:=0
       else abc:=abcid;
end;
deleteDublicatesDB;
end;
procedure TLiteLinks.ConnectABC(ABCDir:TOMItems);
var i:integer;
begin
ABCMap:=ABCDir;
if ABCMap<>nil then
begin
ABCMap.SetOrder;
for i:=1 to sizetotal do
begin
 if (itemsNF[i].ABCID>0) then
 itemsNF[i].ABC:=ABCMap.getByID(itemsNF[i].ABCID)
 else if (itemsNF[i].ABC>ABCMap.Count) then
   itemsNF[i].ABC:=0;
end;
end;
end;
function TOMLink.ABCString:string;
begin
 if (owner=nil)or(owner.ABCMap=nil)or(ABC=0) then result:=''
 else result:=owner.Abcname(abc);
end;
function TLiteLinks.ABCName(index:integer):string;
begin
if (ABCMap=nil)or(index=0) then result:=''
                           else result:=abcmap[abcmap.getclosed(index)].s;
end;
function TLiteLinks.ABCObject(index:integer):TOMItem;
begin
if (ABCMap=nil)or(index=0) then result:=nil
                           else result:=abcmap[abcmap.getclosed(index)];

end;
procedure TOMItems.fillListTree(list:TStrings;r_from:integer);
procedure filllevel(root:integer;level:string);
var i:integer;
begin
i:=root;
While i>0 do
begin
 if insource[i].deleted=0 then
 begin
  list.AddObject(level+insource[i].s,insource[i]);
  filllevel(insource[i].firstchild,level+'-');
 end;
 i:=insource[i].nextitem;
 end;
end;
begin
list.Clear;
if r_from=0 then exit;
list.AddObject(insource[r_from].s,insource[r_from]);
fillLevel(insource[r_from].firstchild,'-');
end;
function TOMItems.fillList(list:TStrings;index:integer;LevelChar:String):integer;
procedure filllevel(root:integer;level:string);
var i:integer;
begin
i:=root;
While i>0 do
begin
 if insource[i].deleted=0 then
 begin
  list.AddObject(level+insource[i].s,insource[i]);
  if not insource[i].Closed then
  filllevel(insource[i].firstchild,level+LevelChar);
 end;
 i:=insource[i].nextitem;
 end;
end;
begin
list.clear;
list.addObject('',nil);
 filllevel(root,'');
result:=0;
if index>0 then
  result:=list.indexOfObject(insource[index]);
if result=-1 then result:=0;
end;
procedure TOMItems.DeleteTail(pos:integer);
var i:integer;
    curmaxDB:integer;
begin
curmaxDB:=0;
for i:=1 to pos-1 do
begin
 if insource[i].nextitem>=pos then insource[i].nextitem:=0;
 if insource[i].previtem>=pos then insource[i].previtem:=0;
 if insource[i].firstChild>=pos then insource[i].firstchild:=0;
 if insource[i].intparent>=pos then insource[i].intparent:=0;
 if (insource[i].dbID and DBMask=DBMask)and(insource[i].dbID and $FFFF>curMaxDB) then
     curMaxDB:=insource[i].dbID and $FFFF;
end;
for i:=count downto pos do
insource[i].Free;
for i:=count-1 downto pos-1 do fitems.Delete(i);
fMaxDB:=curmaxDB+1;
setOrder;
end;
procedure TOMItems.resetMarked(id:integer);
var i:integer;
begin
 if id=0 then exit;
 insource[id].marked:=insource[id].marked;
 i:=insource[id].firstchild;
 while i>0 do
 begin
  resetMarked(i);
  i:=insource[i].nextitem;
 end;
end;
function TLiteLinks.getFirstPosition(ints:Integer):integer;
var start_p,end_p,middle_p,i:integer;
    found:boolean;
begin
start_p:=1;
end_p:=Size;
found:=false;
result:=0;
while not found and (start_p+1<end_p) do
begin
if (items[start_p].ints>ints)or
(items[end_p].ints<ints) then break;
middle_p:=(start_p+end_p)div 2;

if items[middle_p].ints>ints then end_p:=middle_p
else
if items[middle_p].ints<ints then start_p:=middle_p
else found:=true;
end;
if not found then
 for i:=start_p to end_p do
 if items[i].ints=ints then
 begin
 middle_p:=i;
 found:=true;
 break;
 end;
if found then
begin
 while (middle_p>0)and(items[middle_p].ints=ints) do dec(middle_p);
 inc(middle_p);
 result:=middle_p;
end;
end;
function TLiteLinks.makeFlags:integer;
begin

if not fMirrorEnabled then
result:=$10000
else
result:=0;
end;
procedure TLiteLinks.getFlags(f:integer);
begin
fMirrorEnabled:=f and $10000=0;
end;
procedure TOMItems.AssignProperties(Source:TOMItems);
begin
if source=self then exit;
clear;
viewMode:=Source.viewMode;
ComTitle:=Source.ComTitle;
//froot:=Source.root;
fMaxDB:=Source.fmaxDB;
fversion:=Source.fversion;
//DBMask:=Source.DBMask;
//fdirid:=Source.diriD;
end;
procedure TOMItems.CheckUniqueItem(pos:integer);
var p:integer;
    testdb:integer;
begin
 testdb:=insource[pos].dbID;
 insource[pos].dbID:=0;
 try
 p:=findbyid(testdb);
 if p>0 then
   raise elistError.Create('Not unique index:$'+inttohex(testdb,8)+'('+inttostr(pos)+','+inttostr(p)+') '+insource[pos].s+'<->'+insource[p].s);
 finally
 insource[pos].dbID:=testdb;
 end;
end;
procedure TOMItems.CheckUnique;
var i,pos:integer;
    testdb:integer;
begin
 for i:=1 to count do
 begin
  testdb:=insource[i].dbID;
  insource[i].dbID:=0;
  try
  pos:=findbyID(testdb);
  if pos>0 then
  raise elistError.Create('Not unique index:$'+inttohex(testdb,8)+'('+inttostr(i)+','+inttostr(pos)+') '+insource[i].s+'<->'+insource[pos].s);
  finally
  insource[i].dbID:=testdb;
  end;
 end;
end;
procedure TOMItems.setLeaves(deleted:boolean);
function setLevel(r:integer):integer;
var i:integer;
    res:integer;
begin
result:=0;
if r=0 then exit;
i:=r;
res:=0;
while i>0 do
begin
 if deleted or (insource[i].deleted=0) then
 begin
 insource[i].isleaf:=setLevel(insource[i].firstchild)=0;
 inc(res);
 end;
 i:=insource[i].nextitem;
end;
result:=res;
end;
begin
setLevel(getglobalroot);
end;
procedure TOMItems.ClearNewFlags;
var i:integer;
begin
 for i:=1 to Count do
  insource[i].new:=false;
end;
procedure TLiteLinks.AssignDirs(l:TLiteLinks);
var i:integer;
begin
 if l=nil then exit;
 if l=self then exit;
  for i:=1 to 8 do
  begin
  dirmap[i]:=l.dirmap[i];
 end;
end;
procedure TOMItems.SetVersion(value:byte);
var i:integer;
    maxID,w:integer;
begin
w:=0;
maxID:=0;
 for i:=1 to Count do
  if insource[i].dbID and $FFFF0000=(value shl 26)or(DBMask) then
  begin
  w:=insource[i].dbID and $FFFF;
  if w>maxID then maxID:=w;
  end;
  fMaxDB:=maxID+1;
  fversion:=value;
end;
procedure TOMItem.SetTreeNode(Node:TTreeNode);
begin
 fSameNode:=Node;
 if Node=nil then exit;
if marked and $1=$1 then node.ImageIndex:=4
                    else node.ImageIndex:=5;
 Node.SelectedIndex:=Node.ImageIndex;
//node.Text:=s;
end;
procedure TOMLink.fixFlags;
begin
 if owner=nil then exit;
 if (owner.PrjType in [ptIOC,ptIOM])then
 begin
  if ints=0 then flags:=flags or 1
  else
  if intd=0 then flags:=flags and not 1;
 end;
end;
procedure TLiteLinks.SETClassesByExample(l:TLiteLinks);
begin
if l=nil then exit;
fleft:=l.left;
fright:=l.right;
fmiddle:=l.middle;
fprc:=l.prc;
end;
initialization
defaultCGFile:='sys\main.spr';
defaultLFile:='sys\mainpr.$$$';
icZero:=0;
icPlus1:=1;
icFFF:=$FFF;
icFFFF:=$FFFF;
icRandom:=random(100000);
marked_buffer:=TList.create;

finalization
clearMBuffer;
marked_Buffer.free;
end.

