unit pr;
{
(c) . . , . .  1997,2006
}
{$INCLUDE Compmode.inc}
interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, Mask, ToolEdit, RXLookup, checklst, ComCtrls, CurrEdit,
  RXSpin;

type
  TProp = class(TForm)
    OKBtn: TButton;
    CancelBtn: TButton;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    GroupBox3: TGroupBox;
    Label1: TLabel;
    Label4: TLabel;
    Label3: TLabel;
    SName: TEdit;
    avtor: TEdit;
    ObjectNumber: TEdit;
    Prim: TMemo;
    Comm: TLabel;
    CommTitle: TEdit;
    Label2: TLabel;
    procedure OKBtnClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure ObjectNumberKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
    error:boolean;
    intmode:integer;
  public
    { Public declarations }
    function showmodalMode(mode:word):integer;
  end;

var
  Prop: TProp;

implementation

uses  Main,Dialogs,Utils, StrTab,DB, appConst, F25, dcommon, fileutil,
  items, Umessages, CombSelector;

{$R *.DFM}

procedure TProp.OKBtnClick(Sender: TObject);
var s:String;
    bm:TBookMark;
    n,i,mask:integer;
    c:TOMItems;
begin
{$IFNDEF VIEW}
{$IFNDEF LIGHTVERSION}
error:=false;
if SName.text='' then
begin
  MessageDlg(umessages.enterthename,
  mtError,[mbOk], 0);
  error:=true;
exit;
end;
n:=StrTables.modelTN.asInteger;
bm:=STRTables.modelT.GetBookmark;

STRTables.modelT.Edit;
mask:=0;
STRTables.modelT.FieldByName('Name').AsString:=ClearSpaces(Objectnumber.text+' '+SName.Text);
setcurrentdir(appconst.sysinfo.datadir);
STRTables.ModelT.Post;
c:=TOMItems.create;
c.caption:=STRTables.modelT.FieldByName('Name').AsString;
c.ComTitle:=trim(CommTitle.Text);
c.dirid:=STRTables.modelTN.asInteger;
c.ADDItem(0,SName.text);
STRTables.Save_spr(c.dirid,c,Nil);
c.free;
STRTables.modelT.edit;
STRTables.modelT.FieldByName('Avtor').AsString:=Avtor.Text;
//Prim.lines.add('@'+CommentHeaders.Items[0]);
STRTables.modelT.FieldByName('Comm').AsString:=Prim.Text+'@'+CommTitle.Text;
mask:=0;
STRTables.MODELTSp2.asInteger:=trunc(now);
STRTables.MODELTSp1.asInteger:=mask;
STRTables.Modeltsprtype.asinteger:=0;
STRTables.modelT.Post;
i:=STRTables.modelTN.asInteger;
s:=STRTables.modelTName.asString;
OrgMasterMain.appendnewmodelItem;
STRTables.ModelT.refresh;
STRTables.Spr.refresh;
STRTables.updateHistory(STRTables.ModelTN.AsInteger,'');
OrgMasterMain.ismodelmodify:=true;
{$ENDIF}
{$ENDIF}
modalResult:=mrOk;
end;

procedure TProp.FormActivate(Sender: TObject);
var i:integer;
begin
pagecontrol1.activepage:=TabSheet1;
error:=false;
activecontrol:=SName;
SName.Text:=STRTables.modelt.FieldByName('Name').AsString;
Prim.lines.clear;
end;

procedure TProp.FormCreate(Sender: TObject);
begin
{$IFDEF PLANNER}
{$ELSE}
 Scaletypesel.visible:=false;
 Comm.top:=comm.top-Scaletypesel.height;
 prim.top:=prim.top-Scaletypesel.height;
 Comm.height:=comm.height+Scaletypesel.height;
 prim.height:=prim.height+Scaletypesel.height;

{$ENDIF}
{$IFNDEF MULTISCALES}
AddScale.free;
RemoveScale.free;
AddCFU.free;
RemoveCFU.Free;
{$ENDIF}
end;

procedure TProp.FormDestroy(Sender: TObject);
begin
comm.visible:=false;
end;
function TProp.showmodalMode(mode:word):integer;
var i:integer;
begin
//mtypesSel.enabled:=mode=0;
intmode:=mode;
result:=inherited showmodal;
end;
procedure TProp.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
//canclose:=not error;
end;

procedure TProp.ObjectNumberKeyPress(Sender: TObject; var Key: Char);
begin
if not (key in [#8,'0'..'9','.']) then Key:=#0;
end;

end.
